Jürgen E. Fischer <jef@norbit.de>	2020-11-20

    translation update for 3.10.12 from transifex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-11-19

    QgsRendererPropertiesDialog: initialize mDockMode member

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-11-12

    fixes SAGA Random Terrain tool

Merge: a191ffd76e d46349e147
Alessandro Pasotti <elpaso@itopen.it>	2020-11-11

    Merge pull request #39933 from qgis-bot/backport-39923-to-release-3_10

    [Backport release-3_10] QgsAuthOAuth2Method: use a recursive mutex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-11-10

    QgsAuthOAuth2Method: use a recursive mutex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-11-09

    only _AddDllDirectory existing directories (fixes OSGeo4W#649)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-11-06

    test_qgsproject.py: no longer used deprecated way of importing ogr

Merge: 01baa2d7a6 7c784a8126
Matthias Kuhn <matthias@opengis.ch>	2020-11-06

    Merge pull request #39837 from skampus/patch-8

    Update tsstat.pl

Stefano Campus <skampus@gmail.com>	2020-11-06

    Update tsstat.pl

    Added a new Italian Translator

Jürgen E. Fischer <jef@norbit.de>	2020-09-25

    backport fix for #38476

Alessandro Pasotti <elpaso@itopen.it>	2019-11-28

    PG provider connection API: convert to bools

    Fixes #33130

    Backport from master/2.16

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-24

    [RPM] Make spec file compatible with Fedora 33

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-10-20

    [themes] Fix vertical slider fill color and sliders' invertedAppearance fill

    (cherry picked from commit 4f834cafb88780baa76cd02fbdee193435fea248)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-10-19

    [themes] Fix tiny regression with custom indicator for layer tree et cie

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-10-19

    [themes] Fix missing background fill for user input widgets
    (fixes #39452)

Even Rouault <even.rouault@spatialys.com>	2020-10-15

    [OGR provider / GPKG] Avoid skipConstraintCheck() return true on the GPKG fid colum

    (cherry picked from commit 212085e94f7635fc2ae0b2fb3506e856ea370c50)

D'Hont René-Luc <rldhont@gmail.com>	2020-10-16

    FIX: QgsCoordinateReferenceSystem::createFrom* has to return CRS's validity

    The methods `QgsCoordinateReferenceSystem::createFrom*` returned true when the CRS was found in cache instead of the CRS's validity.

    This fixed it and the tests.

Alessandro Pasotti <elpaso@itopen.it>	2020-10-14

    Fix WMS auth basic password encoding

    Fixes #39243

    Manually backported from master https://github.com/qgis/QGIS/pull/39347

Alessandro Pasotti <elpaso@itopen.it>	2020-10-09

    no &

Alessandro Pasotti <elpaso@itopen.it>	2020-10-08

    Test for issue 39230 expressions fields in ogr

    Backported from master bacd987b06887f4451cd5a80e05abed3ea38a55a

Alessandro Pasotti <elpaso@itopen.it>	2020-10-08

    Don't bark when there are expression fiels

    Fixes #39230

Matthias Kuhn <matthias@opengis.ch>	2020-10-09

    Fix translation for geometry checks

    Q_DECLARE_TR_FUNCTIONS must be used in the subclass. If used from the super class
    it simply does not work.

Even Rouault <even.rouault@spatialys.com>	2020-10-09

    GUI: renaming GPKG layer: allow any character but | (fixes #39288)

    (cherry picked from commit f940ffc6d0db4aaa818e0debc93269f1f889cdf5)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-10-07

    Fixes #37038: Fix drag and drop field order in designer

signedav <david@opengis.ch>	2020-09-10

    Merge pull request #38658 from suricactus/37847_scroll_to_f

    FIX 37847 New feature is hidden when created from attribute table

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-09-27

    Fix 'hide all layers' UX

Even Rouault <even.rouault@spatialys.com>	2020-10-01

    GML streaming parser / WFS: correctly deal with gml:id attributes before passing geometry to OGR (fixes #39081)

    (cherry picked from commit 80f00f84c0dbe39fa6c40df87f1444cee2a120d0)

Alessandro Pasotti <elpaso@itopen.it>	2020-09-15

    Fix server WFS-T 1.1.0 wrong case in transaction response

    Fixes #38558

    (cherry picked from commit aa79a840170b4cb62283036e35750c3662160794)

Alessandro Pasotti <elpaso@itopen.it>	2020-09-16

    Fixes value relation line edit not found values

    When there is no match in the relation layer,
    show "(no selection)" instead of NOT updating
    the widget (which was the reported issue).

    Fixes #38552

    (cherry picked from commit 448f7d9d8199af7895aa05c83161a6d4062c3c99)

Alessandro Pasotti <elpaso@itopen.it>	2020-09-14

    Manual backport of master fix for PG mixed geometries

    Plus a new test case, fixes #35367 and #38565

    The new test case needs forward port to master

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-09-24

    Fix grassname of raster layer bands in r_rgb.py

    (cherry picked from commit e7e08fd5045b4fbbec5078ed30de644dabd5ce41)

Even Rouault <even.rouault@spatialys.com>	2020-09-23

    [WFS provider] Fix freeze when feature requests issued from main thread and authentication manager triggers (fixes #37224)

Even Rouault <even.rouault@spatialys.com>	2020-02-02

    Fix various nullptr dereference when opening project with broken raster provider

    Found when replacing <provider>gdal</provider> by something else.

    Number of nullptr checks in QgsRasterLayer class have been just added for
    consistency. Some might not be triggerable.

Nyall Dawson <nyall.dawson@gmail.com>	2020-09-22

    Fix constraint metadata is duplicated after opening layer properties

    Fixes #38916

    (cherry picked from commit 6a002573c00a8a8e11443eaca28b57a8ad6de4c0)

Nyall Dawson <nyall.dawson@gmail.com>	2020-09-22

    Increase precision of georeferencing coordinates used when creating GeoPDF composition file

    Fixes shift in geopdf feature positions when using geographic CRS at large scales

    Fixes #37755

    (cherry picked from commit 0b77f187ec5a14651457fd07f306cba2511fb854)

Nyall Dawson <nyall.dawson@gmail.com>	2020-09-22

    When a layer is being removed from the project, gracefully
    close and cleanup all panels in the layer styling dock

    Fixes #38920

    (cherry picked from commit 67ec244864ca6f9290e1f35a1a0c60b4888fe686)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-09-22

    Fixes #31798 : don't convert bool to string in virtual layer

    (cherry picked from commit 36a7d1b8c468ae14ccde7a8334e30d8140f26e6e)

Even Rouault <even.rouault@spatialys.com>	2020-09-17

    VectorFileWriter/OGR provider: workaround GDAL 3.1.x bug regarding XLSX and ODS creation

    GDAL 3.1.0 to 3.1.3 will create XLSX and ODS files with ZIP64 extensions,
    which make them incompatible of current LibreOffice versions.

    This has been fixed in GDAL now, but this can be workaround on QGIS side too
    if using those buggy versions.

    (cherry picked from commit 3d0a14e1dc5b7b2d94df13277b896b28c8c518cc)

Peter Petrik <zilolv@gmail.com>	2020-09-16

    fix segmentation fault 11 on MacOS during closing QGIS

    (cherry picked from commit cbdda422b0fe66fa16c08bad72e6b7e116e52155)

Even Rouault <even.rouault@spatialys.com>	2020-09-15

    Transaction and Geopackage datasets: make it work when the layer whose edition is turned off hasn't been modified (fixes #38697)

    We cannot use QgsDataSourceUri::connectionInfo() as it returns an empty string
    for OGR datasources. So use QgsTransaction::connectionString() as in other places.

    (cherry picked from commit 92ed4509fb3ae98362a85cefef09e8b4445724f5)

Blottiere Paul <blottiere.paul@gmail.com>	2020-09-16

    Replace PS character. Fixes #37803

    (cherry picked from commit 1bd78908eee84ea03a1238cd52a1cf6a965e171e)

Even Rouault <even.rouault@spatialys.com>	2020-09-15

    [GUI] Identification result: fix warning 'CRITICAL Qt : QTableWidget: cannot insert an item that is already owned by another QTableWidget' (fixes #37215)

    (cherry picked from commit 079f340e99eedce0007aebfbdc1914f8e6bb7cc0)

Even Rouault <even.rouault@spatialys.com>	2020-09-14

    [Processing] GdalUtils: fix quoting of arguments with '&' (fixes #38674)

    (cherry picked from commit c6fe79b60d2ff6743cf1fd5ed38642b6ebafb6fb)

Even Rouault <even.rouault@spatialys.com>	2020-09-14

    [DelimitedText provider] Fix performance issue with files with Unix end-of-line characters

    Fixes #38068

    The performance regression was introduced per commit 644a5647dbdef395993cf406678addfd6978e781
    It resulted in quadratic performance in the size of the buffer for CSV files
    with Unix '\n' end of line character, due to scanning repeatedly for `\r`

    (cherry picked from commit a66784465a9dd8e9d344e37dbd0f304325ac1f6e)

Jürgen E. Fischer <jef@norbit.de>	2020-10-23

    Release of 3.10.11

Jürgen E. Fischer <jef@norbit.de>	2020-10-23

    translation update for 3.10.11 from transifex

Jürgen E. Fischer <jef@norbit.de>	2020-10-22

    windows: use Threads along with HDF5 in mdal provider on windows (for HDF5_ENABLE_THREADSAFE=ON)

    (cherry picked from commit 12a44c7829dda01dfa9ebc35f6d56bd6d295833f)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-18

    add default UTF-8 encoding to grass provider by default

Merge: c72c11102f 5c97ff66dd
Matthias Kuhn <matthias@opengis.ch>	2020-10-15

    Merge pull request #39375 from qgis-bot/backport-39359-to-release-3_10

    [Backport release-3_10] Fix crash in undo dock when clearing project/closing QGIS

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-14

    Fix crash when snapping to curved geometry without curved segments

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-14

    Fix crash in undo dock when clearing project/closing QGIS

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-12

    GDAL provider: don't crash on invalid bands

Nyall Dawson <nyall.dawson@gmail.com>	2020-10-08

    [3d] Fix crash when line feature cannot be buffered

    E.g. when it has only one vertex

    (cherry picked from commit f6eed85729a8cbf913155ae16df7499f688ba0fa)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-09

    fix crashes in QGIS 3D, mostly directly at project load

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-06

    [processing] Fix error reporting from batch dialog

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-10-08

    Fix layout order on drag drop action, fix #39136

Julien Cabieces <julien.cabieces@oslandia.com>	2020-09-25

    [VirtualLayer] Catch exception while updating virtual layer stats

    Fixes #34378

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-09-25

    [Backport release-3_10] fix edge case where fkey is 0 in relation reference widget  (#39015)

    * fix edge case where fkey is 0 in relation reference widget

    * Update qgsfeaturefiltermodel.cpp

    * Delete qgsfeaturepickermodelbase.cpp

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>
    Co-authored-by: Denis Rouzaud <denis.rouzaud@gmail.com>

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-23

    fixed #38938 Wrong GRASS processing description files

Stefano Campus <skampus@gmail.com>	2020-09-22

    Update tsstat.pl

    Correction of typo in Italian translators list

Jürgen E. Fischer <jef@norbit.de>	2020-09-22

    Update translators (closes #38925, #38925, #38927)

    (cherry picked from commit 1f74f0e0105a08e1cb20ce5e6af96308068a166b)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-17

    [GUI] Raster histogram: restore behavior before #35465 changes

Alessandro Pasotti <elpaso@itopen.it>	2020-09-16

    Spelling

Alessandro Pasotti <elpaso@itopen.it>	2020-09-16

    Add a warning about the usage of setInstance

Alessandro Pasotti <elpaso@itopen.it>	2020-09-15

    Update SIP

Alessandro Pasotti <elpaso@itopen.it>	2020-09-15

    Expose QgsProject::setInstance to API

    Fixes #38755

    Needs forward porting to all active branches

Alessandro Pasotti <elpaso@itopen.it>	2020-09-16

    [backport] Checks for nullptr node from RULE

    fixes #38766

    Backported from master https://github.com/qgis/QGIS/pull/38775

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-15

    fix #38720

Merge: 4a6532c33c e2ae6ba440
Matthias Kuhn <matthias@opengis.ch>	2020-09-12

    Merge pull request #38324 from qgis-bot/backport-38304-to-release-3_10

    [Backport release-3_10] Relation reference: Update user interface when adding new entry

Merge: 1c72a696e4 fa16bddcd0
Matthias Kuhn <matthias@opengis.ch>	2020-09-12

    Merge pull request #38395 from qgis-bot/backport-38348-to-release-3_10

    [Backport release-3_10] Fix delimitedtext in virtual layers

Merge: 962bbff117 5b55cad339
Matthias Kuhn <matthias@opengis.ch>	2020-09-12

    Merge pull request #38621 from qgis-bot/backport-38594-to-release-3_10

    [Backport release-3_10] Fix project never completes loading layers when a layer has a missing dependancy

Merge: 81f145f50d a74bbf5737
Matthias Kuhn <matthias@opengis.ch>	2020-09-12

    Merge pull request #38693 from qgis-bot/backport-38685-to-release-3_10

    [Backport release-3_10] Fix ZoomToFeature in Relation Editor Widget

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-09-03

    Increase max page number to 9999 for item in print layout

    (cherry picked from commit d090077ba684bd8b1f8255ded55c4022c75bac3a)

Tim Sutton <tim@linfiniti.com>	2020-08-28

    Resize the news feed splitter if we can and grow it to 50% if it is zero

    (cherry picked from commit 2a988e83c2069e296980580c74c76eda3fc73ca2)

Tim Sutton <tim@linfiniti.com>	2020-08-28

    Fix 'invisible news' issue where after hiding the news it never comes back. Should be backported to LTR too.

    (cherry picked from commit f5d1eef8076b3b3f7e130039fc884ad4181cefb0)

Nyall Dawson <nyall.dawson@gmail.com>	2020-08-13

    [ogr] Improve decoding/encoding of URI

    - Correctly handle |subset= and |geometrytype= components
    - More robust logic to handle complex cases
    - More unit tests

    (cherry picked from commit 62ce9abb0aa0920a4e22b518f7ae23e17191761e)
    (cherry picked from commit 60bcaca7598ba9f5a4ab18ec04498e6b55bf8d8a)

Nyall Dawson <nyall.dawson@gmail.com>	2020-08-19

    When an svg image has no viewbox tags, try to take the width/height
    attribute as a fallback for these

    Allows the aspect ratio of svgs without a viewbox to be determined,
    resulting in correct rendering as svg markers

    (cherry picked from commit 0864e0a39ace04fb63b361ba8b0f8d74bffc90eb)

Nyall Dawson <nyall.dawson@gmail.com>	2020-08-19

    Fix SVG marker symbol layer aspect ratio is not recalculated when the
    marker is pointed to a different source svg

    (cherry picked from commit 2412a8d6c61f7e128365156bc775387bac2bcfa1)

Nyall Dawson <nyall.dawson@gmail.com>	2020-08-19

    Fix incorrect height shows for svg markers where the aspect ratio is locked to default and source svg isn't square

    (cherry picked from commit 2f2fb0b32bcebd0fefa85e6957c969aeb20e7cb9)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-08-20

    [ui] Fix SVG marker widget not properly restoring colors

    (cherry picked from commit 1386474e3cab2161f2b982a1b604efeadd985270)

Alessandro Pasotti <elpaso@itopen.it>	2020-08-17

    Fix test for 3.10

    (cherry picked from commit 9d5b89f14cd3e620b06c7e2a8e619c8a925cb8df)

Alessandro Pasotti <elpaso@itopen.it>	2020-08-17

    Backport: Bugfix gh26189 virtual layers subset string

    Cherry-picked from master

    (cherry picked from commit 2e9a03401924be903a64f227188cb0e4fe3f1c8e)

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-08-13

    Fix feature attributes not shown in relation form

    (cherry picked from commit be190062215ba2b97eb5ea09f10bf178f14d9957)

Matthias Kuhn <matthias@opengis.ch>	2020-08-15

    Adjust relation reference config widget

    Reduce minimum width of the combobox

    (cherry picked from commit 143a8e6619fa5731143f8479660f7abd98bb617e)

Jürgen E. Fischer <jef@norbit.de>	2020-09-11

    Release of 3.10.10

Jürgen E. Fischer <jef@norbit.de>	2020-09-11

    translation update for 3.10.10 from transifex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-11

    Fix ZoomToFeature in Relation Editor Widget

Merge: c8eae9b8e8 4a3f140456
Matthias Kuhn <matthias@opengis.ch>	2020-09-10

    Merge pull request #38411 from qgis-bot/backport-38385-to-release-3_10

    [Backport release-3_10] Make relation reference in filter work again

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-07

    Fix project never completes loading layers when a layer has a missing dependancy

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-09-03

    fix bad rebase

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-09-02

    remove Travis builds for Docker images

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-09-04

    [Backport release-3_10] fix crash with missing layer of a  relation (#38573)

    * fix crash with missing layer of a  relation

Merge: 994f1a2da0 fe3106d5be
D'Hont René-Luc <rldhont@gmail.com>	2020-09-02

    Merge pull request #38508 from qgis-bot/backport-38488-to-release-3_10

    [Backport release-3_10] Server: Call QgsProject::setInstance on project passed as parameter

Merge: 41e0ec19b3 1f2f1f517f
Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-09-02

    Merge pull request #38255 from mhugent/3_10_wms_external_layers

    Port fix for external wms with several layers to 3.10 branch

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-31

    Server: Call QgsProject::setInstance on project passed as parameter

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-25

    Fix crash in 3d when changing symbol properties (3.14 backport)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-21

    windows: map python PATH changes to Add/RemoveDllDirectory

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-21

    Make relation reference in filter work again

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-20

    Fix delimitedtext in virtual layers

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-17

    Relation reference: Update user interface when adding new entry

Nyall Dawson <nyall.dawson@gmail.com>	2020-08-05

    Treat mdb files as a database source in browser

    Allows these to be expanded so that particular layers can be loaded,
    notably allowing projects with broken mdb layer paths to be repaired
    by allowing users to pick the correct target layer from an mdb file.

    (cherry picked from commit 463e8ee7fa4e0cf669729372c2f59ec03f06717c)

D'Hont René-Luc <rldhont@gmail.com>	2020-07-27

    [Tests] Check that GDAL Assign Projection updates QgsRasterLayer info

    (cherry picked from commit f5b819fc4c1291d653c96a398662e1b663a03dfb)

D'Hont René-Luc <rldhont@gmail.com>	2020-07-22

    [Processing] Fix GDAL Assign Projection: update QgsRasterLayer crs

    Even if the projection is assign, the QgsRasterLayer and the QgsRasterDataProvider was not updated.

    The fix reloads the QgsRasterDataProvider's data and updates the QgsRasterLayer's crs.

    Fixed #37920

    (cherry picked from commit 6c44073ff0e30fa36a4ad3a37075002c97b07d4c)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-07-06

    Fixes #37342 : manage Postgres parallel plans when estimating row count

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-07-28

    WFS server: use exact instersection if there is a bbox parameter

    (cherry picked from commit e205b15eda37a2e7f3839d9af5511cdf45a3cc73)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-07-28

    [delimitedtext] Don't use an out of range index while reading string buffer (fixes a Qt warning)

    (cherry picked from commit ff38315edfcb894830cf5c9877b610344a0843d9)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-22

    Fix ellipse symbol layer doesn't reflect feature selection state

    Fixes #37893

    (cherry picked from commit ee4797973d2044ff0adc64b5f00b850e281864b0)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-22

    [processing] Remove restrictive length limitations on created fields

    (cherry picked from commit 262a193497cab979003272ef6421331342643809)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-21

    Fix flexible aspect ratio is ignored when rendering marker svg symbols

    (cherry picked from commit 0d944fb3144a5792422f747f73aa6fd7a9775443)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-07-21

    [vector file writer] LIBKML driver also requires coordinates to be in wgs84

    (cherry picked from commit c8c0dcdf0b1495e9c04f23bb1ad06bf5132ca3e9)

Lancelot SIX <lsix@lancelotsix.com>	2020-07-18

    createUserProfile: ensure qgis.db file is user writable

    In some package managers (such as NIX[1], used in NixOS[2]), packaged
    data is installed read-only.

    When creating a new user profile, QGis copies the `qgis.db` file from
    the packages and the user ends having a read-only `qgis.db` database.

    This commit ensures that once copied when creating a ne profile, the
    `qgis.db` file is made user writable.

    [1] https://nixos.org/nix/
    [2] https://nixos.org/

    (cherry picked from commit 9d41db14cc63ce552b2cf5c8ece16543f31ade39)

Jürgen E. Fischer <jef@norbit.de>	2020-08-14

    Release of 3.10.9

Jürgen E. Fischer <jef@norbit.de>	2020-08-14

    translation update for 3.10.9 from transifex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-14

    Fix crash on reloading project with annotation items

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-08-13

    Port fix for external wms with several layers to 3.10 branch

Jürgen E. Fischer <jef@norbit.de>	2020-08-08

    windows: use AddDllDirectory on directories in PATH (fixes #38172)

    (cherry picked from commit f17097b1a465c0eea11e346a131ab63762d8f4d0)

Merge: 29290b81d8 9386ce9531
signedav <david@opengis.ch>	2020-08-06

    Merge pull request #38170 from qgis-bot/backport-38152-to-release-3_10

    [Backport release-3_10] Fix long reload of filter change in attribute table by revert bad commit

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-06

    Fix long reload of filter change in attribute table by revert bad commit

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-08-04

    Fix build with CMake 3.18

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-28

    Don't try to update raster min/max settings when a raster layer
    is set to "updated canvas" sampling mode and the layer is being
    rendered as part of a 3d render job

    It causes crashes, but even if it worked, its not going to give
    usable results...

    (cherry picked from commit 91132af5df9a1be7901f34a7fa0f5f0f857bcb67)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-28

    Add render context flag to use when a map render job is part of a 3d map

    (cherry picked from commit 9e1cddaa8e5bec796e5cc42142acf6b4289b98a5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-27

    Don't modify text format paint effects in place

    Avoids race conditions when multiple threads are rendering the same
    text format which contains paint effects

    Fixes #37938

    cherry-picked from 51d8ad7

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-07-04

    [themes] Also provide checkbox styling for list view widgets

    (cherry picked from commit 167b71819da44b3eccb2d39675cdaef7a0875b32)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-28

    Use qint64 instead of long

    (cherry picked from commit 090e5daef2f3c081a1e32eecfbbaf8add852c232)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-28

    Histogram: set an hard limit to bin count

    (cherry picked from commit 67af97b87647e9c29cd6fbab570348b3a80a0076)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-28

    Fix raster quantile with float

    Fixes #37449

    (cherry picked from commit d49e140cf66468f9743fe2cb05b4f155898e37f8)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-29

    Fix GPKG project storage with UTF8 names on windows

    (cherry picked from commit 69bcbeee70e14d5bced0d6979f5b1c339ac373e1)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-18

    Fix setting a layer's Display Name field to a field name containing
    spaces or other special characters

    Because we actually store the field name as an expression, we need
    to make sure we correctly represent these field names as valid
    expressions and not just the raw name string

    (cherry picked from commit 5d28222036d915ae4ba11ebe3543e29741009200)

Martin Dobias <wonder.sk@gmail.com>	2020-06-19

    Review fixes + comment about merging of multi-part geometries

    (cherry picked from commit 21c6573db68c6994f14ac72a4b8ce73a1a3adf69)
    (cherry picked from commit 6bdcba46e9346fa412ac14aadcfd759a0a7a8b80)

Martin Dobias <wonder.sk@gmail.com>	2020-06-18

    Fix performance issue when splitting polygons (fixes #34326)

    Using test data with a HUGE polygon with several hundreds of thousands
    of vertices and nearly a thousand of holes, split geometry was taking
    really long time. On my laptop ~67 seconds for a simple split line.

    With this fix, the time went down to ~10 seconds for the test polygon.

    The issue was that split tool was doing an expensive exact intersection
    calculation for each polygon part returned from polygonize, and then
    calculating areas to see whether the original polygon part and intersected
    part were more or less the same. I think that can be replaced by a much
    simpler point in polygon test to figure out whether the particular
    polygon part from polygonize is falls inside the original geometry
    or whether it falls into a hole or exterior.

    In my tests the time could be further improved to ~3 seconds by disabling
    mergeGeometriesMultiTypeSplit() function - it is a bit of a mistery to me
    what problem does it solve, however it has N^2 running time with N being
    number of rings - but I did not feel adventurous enough to poke into it.
    (mainly because there are no unit tests that would verify its behavior)

    (cherry picked from commit 00a102c6b9780bfc797bbfcb6842cec4902c6bc8)
    (cherry picked from commit b75ba121fcfdf5ad8617f6ecea43df353c8f0f24)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-19

    Accept fields of type "name" in PG 12

    Fixes #37313

    (cherry picked from commit e4718d7471f755b76c68f4754eab2ec23ce03bf2)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-24

    OpenCL quote paths

    Try to fix #37297

    (cherry picked from commit ec52aa9dd0484315f0c099ac1428aef4bcf3ed56)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-04

    Windows GPKG project storage: fix path encoding

    ... in a particular sequence of connection creation,
    fixes #36832

    (cherry picked from commit 2d3c36f3d7f6b40ff75d1a991deb4262ef99a95c)

Even Rouault <even.rouault@spatialys.com>	2020-05-27

    QgsDelimitedTextSourceSelect: add a limitation to the number of fields

    Set to 10000 by default. Can be overriden through settings.

    This is only for the preview in the source select dialog. (Attribute
    table performs badly for much less columns)

    Related to #36392

    (cherry picked from commit fcf6203cb8ae2bc1c5f337a6461da1954fbac790)

Even Rouault <even.rouault@spatialys.com>	2020-05-27

    QgsDelimitedTextFile: fix parsing of files with CR end of line

    Fixes #36392
    Fixes #21976
    Fixes #17190

    We are obliged to do 'at hand' parsing due to QT not handling CR-only
    end of lines.
    As we are at it, also limit each line to 1 MB to avoid potential denial
    of service (which was what close to what happened here before the CR-only
    parsing fix)

    Add tests for parsing CR-only end of lines, and exercising the at-hand
    buffering logic

    (cherry picked from commit 644a5647dbdef395993cf406678addfd6978e781)

Jürgen E. Fischer <jef@norbit.de>	2020-07-19

    Release of 3.10.8

Merge: 499c5d3414 d3437ce174
D'Hont René-Luc <rldhont@gmail.com>	2020-07-13

    Merge pull request #37322 from qgis-bot/backport-37231-to-release-3_10

    [Backport release-3_10] [Server] WMTS Use WMS tile_buffer by using TILED param

Matthias Kuhn <matthias@opengis.ch>	2020-07-11

    Fix blacktoblock

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-07-11

    Add safety check

Tom Kralidis <tomkralidis@gmail.com>	2020-07-11

    [MetaSearch] clear search results when inspecting CSW in server tab (#37748)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-09

    Fix crash when smoothing feature with a curved geometry type

    Fixes #37663

    (cherry picked from commit a98f914b9b990f9a6997a092d5a96c0a4d7a25ee)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-09

    When creating geometry collections for GEOS, skip any empty parts

    These can cause crashes in GEOS functions

    Fixes #37688

    (cherry picked from commit 6ddff0def89a78ee9567ab3d01b1ae180f92cd35)

Nyall Dawson <nyall.dawson@gmail.com>	2020-07-10

    Fix breakage

Mickael Savinaud <mickael.savinaud@c-s.fr>	2020-07-01

    Fix OTB icon which is not render into QGIS Processing

Merge: 6f859c5744 47e7f1ee2d
Denis Rouzaud <denis.rouzaud@gmail.com>	2020-07-09

    Merge pull request #37714 from qgis-bot/backport-37713-to-release-3_10

    [Backport release-3_10] [sipify] format section/subsection to RST

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-07-09

    [sipify] format section/subsection to RST

Tom Kralidis <tomkralidis@gmail.com>	2020-07-06

    [MetaSearch] fix Python error when adding resources (#35560)

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-07-07

    fix adding relation with multiple field pairs from dialog (#37652)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-07-07

    Show python code sample in PyQGIS doc, take 2 (#37645)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

Matthias Kuhn <matthias@opengis.ch>	2020-07-05

    Add safety check for layer pointer

    Fixes #37598

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-07-06

    Fix crash on startup in certain circumstances

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-07-03

    fix PyQGIS docs for QgsProviderMetadata

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-07-03

    [dox] fix code formatting

Matthias Kuhn <matthias@opengis.ch>	2020-07-02

    Immediately liberate connection of expression value gatherer

    This fixes a deadlock

    The iterator as a member as previously implemented kept connections
    occupied for as long as the gatherer existed. This could lead to a
    situation, where all connections have been reserved from finished
    gatherers which were waiting to be deleted (through deleteLater),
    but deleteLater would never happen because the main thread was
    waiting for a connection to become available.

    Fixes #37496

Merge: 62563f09c8 8d92dfa0ee
D'Hont René-Luc <rldhont@gmail.com>	2020-06-30

    Merge pull request #37425 from rldhont/qgis-bot-backport-35277-35937-to-release-3_10

    [Backport release-3_10] Fix regression in QGIS Server WMS GetPrint request with a group layer

D'Hont René-Luc <rldhont@gmail.com>	2020-06-29

    Fix [Tests][Server] WMS GetPrint group Mask file

D'Hont René-Luc <rldhont@gmail.com>	2020-06-29

    Fix Isolate WMS GetPrint Outputs tests

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-11

    [ui] Reduce visual attention grab of the authentication settings wiget's warning label

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-13

    [ui] Improve looks of variable editor widget on non-default themes

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-11

    [themes] Fix tab widget's panel missing border for non selected tabs

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-11

    [themes] Improve hover styling for tree widget and option lists

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-04

    [themes] Fix missing default checkbox styling for table and tree views

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-04

    [themes] Avoid styling tree view item's hover state by default as doesn't plat well with tree view item delegates

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-19

    [wms] Fix broken WMS layers from servers using relative OnlineResource paths

Jürgen E. Fischer <jef@norbit.de>	2020-06-26

    fix 3d build on debian unstable

D'Hont René-Luc <rldhont@gmail.com>	2020-06-25

    Isolate other test_wms_getprint functions

D'Hont René-Luc <rldhont@gmail.com>	2020-06-24

    Isolate test_wms_getprint_atlas

D'Hont René-Luc <rldhont@gmail.com>	2020-06-24

    Isolate WMS GetPrint Outputs tests

D'Hont René-Luc <rldhont@gmail.com>	2020-05-21

    Fix PyQgsServerWMSGetPrint test

D'Hont René-Luc <rldhont@gmail.com>	2020-04-25

    [Test][Server] WMS GetPrint group: deactivate equal image

D'Hont René-Luc <rldhont@gmail.com>	2020-04-24

    [Server] WMS GetPrint group layers: use const list

Even Rouault <even.rouault@spatialys.com>	2020-04-25

    qgswmsrenderer.cpp: avoid confusing aliasing of 'layer' variable name, which cauded gcc 5.5 to fail

D'Hont René-Luc <rldhont@gmail.com>	2020-04-23

    [Tests][Server] WMS GetPrint group Mask file

    To complete PR #35277

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-22

    [Tests][Server] WMS GetPrint group

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-23

    Add missing NMEA patterns

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-19

    [Server] WMTS Use WMS tile_buffer by using TILED param

lbartoletti <loic.bartoletti@oslandia.com>	2020-06-11

    add an explanation

    (cherry picked from commit 04c3c0124f2ed4ac1581adf9da94c7d7926d7a4d)

lbartoletti <loic.bartoletti@oslandia.com>	2020-06-11

    add test

    (cherry picked from commit acd4eef61b4b68923c8de8573a1860253a4e15bd)

lbartoletti <loic.bartoletti@oslandia.com>	2020-05-18

    [WIP][BUGFIX] Fix interpolation on split geometry

    (cherry picked from commit bd7e9d6e119f03e55d7f94827399a24935a0877f)

Samweli Mwakisambwe <samweli@kartoza.com>	2020-06-14

    handle import and name errors with the Authentication class

    (cherry picked from commit 35c7ca978408378f98ec93ab25d2b6f40ad5e930)

Samweli Mwakisambwe <samweli@kartoza.com>	2020-06-03

    updated disable ssl label

    (cherry picked from commit 53788aacbfad4c35e23e0807dc7019afd5287eb2)

Samweli Mwakisambwe <samweli@kartoza.com>	2020-05-04

    fix SSL error

    (cherry picked from commit 682c2000ade00ac8731d126e1920c1cb9b747424)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-10

    [decorations] Use a proper ellipsoidal length calculation when
    calculating the size of the scalebar decoration

    Avoids a misleading Cartesian-based scalebar (unless project is
    set to always use cartesian measurements, that is!)

    Fixes #28407

    (cherry picked from commit 5080eb74c74b0a72a579389e6a71953602cf7a9c)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-10

    [ogr] Fix layer subset string is ignored when OGR refuses to accept
    a compiled feature request expression

    Fixes #37073

    (cherry picked from commit aa2d2482cbd4aa0a9a50d286182ad5c5f29bdc68)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-12

    Vertex editor: same formatting as displayText

    (cherry picked from commit fb994711bae2b8f3a459e51734010ce241c7a4c3)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-11

    Fix editor vertex with "non-dot" locales

    Fixes #29682

    (cherry picked from commit ab149e11a3b8923965cee921940af614d23e79f9)

Alessandro Pasotti <elpaso@itopen.it>	2020-06-04

    Merge pull request #36937 from elpaso/bugfix-gh36930-gpkg-delete-from-browser

    Fix GPKG delete from browser stored connection

    (cherry picked from commit bc85a3aeaea6df1a5d14222181160c6598d9d355)

Alessandro Pasotti <elpaso@itopen.it>	2020-05-27

    Merge pull request #36733 from elpaso/bugfix-36262-json-export-respect-use-layer-ids

    Server: respect "use layer ids" option in json getfeatureinfo
    (cherry picked from commit 66303f27e803cd008ee058c782f1618aeeaacc38)

Alessandro Pasotti <elpaso@itopen.it>	2020-05-23

    [backport] Fix transaction groups on multiple GPKGs

    Fixes #36525

    Backport from master commit c343af75c0

    (cherry picked from commit e248626a9c7d8ac02d028cffe21bf0aa9c9f03ea)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-09

    [labeling] Fix incorrect label placement after moving an 'unplaced' label

    For unplaced labels, we can't calculate the new position relative to
    the original stored label placement, because we're not actually
    showing the 'unplaced' label at the stored position...

    (cherry picked from commit 7e6b1854629e4c097ac537f2d3263d3a216d7d0e)

olivierdalang <olivier.dalang@gmail.com>	2020-06-09

    fix : allow copying style from an unavailable layer

    (cherry picked from commit 2bcb63edc44f2d06a7afa95e838fdf41d24a1b02)

Matthias Kuhn <matthias@opengis.ch>	2020-05-09

    Set DPI of rendered images

    (cherry picked from commit 83a12fb56b0478feb5b7106c91e5c184944569db)

Matthias Kuhn <matthias@opengis.ch>	2020-06-05

    Merge pull request #36909 from m-kuhn/offline_editing_style_copy

    Fix styles are not copied in offline editing

Alessandro Pasotti <elpaso@itopen.it>	2020-06-04

    Browser GPKG: fix drag and drop issue

    Fix a few more unreported issues with GPKG browser operations.

    (cherry picked from commit 871cc68f499cac262be568357779645ef4321db4)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-05

    [expression] Add optional language parameter to format_number() to control locale across different systems

    (cherry picked from commit cbd3068443b3ba2a573a428b972e2e9faef5af6f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-03

    Remember layout designer window positions

    Fixes #36907

    (cherry picked from commit 97d31d025fe2264afadcf6afcb3eb6ebcfe9e91d)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-04

    Fix raster layer names in GeoPDF exports are lost

    Fixes #33306

    (cherry picked from commit d864dc85b686eee2ae28a58cb8613a9eb50d7642)

speillet <sebastien.peillet@oslandia.com>	2020-06-03

    fix scientific notation in scale notation that led to wrong interpretation (due to separator character)

    (cherry picked from commit f68f7303bfdaa37982a644157ed651ae95564605)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Fix build

    (cherry picked from commit faa96b418b2b8e50d9ef306d4229f01dd03dcc0b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-28

    Dox

    (cherry picked from commit 619c2a6d98ebd04613a641c3a13778b12730bab2)
    (cherry picked from commit d77d0dd1dcbf6f5ddbd032a62489e005d58a60e5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-28

    [layouts] Prevent GeoPDF export if map items do not have a valid CRS set

    And show a friendly message explaining this

    Fixes #35242

    (cherry picked from commit 0767ff77fd3c6b50c72064692e87a309a4c5d993)
    (cherry picked from commit 416e757f7a492589259e291558aaf67c66e04b3f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-28

    Only show vector layers in GeoPDF export vector attributes tree view

    This option only makes sense for vector layers, so filter out rasters
    and other layer types

    (cherry picked from commit 47e565191f2ce59dc78db1fc608f5ef40957cba4)
    (cherry picked from commit b62dfd201aa0c5afcd2fb4f71bf9fd5d3f5c1dab)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-28

    [layouts] Allow checking all or unchecking all items in the geopdf
    export options dialog at once

    Right click on the list shows a "Select All"/"Deselect All" option

    Fixes #32281

    (cherry picked from commit cbfc11280711c054735633db10a856af551dfacd)
    (cherry picked from commit 4ac5b980b397815725267154a6c1ac6b1b0fb700)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Fix quasi-leak in attribute table right click menu

    The actions should be parented to the menu, not the form, or they'll
    exist for the lifetime of the form instead of the menu

    (cherry picked from commit 1b3b8c3e902433f7c737fe2862509b4e506b8080)
    (cherry picked from commit d845b76ac47c86c26972ebe92ca321456d9821fd)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Minor code cleanup

    (cherry picked from commit 3e5586281a61b717d9ceb646bd0aaa6168b0e827)
    (cherry picked from commit ce640258314b559f2941d1b0eed766c3e677cf54)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Avoid more old-style connects

    (cherry picked from commit 74c6946d10772421221bb0281f2eacf6c6e9eced)
    (cherry picked from commit 87bb5a0f02c5982062efecc9503dedf3ba96381b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Avoid use of old-style connect

    (cherry picked from commit 285ce72af42de6939ee4d01578a55e2cc9e41dfa)
    (cherry picked from commit fcbedd382aca15d966a116d0b6165a00da5d0bcf)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Fix broken QgsDualView::copyCellContent() method

    This is a public method, yet was unusable publicly due to the
    forced use of sender() to retrieve the current model index

    (cherry picked from commit 387b330b15f7ba55a269bddbf1ebd073eebabdc1)
    (cherry picked from commit d9d3568341b90a43eb8e2095449157e96a473b77)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Improve "Copy Cell Content" action code

    (cherry picked from commit 5ad9fc06157c33876b9d4496824ce4d014b2522a)
    (cherry picked from commit ae4e340d3a0d6d7cae1ec4cf8ff46cba6a91cdf0)

Alex <roya0045@users.noreply.github.com>	2020-04-28

    Fix Duplicate and Digitize action duplicates wrong feature when
    table is sorted

    Fixes #33665

    (cherry picked from commit d216c14adff1b656109c89c8f1e5c1e2cd2fe44d)
    (cherry picked from commit 83e2e63493d9d714373340980145145cd42fa833)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Fix build

    (cherry picked from commit f24a5c9b21a5e410670713890d0df2b341c9fc23)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-05-27

    Fixes #36114 : NULL value relation sort

    (cherry picked from commit f1a5c5d782b91a6c94315e38d2797bef1962c07d)
    (cherry picked from commit 784441257ea7841505ab7656f9cd24e591de45ce)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-06-02

    Remove 'fake' tree view code from layer tree model symbol icon creation

    (cherry picked from commit a7de7edcbeec4de34363024f4b9f2adfcc52a746)

speillet <sebastien.peillet@oslandia.com>	2020-05-27

    FIX #34482, clear values for piecewise read mode (otherwise it concatenates current default value with default value of the previous row in result)

    (cherry picked from commit 3f2fb5a3c4855488f6653b2544742da05f5b4164)

speillet <sebastien.peillet@oslandia.com>	2020-02-19

    BUG: fix invalid layer result when Oracle version is under 12

    (cherry picked from commit 6212c74efb342fd124b8860f19e79ed6ea1dcb15)

speillet <sebastien.peillet@oslandia.com>	2020-01-10

    REFAC: always generated identity field are now determined at the provider initialization

    (cherry picked from commit 353705e79e182e061c81a80d31b74740aca0930f)

speillet <sebastien.peillet@oslandia.com>	2020-01-09

    resolve review comments

    resolve review comments

    (cherry picked from commit 99a55a42fd4cb90cbdd2308b40a73fb84ece3ab9)

speillet <sebastien.peillet@oslandia.com>	2020-01-09

    BUG: fix identity field management when adding a feature, fix #33681

    (cherry picked from commit 0d5456fabec03da8e10202589b77c6b6e109504c)

speillet <sebastien.peillet@oslandia.com>	2020-01-09

    Add test to check identity field management

    (cherry picked from commit 202f8a8c1182ff0d2b27ca046846ddbe1926103e)

Luigi Pirelli <luipir@gmail.com>	2020-06-02

    [processing] Safename for scope variable shouldn't contain "."

    Fixes #36377

    (cherry picked from commit 08542ef81028cab36d591a2e84829a0ee7757a33)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-28

    [plugins] When a user clicks the "Reload all repositories" button
    manually in the plugin manager, then force a reload of the repositories
    and don't rely on cached copies of the repo manifest

    Otherwise it's not possible to force a refresh on certain types of
    plugin repositories where it's not possible to modify the Cache-Control
    attribute of the repo

    Note that to avoid unnecessary server load, we still use cached
    copies during startup and by default. It's only when a user explicitly
    hits the "Reload all repositories" button that we force a non-cached
    fetch.

    Fixes #34351

    (cherry picked from commit edfc6916248ddfa0cee7c5d2032914097356b702)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-29

    fix calculating raster size in the TIN and IDW algorithms to maintain
    accurate pixel size (fix #31970)

    (cherry picked from commit 072c76747cf3c81610f08f5cccc0ba3bcc8d5d45)

Audun Ellertsen <audun@advim.no>	2020-05-25

    PostGIS support for importing layers with binary fields

    (cherry picked from commit 7a5af29579d6b0c028dd39097a9a406626144c1c)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-27

    use selected filter to determine style type (QML or SLD) (fix #35944)

    (cherry picked from commit f2ea6e8b0458e82d28a0b26823b08a0c00735a84)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-05-28

    Fixes #36054 : Fix loss precision when rect filtering in virtual layer

    (cherry picked from commit b0424c39aa300a3937da25640386d8effff63344)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-05-28

    Fixes #36796 : Don't modify project when snapping utils object is modified

    (cherry picked from commit 090604c5e21e832cb52dc71fdc53a1941fa7acae)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-05-28

    Fixes #34982 : set sql filter on the right row for postgres datasource

    (cherry picked from commit a261a069bd00320d10a3d8f8146fc88a07a43f9e)

Matthias Kuhn <matthias@opengis.ch>	2020-05-13

    Do not complain if user cancels open project dialog

    (cherry picked from commit c8db9ed3292b8b652f7b1fdea40ead9d6e763109)

Matthias Kuhn <matthias@opengis.ch>	2020-05-13

    Do not show error message if user cancels save as dialog

    The save to database providers return an null QString() if the dialog is cancelled,
    as documented in qgsprojectstorageprovider.h.
    No reason to show an error message for cancelling this dialog.

    (cherry picked from commit a076f83e2790ee3cf857efea92d7762d0d0096e5)

Even Rouault <even.rouault@spatialys.com>	2020-05-27

    QgsVectorLayerSaveAsDialog: make it work with custom CRS

    The current approach was based on a srsid, that that might be unset for custom
    CRS. So store a full QgsCoordinateReferenceSystem object internally and use
    that for exchanges with QgsProjectionSelectionWidget

    Consequence: we need to deprecate the "long crs()" method, and replace it
    by a "QgsCoordinateReferenceSystem crsObject()" one. I'm not particularly
    happy with the name but the existing one was not very well named...

    Mark also the QgsVectorLayerSaveAsDialog( long srsid, ... ) constructor as
    deprecated

    Fixes the use case of https://github.com/qgis/QGIS/issues/34471#issuecomment-586181977

    (cherry picked from commit 535c25317f9e7dcb063f130d69ccc23cceffe906)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    [WMS provider] Detection of SERVICE=WMTS in url must be case insensitive

    As mandated by OGC specs.

    Fixes #36659

    (cherry picked from commit 97bac498418c6724e574f16365c3b220a3114502)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    Fix crash on "Open Directory" entry of contextual menu of recent projects

    Fixes #31630

    I couldn't reproduce a crash on my platform (Linux, Ubuntu 16.04, gnome classic),
    but this smells pretty much like the issue of #30210 fixed per PR #30210

    So using QgsFocusKeeper hoping that it would solve the issue for people affected

    (cherry picked from commit 0d6d626ec1ba8eb8a2d3495c8cddf7fb31925acc)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-26

    quote project file path when passing it to the crash handler (fix #25532)

    quote project file path when passing it to the crash handler to avoid
    issues if path contains spaces (fix #25532)

    (cherry picked from commit 59282b0b0f7ef93c5451d02ef3681e7a932289bf)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-26

    fix layout of the QgsHistogram widget to prevent histogram collapsing on
    resizing (fix #25197)

    (cherry picked from commit abe8481a1ec58e54b6b9b3561367b17e25fd60be)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-26

    use completeBaseName for world file when exporting layouts (fix #34523)

    (cherry picked from commit 8f21a6d2f3d288cb7091ed2098a490e663405cf0)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-26

    also fix worldfile name when saving map canvas

    (cherry picked from commit 1a7f25c0f13261a5fe1395a34dc7ca373a7d77f2)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-25

    check return value from the QgsRelief and notify user (fix #17452)

    (cherry picked from commit 5d03f2bb9950deb6b5f66bf118feeced129fec9d)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    src/gui/CMakeLists.txt: register qgsfocuskeeper.h in QGIS_GUI_MOC_HDRS

    (cherry picked from commit f2126d3f27f7946aac3bf6f3adf45d09091c4624)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    QgsBinaryWidgetWrapper: fix focus-related crash (fixes #30210)

    (cherry picked from commit 46c9d1f583e07abb5344a9517440213f95f2e569)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    Add a QgsFocusKeeper class to avoid crashes related to focus loss

    Will be use to solve crash of #30210

    Credits to @nyalldawson for pointing out the fix of #31905 as a
    reference.

    (cherry picked from commit f9bfbe713d1779d7f53db906e3b6a3b016996f32)

Even Rouault <even.rouault@spatialys.com>	2020-05-26

    [WFS provider] Parse WMS service exceptions (fixes #29866)

    (cherry picked from commit 63c34e3c7e8ce61af403dfdf7c8fcb80c1eb3385)

Alessandro Pasotti <elpaso@itopen.it>	2020-05-14

    Folloup to PR 36399 OSM prefetch

    Fixes #34813

    (cherry picked from commit 720eefc0c76b2a7f664ea7609387b4bd0af7efc3)

Alessandro Pasotti <elpaso@itopen.it>	2020-05-13

    Re-use RenderPreviewJob flag to for Prefetch

    (cherry picked from commit 459bc533272e8ec2339010af2966a5a240922ab3)

Alessandro Pasotti <elpaso@itopen.it>	2020-05-13

    Fix xyx OSM tiles too many downloads

    Fixes #34813 by introducing a Prefetch rendering flag
    and raster provider capability that can be set by
    a provider when prefetching of out-of-viewport tiles
    is allowed. For now it is only denied (hardcoded) for
    OSM but the implementation allows per-layer setting when
    a GUI element to set the flag will been created.

    (cherry picked from commit f029b1f959228b24eba01d7c8c46eabc70d9bdf1)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-26

    Fix incorrect warning message when turning off atlas preview

    (cherry picked from commit 1b5e0aecfc1305e0098f58ca05a0a8519d86bed1)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-21

    [layouts] Warn when previewing an atlas and a feature with no geometry
    is encountered, when one or more maps are set to be driven by atlas feature

    This situation is definetly not what the user is expecting -- so we
    show a warning to them to advise them that the feature has no geometry.

    Fixes #36556

    (cherry picked from commit 6ce84d2c347f49c9aae0c1953e2b2529228db430)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-05-25

    [code editor] Improve creation of monospace font by:
    - Stop relying on the python console settings;
    - Using modern way to retreive monospace font family;
    - Using QGIS' font size;
    - Increasing likelihood of getting a monospace font on all platforms.

    (cherry picked from commit 4ddce03f83c80c6263ad6bc1dd70ce52a1b31123)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-26

    Update sipify

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-26

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-16

    Don't show 'QgsRasterLayer created' messages in status bar

    (cherry picked from commit c4546ae6e4b87d0f66c0b540a897620343f17e83)

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-05-18

    Turn off editing and dragging for current env vars table in System setting

    (cherry picked from commit 3fbbc01077f99a312599a50b2ba8a6e4a3fb8e45)

lbartoletti <lbartoletti@users.noreply.github.com>	2020-05-19

    Fix rectangle from 3 points

    Fixes #35043, fixes #35671

    The initial version of this class presupposed the possibility of constructing a rectangle by 3 points where each point had a  Z. Very useful to make 3D plans, but this is not always what we want...

    (cherry picked from commit 8249dccfddda5963e12c4d63f96b51937227eb7e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-20

    Avoid proj 'object is not a concatenated operation' warnings

    (cherry picked from commit 6baa209285f452e5996537b1b0f1b5d924d5c59b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-22

    Flag SAGA 'Merge Layers' algorithm as having known issues

    Fixes #36375

    (cherry picked from commit f676c821d9d9ff2d6e509d881ba2ea1853a34051)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-23

    Allow clearing heatmap weighting field

    Fixes #20256

    (cherry picked from commit 3961fa26f53e411c5c83b50e006df739ebda4c3e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-21

    Workaround odd upstream Qt issue where a painter with a semi-transparent
    brush with no solid pattern incorrectly applies the brush opacity to
    the pen when exporting to printer devices

    Fixes #36580

    (cherry picked from commit 38c82187a65d8b4833f2c633a69a4d937a8725eb)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-22

    Fix oriented minimum bounding box calculation is wrong in some cases

    Fixes #36632

    (cherry picked from commit 97d098884a7889346739d61bd9048e9dcf942d11)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-23

    Ensure symbol opacity is always ignored for selections

    Fixes #27859

    (cherry picked from commit 4de6a53235a6f7bd657c60d4f4d7160ed371d9df)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-23

    Fix random sort order of symbols in Symbol Export dialog

    Fixes #20572

    (cherry picked from commit 987310fe90de2b21deb5c2564eb051e1d72548b2)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-20

    Fix memory layers lose CRS definition if it does not have an authority
    associated with it

    Fixes #36241

    (cherry picked from commit e23a49a6b858cad9373c3bfb9ad66525622ce9ee)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-20

    Implement spatial index detection for OGR provider

    Provides warnings in Processing algorithms when running on layers
    which don't have a spatial index present (e.g. geojson files) and
    where performance will be severely hurt as a result

    Fixes #30530

    (cherry picked from commit f20801a8bb3f23576e5e0d2abc6d3229e5044200)

Nyall Dawson <nyall.dawson@gmail.com>	2020-05-20

    Fix incorrect dialog title for raster layer properties

    Fixes #35510

    (cherry picked from commit 2099261230f82c5cd4439538e38754947c8f6bd6)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-20

    add tests

    (cherry picked from commit 53d70ea357a0dd6f503e598d8f2065de13d0cc78)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-20

    [processing] redirect tool standard output to fake Processing output in
    some GRASS algorithms (fix #36520)

    (cherry picked from commit 263d2a871d1ed35a05ca72d895ad4757e60d69da)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-22

    update algorithms which use "ext" mechanism

    (cherry picked from commit 938dc618b185e9b61abf137333458616efb98812)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-21

    [processing] fix handling for stdout and file outputs in GRASS
    algorithms when temporary files are used

    (cherry picked from commit b5d323c583a9878041bf2ea2082164094a90f605)

uclaros <uclaros@gmail.com>	2020-05-20

    Cleanup leftover rubberband

    (cherry picked from commit 621d6073627e60f7cd0a2995e5d079073bfa65f8)

uclaros <uclaros@gmail.com>	2020-05-22

    Vertex tool, fix escape to stop dragging edge

    and make keypress handling cleaner

    (cherry picked from commit f3ae6c119d746af70d0ef3eb45a65b58adc8f5d7)

vcloarec <vcloarec@gmail.com>	2020-05-20

    backport #36005

    (cherry picked from commit cc24146deb94b173a7b14dcdb681b7b3fc71f36a)

vcloarec <vcloarec@gmail.com>	2020-05-20

    backport #34999

    (cherry picked from commit 54daf1fde838d11b1744ea6f2efda0280df9268d)

Alexander Bruy <alexander.bruy@gmail.com>	2020-05-19

    use value from context when copying variables from the editor widget
    (fix #30641)

    (cherry picked from commit f16ee3ed9fe4fa0bded9ff629cb54fde2cd7adee)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-05-18

    [Expression] Do not transform NULL integer as 0 when concat

    Fixes #36112 : don't concat null values

    (cherry picked from commit 01563e6454f4cc5fbf1d23fe9fc8979df60b1be9)

uprel <uros00@gmail.com>	2020-05-16

    manual backporting #36153

Jürgen E. Fischer <jef@norbit.de>	2020-06-19

    Release of 3.10.7

Jürgen E. Fischer <jef@norbit.de>	2020-06-19

    translation update for 3.10.7 from transifex

Jürgen E. Fischer <jef@norbit.de>	2020-06-18

    more retries with transifex

    (cherry picked from commit 5b5f1f58f83214ba0541f4740ba403eafb4dd6bf)

Merge: d56e32a784 6d836a7bb4
Alessandro Pasotti <elpaso@itopen.it>	2020-06-18

    Merge pull request #37156 from m-kuhn/backport-35881-release-3_10

    Backport use expression context for conditional visibility

Jürgen E. Fischer <jef@norbit.de>	2020-06-10

    fix debian rules (followup 28e02f895f)

    (cherry picked from commit f1e3f82cb702cf38054cff0bc0061599ca62cd5c)

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix server compilation

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Update QgsRuleBasedRenderer::RenderJob

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsReadWriteContextCategoryPopper

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsReadWriteLocker

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsEffectPainter

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsRenderedFeatureHandlerInterface

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsRuleBasedRenderer::RenderJob

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix use of deleted function for QgsGeometryCheckErrorSingle

Blottiere Paul <blottiere.paul@gmail.com>	2020-06-16

    Fix MappedType error

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-16

    Fix crash when disabling defined sort order in attribute table

Matthias Kuhn <matthias@opengis.ch>	2020-06-15

    Remove redundant checks

Matthias Kuhn <matthias@opengis.ch>	2020-06-15

    Avoid binding loop in date time widget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-15

    Fix crash and missing closest vertex in WMS identify

Merge: 5febb4c836 40877aae70
Alessandro Pasotti <elpaso@itopen.it>	2020-06-12

    Merge pull request #37168 from elpaso/backport-37093

    [backport] Fix image size ignored in image widget

Merge: b235a80d89 3a466926d4
Alessandro Pasotti <elpaso@itopen.it>	2020-06-12

    Merge pull request #37167 from elpaso/backport-37006

    [backport] Fix labeling aligment DD activation signals

Alessandro Pasotti <elpaso@itopen.it>	2020-06-10

    Fix image size ignored in image widget

    Fixes #33682  (maybe)

    Cherry-pick from master commit 72c0ae73ba6822cec66

Alessandro Pasotti <elpaso@itopen.it>	2020-06-05

    Fix labeling aligment DD activation signals

    Fixes #37003

    Cherry-picked from master 0e6a19707e

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-21

    Correctly utilise expression contexts for attribute form container visibility

    - we shouldn't use a single member instance of the context here, because continually
    adding new scopes to that single instance will eventually cause the context to
    become massive and slow
    - correctly populate the context with the global/project/layer scopes

    Fixes #35558

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-21

    Ensure correct expression context is shown in expression builder
    for form container visibility

Merge: 7f04b8e468 c184270ebe
D'Hont René-Luc <rldhont@gmail.com>	2020-06-10

    Merge pull request #36624 from rldhont/backport-35158-release-3_10

    [Backport release-3_10] Fix issues when content cache is used in blocking mode

Merge: 88cee001c1 e24612ee12
Matthias Kuhn <matthias@opengis.ch>	2020-06-09

    Merge pull request #37062 from qgis-bot/backport-37022-to-release-3_10

    [Backport release-3_10] Fix #36983 arguments of is_selected are flipped

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-09

    Fix #36983 arguments of is_selected are flipped

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-04

    Set correct output layer type for Point to Layer algorithm

Jürgen E. Fischer <jef@norbit.de>	2020-06-04

    fix debug build (followup 724f84db49)

Jürgen E. Fischer <jef@norbit.de>	2020-06-04

    postgres provider: fix type retrieval for layers with where clause

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Be super cautious and just log errors when pal obstacle geometry is null

    (cherry picked from commit cfe335ce046065fa72740e684b280b963e533f0c)

Nyall Dawson <nyall.dawson@gmail.com>	2020-06-02

    Use an exact test when checking if a curve is closed

    Otherwise we get cases where calling isClosed() on a curve with small
    (<1E-08) differences between the first and last vertex incorrectly
    returns true.

    This is an issue when converting rings to GEOS, as it rejects them
    as being unclosed, yet calling QgsCurve::close on them has no effect...

    This is the underlying root cause of #36346. In this particular case
    the calculation of the bounds of the marker symbol (used for the
    label obstacle calculation) results in a very small rectangle (since
    it's in map (geographic) units, and the map is very zoomed in) -- so
    the 1E-08 tolerance here is completely unsuitable and calling close()
    on the marker bounds had no effect, ultimately resulting in an unclosed
    ring being passed to GEOS.

    Fixes #36346

    (cherry picked from commit 78137b5390dfd452f036f849347a39b00ff73f67)

Matthias Kuhn <matthias@opengis.ch>	2020-05-29

    Fix windows newlines replacement in db manager query layer

    Fixes #36825

Matthias Kuhn <matthias@opengis.ch>	2020-05-29

    DB Manager: remove semicolon from SQL window queries

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-02

    Fix broken use of HTML entities for property help strings

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-01

    Fix valid input types for labels placement Priority data-defined parameter

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-01

    [BUGFIX] Prepare for Qt5.15

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-06-01

    Fix order_by parameter in relation_aggregate function help

Even Rouault <even.rouault@spatialys.com>	2020-05-30

    [BUGFIX] QgsWmsProvider::layerMetadata(): re-add HTML content that had been accidentaly dropped

Even Rouault <even.rouault@spatialys.com>	2020-05-29

    [BUGFIX] QgsRasterLayer::htmlMetadata(): add back missing Band table header to myMetadata

    3.10 regression dating back to f0640eed58a78ab238ac194f6437be9face02b7e

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-26

    Fix incorrect "layer could not be generated" message after running gdal warp algorithm

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-28

    [VirtualLayer] Remove useless qWarning message

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-27

    [Server, WCS] Fix several non compliance errors in CoverageDescription output

D'Hont René-Luc <rldhont@gmail.com>	2020-05-27

    Reintroducing and fixing an event loop to wait for task starting

    The method QgsTask::waitForFinished doesn't wait the task to be finished if the task has not yet being started (because the task wait to start if there is no thread available for instance).

    This bug has been fixed in a much nicer way in version 3.12 and upper, but it has not been backported to version 3.10. If #32838 is backported, for example with #36651, this commit has to be revert.

Even Rouault <even.rouault@spatialys.com>	2019-10-11

    addVectorLayerPrivate(): avoid crash in the non-nominal case when added a layer for a non-existing provider

    Backport of master commit 099df0bf3dc9ebd9f26370784bd5cfa65b090985

    Fixes #31304

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-25

    Fix QgsGeometry constParts() example code

Merge: e91e3d016e 871def2484
Alessandro Pasotti <elpaso@itopen.it>	2020-05-22

    Merge pull request #36648 from uclaros/backport-34368

    Backport #34368 to 3.10

uclaros <uclaros@gmail.com>	2020-02-08

    Backport #34368 to 3.10

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-21

    [themes] Fix slider 'fill' missing in themes and improve looks of night mapping theme slider

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-18

    Workaround double slot calling causing empty replies to overwrite
    valid reply content

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-18

    Timeout for blocking network requests in content cache should match
    the user's preset network timeout value, not a hardcoded value

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-18

    Don't use an event loop to wait for task starting

    This is already handled in a MUCH nicer way by QgsTask::waitForFinished
    (mutex based, not eventloop based)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-20

    compile custom widgets on Docker image

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-14

    Fix SIP QgsHighlight class declaration

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-07

    Fix SIP QgsSnapToGridCanvasItem class declaration

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-05

    [docker] Avoid assuming /dev/tty is usable

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-06

     [image cache] Avoid creating an invalid image and painting onto it

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-05-08

    Follow up 01ec02a : remove border on QPushButton:open state as Qt merges that with QPushButton:pressed

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-05-07

    [themes] Style checked style of push buttons

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-05-03

    [themes] Fix styling of bottom-located tabs

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-04-27

    [authentication manager] Fix mutex leak

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-04-27

    [authentication manager] Use dedicated mutex for master password check

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-04-25

    [authentication manager] Avoid crossing mutex wires when checking for master password

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-11

    [vector layer] Fix minimumValue/maximumValue for joined and virtual fields

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-12

    Avoid temporary destination filename has "." inside. Fixes #36353

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-01

    Fixed fetching NULL bigint pgsql attributes. Fixes #36011

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-28

    Backport of PR #36063 (PgSQL bigint ordinary fields)

    (cherry picked from commit a113b5a1df028cac2308bddb34bcf93b1d3a29a3)

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-04-23

    Backport of PR #35832 (PgSQL bigint PKs)

    * PostgreSQL provider don't cast bigint PKs to text

    * Apply suggestions from code review

    Fix merge conflicts

    Co-Authored-By: José de Paula Rodrigues N. Assis <espinafre@gmail.com>

    * Fix merge conflicts

    Co-Authored-By: José de Paula Rodrigues N. Assis <espinafre@gmail.com>

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>
    Co-authored-by: Matthias Kuhn <matthias@opengis.ch>
    Co-authored-by: José de Paula Rodrigues N. Assis <espinafre@gmail.com>
    (cherry picked from commit 566afd90ce98047ec321b936e51d6c78dbc36e76)

Matthias Kuhn <matthias@opengis.ch>	2020-04-29

    🧹

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-29

    Allow map interactions when multiedit window is open

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-29

    Flag another transform as ballpark appropriate

    (cherry picked from commit b250063076e782aeb9333327e4cf49cf81292a70)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-23

    Cache generated WKT if it's in the preferred format

    Some frequently called code paths call this, and it's rather costly
    to calculate on the proj side.

    (cherry picked from commit 65296e950b1fae4d06d7c2238f9162abd85b9317)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-23

    Cleanup QgsCoordinateReferenceSystem WKT enum

    - alias WKT_2018* to new WKT_2019* values, since the spec is actually
    2019, not 2018
    - add WKT_PREFERRED value which currently aliases to WKT2_2019, but
    can be changed if/when future bumps to the WKT spec happen
    - add WKT_PREFERRED_GDAL which should be used whenever a CRS is
    exported to WKT for use with GDAL API. Aliases to WKT2_2019 currently,
    but can be changed if/when a new spec is released and GDAL supports it

    (cherry picked from commit 34f4bd2dd87f23c2fccfc1a937e1f49ac493ea69)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-28

    Allow custom QgsDataItem types a chance to create a info widget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-27

    Handle CONSTRAINT TRIGGER on DB Manager/PostgreSQL.

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-27

    Teach the AlgorithmExecutor to count up to 100

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-24

    [rastercalc] enable Ok button only when expression and output are set (fix #30420)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-22

    fix deprecation warning in qgis.utils (fix #32786)

Jürgen E. Fischer <jef@norbit.de>	2020-05-15

    Release of 3.10.6

Jürgen E. Fischer <jef@norbit.de>	2020-05-15

    translation update for 3.10.6 from transifex

Merge: 448778a4f3 fc8b3a156b
signedav <david@opengis.ch>	2020-05-14

    Merge pull request #36354 from signedav/filterfix_310

    Avoid long loading in attributetable on model change

David Signer <david@opengis.ch>	2020-05-14

    comment featureDeleted handled over selectionChanged

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-12

    Fix QgsGeometry nearestPoint and minimalEnclosingCircle when the geometry is empty

Merge: feedcd7ebe 27eb1cef2d
D'Hont René-Luc <rldhont@gmail.com>	2020-05-12

    Merge pull request #36362 from qgis-bot/backport-36352-to-release-3_10

    [Backport release-3_10] [Bugfix][Server] WFS DescribeFeatureType: add MultiCurve and MultiSurface in SCHEMA

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-12

    [Bugfix][Server] WFS DescribeFeatureType: add MultiCurve and MultiSurface in SCHEMA

David Signer <david@opengis.ch>	2020-05-05

    connected vector layer signal featureAdded to reloadVisible and filterFeatures slot instead of datachanged of model since this leaded to unneeded and long reloading after the main model is reloaded

    fixes #35927

José de Paula Rodrigues Neto Assis <espinafre@gmail.com>	2020-05-06

    Code review: using QStringLiteral instead of QString

José de Paula Rodrigues Neto Assis <espinafre@gmail.com>	2020-05-06

    Fixed dropping PostgreSQL materialized views.

    By default, the PostgreSQL provider allows the user to drop database
    objects from the Browser tree; however, the PostgreSQL syntax for
    dropping materialized views is different from dropping ordinary views.
    This fixes it, and adds the keyword "MATERIALIZED" accordingly.

    Fixes #36164

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-09

    [processing] fix file filter for i.landsat.toar (fix #36290)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-05-08

    osgeo4w: use nightly gdal bindings

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-29

    Safer workflow when checking for OpenCL

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-29

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-15

    Try to fix crash on GEOS 3.8.1 when empty coordinate sequence is returned
    for a point geometry

    Fixes #35719, fixes #35526

    (cherry picked from commit 774f1db9c9fab77c047e284a1167800b7e3c6125)

uclaros <uclaros@gmail.com>	2020-04-28

    Added test for tessellator fix

    (cherry picked from commit 7cc0d92aff228eeb0a4b17426df715577c993da6)

uclaros <uclaros@gmail.com>	2020-04-27

    Make tessellator properly handle 2d triangles (fix #36024)

    (cherry picked from commit 800c54fc913ea3c3490131c5cdbf77e4116339f1)

Merge: b2f30cb5ee a30e1a541c
Alessandro Pasotti <elpaso@itopen.it>	2020-04-28

    Merge pull request #35951 from rldhont/qgis-bot-backport-35702-to-release-3_10

    [Backport release-3_10] Improve QGIS Server WMS GetCapabilities output

Merge: ea2ec2b578 9f576cb0e9
Even Rouault <even.rouault@spatialys.com>	2020-04-26

    Merge pull request #36004 from agiudiceandrea/backport-35948-to-release-3_10

    [Backport release-3_10] Fix arguments in QgisApp::about() for exported source code

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-04-26

    Fix arguments in QgisApp::about() for exported source code

Merge: 6a27a821d7 20e18b8271
Matthias Kuhn <matthias@opengis.ch>	2020-04-24

    Merge pull request #35960 from qgis-bot/backport-35877-to-release-3_10

    [Backport release-3_10] QgsAbstractGeometry->segmentize() not returning correct WkbType for multi-geometries

Matthias Kuhn <matthias@opengis.ch>	2019-09-27

    Various safety checks to avoid crashes

    Fix https://github.com/qgis/QGIS/issues/35940

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-23

    QgsAbstractGeometry->segmentize() not returning correct WkbType for multi-geometries

D'Hont René-Luc <rldhont@gmail.com>	2020-04-23

    Fix backport

Merge: 58395a2895 fed4f9a976
Alessandro Pasotti <elpaso@itopen.it>	2020-04-23

    Merge pull request #35922 from elpaso/raster-quantile-shader-increase-sample-size-3_10

    [backport] Raster quantile shader increase sample size and bin count

Alessandro Pasotti <elpaso@itopen.it>	2020-04-22

    Fix typo in comment

Alessandro Pasotti <elpaso@itopen.it>	2020-04-19

    Raster quantile: increase sample size

    Fixes #35465 (part two)

Alessandro Pasotti <elpaso@itopen.it>	2020-04-11

    Increase default bin size for raster histograms

    Fixes #35465 but it is still and arbitrary value,
    better approaches would require to calculate other
    dispersion indexes and they seem impractical (inefficient)
    in this case.

    See for example: https://en.wikipedia.org/wiki/Freedman%E2%80%93Diaconis_rule

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-04-21

    use focal to build Docker images (#35897)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-21

    Fix double-rendering of layout legends on some circumstances

Merge: 8cbd1e40f6 f124e6b4c2
Alessandro Pasotti <elpaso@itopen.it>	2020-04-21

    Merge pull request #35880 from pblottiere/fix_ogc_api_def_3_10

    Fixes double type in ogcapif api document

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-20

    old Qgis2.18 slot in QgsAttributeFormlegacyInterface

Blottiere Paul <blottiere.paul@gmail.com>	2020-04-20

    Add unit test on ogcapif type

Blottiere Paul <blottiere.paul@gmail.com>	2020-04-20

    Fixes double type in ogcapif api document

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-11

    Fix tasks don't show in status bar if they start before the widget is created

    (cherry picked from commit 839a1b85e15602d7652ec8d42c0756de42f83d6d)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-11

    Don't prompt to cancel the news feed task on shutdown

    If it hasn't completed, just cancel it immediately without prompting
    users -- it's not essential that it completes

    (cherry picked from commit da4a195a94c03782bb82b6d207a90c489187c983)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-11

    Add an optional flag to QgsTask to indicate that the task can be canceled
    without any user facing prompts

    Useful for non-essential tasks

    (cherry picked from commit c0f0a49f9cf94c71eaa3fe8f724c9d2a9af27b75)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-19

    Make autocomplete in expression builder case insensitive

Merge: 33ea91a1c9 4946e8f5a7
Paul Blottiere <blottiere.paul@gmail.com>	2020-04-18

    Merge pull request #35813 from pblottiere/ogcapif_fix_landing_page_3_10

    Fix landing page test for OGC API Features certification

Blottiere Paul <blottiere.paul@gmail.com>	2020-04-16

    Update unit tests

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-12

    Warn that layers will be lost when overwriting container vector file

Matthias Kuhn <matthias@opengis.ch>	2020-04-15

    Do not skip first line on value map csv import

    Fix https://github.com/qgis/QGIS/issues/32250

Matthias Kuhn <matthias@opengis.ch>	2020-04-15

    Fix sort order of value map import of csv

    Fix https://github.com/qgis/QGIS/issues/32250

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-17

    Improve QGIS Server WMS GetCapabilities output

Jürgen E. Fischer <jef@norbit.de>	2020-04-17

    Release of 3.10.5

Jürgen E. Fischer <jef@norbit.de>	2020-04-17

    translation update for 3.10.5 from transifex

Blottiere Paul <blottiere.paul@gmail.com>	2020-04-16

    Update content type

Blottiere Paul <blottiere.paul@gmail.com>	2020-04-16

    Update links template

Merge: d094b89359 43533cae2f
Matthias Kuhn <matthias@opengis.ch>	2020-04-16

    Merge pull request #35783 from troopa81/backport_35198_to_release_3_10

    [Backport 3.10] Fix relation reference widget

Merge: d2d8c849c6 48f16df720
Alessandro Pasotti <elpaso@itopen.it>	2020-04-15

    Merge pull request #35756 from qgis-bot/backport-35738-to-release-3_10

    [Backport release-3_10] Server: add QGIS_SERVER_IGNORE_BAD_LAYERS config option

Julien Cabieces <julien.cabieces@oslandia.com>	2020-04-15

    add assert on gatherer

    Co-Authored-By: Matthias Kuhn <matthias@opengis.ch>

Julien Cabieces <julien.cabieces@oslandia.com>	2020-03-09

    Fixes #34537 : Allow setting null in relation reference widget

Julien Cabieces <julien.cabieces@oslandia.com>	2020-03-05

    Fix feature list combobox entries, add tests and checks

Julien Cabieces <julien.cabieces@oslandia.com>	2020-03-02

    Fixes #34779 crash in testrelationreference test

obrix <bertrand.rix@oslandia.com>	2020-02-20

    Fix style.

obrix <bertrand.rix@oslandia.com>	2020-02-19

    Add a check for nullptr on mGatherer in QgsFeatureFilterModel::updateCompleter.
    Also avoid relying on signal to slot call order conservation to make sure that gathererThreadFinished is called after updateCompleter :
      - gathererThreadFinished is disconnected from finished signal emitted at the end of QgsFieldExpressionValuesGatherer::run
      - gathererThreadFinished is instead called explicitly at the end of updateCompleter
      - when QgsFieldExpressionValuesGatherer::run is stopped manually, rely on the connection to QgsFieldExpressionValuesGatherer::deleteLater to clean mGatherer.

    This should fix an observed bug where a crash happened at the begining of updateCompleter because mGatherer was null.

Julien Cabieces <julien.cabieces@oslandia.com>	2020-02-07

    Fix chain filter when null values are not allowed

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-14

    Fix travis, broken due to some failure to convert struct QVariant property

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-14

    Server: add QGIS_SERVER_IGNORE_BAD_LAYERS config option

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-13

    fix handling of checked items in checkable combobox (fix #28658)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-10

    [processing] set correct filter for v.in.lidar (fix #35700)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-10

    sqlite expression compiler: fix ILIKE/NOT ILIKE c(refs #35698)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-08

    Fix (0,0) points are ignored when calculating the bounding box for a multipoint geometry

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-09

    Enable per-pixel horizontal scrolling on attribute table

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-08

    [vector] Remove problematic topological editing related assert when adding features

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-08

    added oracle headers search path

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-04-07

    add jinja and pygments to Docker images (#35652)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-06

    [themes] Fix visual disabled state of checked tool buttons

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-06

    [ui] Disable advanced config toolbar button when snapping disabled

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-06

    [ui] Set a sensible minimum height to saved symbol list widget

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-27

    Don't throw misleading exception

    (cherry picked from commit 6792aa595474496c16c4cbbaaea4a5ae28279a63)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-01

    Avoid misleading warning when duplicating memory layers

    (cherry picked from commit 7bfef96181250713d70e82f40a39c07c38b82bd8)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-01

    Fix some ugly appearance of data defined buttons

    (cherry picked from commit 87f50c3633fc5c3b911c1b531ff1d52b4273a99f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-02

    Update test mask for Travis

    (cherry picked from commit e7079fe51319d7b9e1ee9b9f693d42bd7fedd8d5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-02

    [layouts] If a legend is linked to a map which is set to show a particular
    theme, then correctly follow that same theme's styling when rendering
    the legend

    Fixes layout legends always render using the canvas' visible theme styling,
    instead of that of the linked map.

    Fixes #27542, #24694, #28919, #28925

    Fix sponsored by the Victorian Planning Authority

    (cherry picked from commit d40114c8ffa822e8481a4dc13d70ecdf25753842)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-02

    Update test masks

    (cherry picked from commit 6ddd88eb9383043dd760d6075d2af3f38c2e63a5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-02

    Setup API to get theme linked to map pushed to linked legends

    (cherry picked from commit 406867d2ed3dcea29d0473fb40d47ea4aaf7bb8e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-04-02

    Add signal which is emitted when a layout map's linked theme is changed

    (cherry picked from commit 0930906d0d43504a80e689bf73818920b2f733d4)

Hugo Mercier <hugo.mercier@oslandia.com>	2020-04-03

    [virtual] Protect RTree filter in case of null geometry

    (cherry picked from commit e8ec44df6ca61de28125ab9740b2a5c8127dbc39)

Hugo Mercier <hugo.mercier@oslandia.com>	2020-04-03

    [virtual] Fix creation of "_search_frame_" column (fixes #31356)

    The "_search_frame_" hidden column should only be added for layers
    with geometries.
    It was the first column of the virtual table, it is now the last

    (cherry picked from commit e02813244596e3b5e52e089a5cc5ca0d5060aefc)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-06

    [ui] Display info in Options window if QGIS is compiled without OpenCL

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-05

    MacOS CI

Merge: 9b3830d60d 7f6e38e777
Even Rouault <even.rouault@spatialys.com>	2020-04-05

    Merge pull request #35587 from qgis-bot/backport-35575-to-release-3_10

    [Backport release-3_10] Fix simple and ellipse marker bound calculation ignores stroke width

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-04

    Fix simple and ellipse marker bound calculation ignores stroke width

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-03

    Fix proj search paths are incorrectly set and missing the local profile proj folder

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-04

    Filter out field with readonly in the widget. Fix #34331

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-01

    Save legend expression

Merge: 3a377bd4a5 9debb6ccf0
Matthias Kuhn <matthias@opengis.ch>	2020-04-03

    Merge pull request #34758 from troopa81/backport_34329_to_release-3_10

    [Backport 3.10] Fix relation reference constraint when identifying a feature

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-03

    Flag another transform as ballpark appropriate

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-02

    Don't raise ballpark transform warnings when reprojecting layer extent for rendering

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-02

     FIX #19903 Greatly improve font selection UX

Merge: 02afd62a1a 721c1a12ab
signedav <david@opengis.ch>	2020-04-02

    Merge pull request #35410 from signedav/backport_attribute_refresh

    [Backport release-3_10] Refresh features in Attribute Table on data change

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-04-01

    followup commit d2360da : fix rendering of vertical lines on multiline headers

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-03-31

    [layouts] Allow multiline header strings (#35478)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-01

    Set a better size adjustment policy for our map layer combo box widget

David Signer <david@opengis.ch>	2020-03-27

    remove unused qgsfeaturefilterwidget.cpp

David Signer <david@opengis.ch>	2020-03-27

    Call filterFeatures on QgsAttributeTableDialog::setFilterExpression instead of emitting the features there.
    In the test, call the filter functions of the attribute table instead of the not existent filter feature widget (like it's done on later releases)

signedav <david@opengis.ch>	2020-03-26

    Merge pull request #35034 from signedav/attradd

    Refresh features in Attribute Table on data change

    (cherry-pick of 7248c433b39a86c2dba411c03a45197112fb2914 with removing the not yet existent qgsfeaturefilterwidget)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-04-01

    Uncheck save in project cb when pg < 9.5

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-30

    update also htmlToMarkdown in the crash report

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-29

    Save vector layer: for CSV/XLS/XLSX/ODS, only use by default displayed values of a restrict set of widget types

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-28

    extend mime-type spec for .qgz

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    [dbmanager] clear create table dialog on succes (fix #25535)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    Update vector extents after changing data source for a vector layer

Merge: bf4359ba1f 1186561acd
Matthias Kuhn <matthias@opengis.ch>	2020-03-27

    Merge pull request #35399 from qgis-bot/backport-35350-to-release-3_10

    [Backport release-3_10] Add mapping for curved types QGIS <-> postgis

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-27

    Fix provided column type pg

Merge: 7d0ef9b5b3 31481e019e
D'Hont René-Luc <rldhont@gmail.com>	2020-03-26

    Merge pull request #35379 from qgis-bot/backport-35015-to-release-3_10

    [Backport release-3_10] [server] Use request.data() instead of parameter REQUEST_BODY

Merge: 763969b101 f50abadd3a
signedav <david@opengis.ch>	2020-03-26

    Merge pull request #35353 from signedav/backport-35217-to-release-3_10_2

    [Backport release-3_10] Fix multiple connecting slots in dual view

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    [server] Use request.data() instead of parameter REQUEST_BODY

Merge: b14540793f c4a6da23e6
Matthias Kuhn <matthias@opengis.ch>	2020-03-26

    Merge pull request #35369 from qgis-bot/backport-35345-to-release-3_10

    [Backport release-3_10] Fix argument count in server error messages

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    Fix argument count in server error messages

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    By default, do *not* force all fields to become strings when exporting to XLS/XLSX/ODS/CSV

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-26

    PyQgis: don't crash on invalid provider

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-25

    [ogr] Mark OpenStreetMap file extensions (.osm, .pbf) as featuring layers

David Signer <david@opengis.ch>	2020-03-23

    do not make connections of new created objects unique and move connections of not changing objects to the constructor

    (cherry-pick de2f10e9cbeaab15550cabebb388da55af55ed27)

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-25

    fix Form tabs randomly becoming group boxes (#35337)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-25

    take another try to get a valid relation in the relation reference widget (#35328)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-03-25

    [ui] Improve source fields properties colors to play will with any light/gray/dark themes (#35331)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-25

    fix group background color of groups in expression builder tree

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-23

    Fix #32759, Don't zoom out when selecting vertices on the vertex editor

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-24

    Mac bundlings fixes (#35289)

    * Qscintilla library may have _qt5 in name

    * codecs qt plugins not in qt5, remove from Mac bundle check

    * fix Mac install location for qgis_quick - cmake install must be after properties

    * handle quick for Mac bundling

    * also check for private PyQt5/sip in Mac bundling

    * strip Qt rpath when bundling

    Co-authored-by: William Kyngesburye <kyngchaos@kyngchaos.com>

Merge: 17ae82d68d c65d243ab0
Matthias Kuhn <matthias@opengis.ch>	2020-03-24

    Merge pull request #35240 from mhugent/fix_absolute_path_qlr_3_10

    Backport 3.10 Fix absolute paths in qlr export

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-24

    Fix incorrect variable name to allow deletion of geopackage from browser

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-23

    [processing] Fix incorrect tooltips show for output parameters

    (cherry picked from commit d4f378a3d24ec64cba557be4a857a08ff7335f26)
    (cherry picked from commit fdfb7e608c8e40ae978de6e3bf5c10cca771ba01)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-23

    [RPM] remove python3-qscintilla as requirement

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-23

    code layout

    Co-Authored-By: Mathieu Pellerin <nirvn.asia@gmail.com>

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-23

    force tab widget to use scroll buttons

    by default it is style dependent

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-23

    fix style name + fix tab width on mac

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-23

    fix OTB link

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-23

    [BUG] Fix QgsColorRampShaderWidget (#35214)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-03-22

    Port fix for #35219 to 3.10

Alexander Bruy <alexander.bruy@gmail.com>	2020-03-13

    add "Organize Columns" button to the attribute table toolbar to allow
    unhiding columns if all of them were hidden by accident (fix #23397)

Alexander Bruy <alexander.bruy@gmail.com>	2020-03-15

    fix build

Alexander Bruy <alexander.bruy@gmail.com>	2020-03-15

    disable callout settings when corresponding checkbox or data-defined
    button is not active (fix #32067)

Alexander Bruy <alexander.bruy@gmail.com>	2020-03-13

    fix incorrect tabs order when adding new text format via style manager
    (fix #33056)

    (cherry picked from commit cff6d5f9bcf4edeb8a4173eaddaa18416ff8f0f9)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-19

    In batch mode, don't try to run rows with invalid parameter values

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-12

    Fixes the activation of the shape map tools when digitizing is finished

Jürgen E. Fischer <jef@norbit.de>	2020-03-20

    Release of 3.10.4

Jürgen E. Fischer <jef@norbit.de>	2020-03-20

    translation update for 3.10.4 from transifex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-19

    FIX #31036 Remove color scheme doesn't work

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-19

    Show data defined buttons for dynamic parameters even in batch mode

Håvard Tveite <havard.tveite@nmbu.no>	2020-03-19

    Update qgsdecorationcopyrightdialog.cpp

Håvard Tveite <havard.tveite@nmbu.no>	2020-03-19

    Backport to 3.10 of "Update help URLs for copyright and title decorations" #35182

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-18

    After fixing a broken layer path, also auto-fix any other broken layers pointing to same folder

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-18

    Fix icon sizes on hidpi for SVG fill image selector

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-18

    Fix margins on svg/image selector widget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-17

    Don't override all cursors in bad layer handler dialog

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-17

    Fix conversion of ESRI CRS when running GDAL algorithms under proj 6

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-17

    Bugfix/transparency widget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-17

    [DBManager] Use ST_EstimatedExtent with newer PostGIS

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-16

    Add missing file

    (cherry picked from commit b2016551b3b3484d07bbc34d1c3bbaca5900d152)
    (cherry picked from commit 0632ff195aaf642a862532dc8f2a0b3419f098b3)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-14

    Q_ENUM TaskStatus for better test debugging

    (cherry picked from commit 4aaae4f18858a04f58d75218cd4787b62efc0a98)
    (cherry picked from commit bfd878fa4bfb2f33bd2e17dfe8e2d2cf26870fc7)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-13

    Fix proj < 6 build

    (cherry picked from commit 74411410d286f6ada8ea7bd887914fcd36c89e1b)
    (cherry picked from commit 6b1fffa447e0a5302a0a8a46910e700089b7bfe6)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-13

    Avoid some more unnecessary work

    (cherry picked from commit 5b2f2cc626eca0111f07fb4affc284b3e5c3b680)
    (cherry picked from commit e1c2ddc9b236a547f3ca775d192cdc8af7156dce)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-13

    Avoid doing unnecessary work calculating coordinate transform when the
    src and dest CRSes are equal

    (cherry picked from commit 96252f335d9367d77137a9212abb6702f1c86291)
    (cherry picked from commit a2b53be3c78c3c37eb6028b65cb90691ac078cc6)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-13

    Fix invalid transforms occur if project file contains corrupt/incomplete
    coordinate operation details

    Also make storage of transform operations more resilent by correctly
    handling crses without authids.

    Fixes #34926

    (cherry picked from commit b91bccc64cd97bfeceb00dad4c1af07ce123e788)
    (cherry picked from commit 575387499163eb54f485390d648022ae54d6b795)

Raul Bezerra Barbosa <raul.barbosa@ibge.gov.br>	2020-02-28

    fixes #34774 - python 2to3 related bug

    (cherry picked from commit 7fe174266d9bbbe4a9a9fd287e74a2663e074d37)
    (cherry picked from commit 2475c81740221db67b84c3bbab75b26fa83cff54)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-10

    Don't right-align headers in expression help and metadata tabs

    Right aligning makes the header text way too far away from the
    body text, which makes it very difficult to read

    (cherry picked from commit 89b654e597f1042a77b041b1c52308e03aa75046)
    (cherry picked from commit 8e655d9ed73f6e62699a98b2286c2e663b4c6cad)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-09

    Disable canvas preview jobs when rotation is set on canvas

    It's non-trivial to implement the preview jobs for rotated canvases,
    and currently it just shows junk images

    Fixes #34860

    (cherry picked from commit 597aa5b61f08cf2790dc0acd32a8467173e21a79)
    (cherry picked from commit 4916e393b16a62f917b8adf9cec3a3c01b1f8859)

Harrissou Sant-anna <delazj@gmail.com>	2020-03-08

    Fix geom_from_gml example display

    (cherry picked from commit 375242cb186a130f345423f93b446f257a58492f)
    (cherry picked from commit c2dbe8a464e44fe1266724bf409d0c4efea0ec1d)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-06

    Snap Geometries algorithm is capable of running in-place mode

    (cherry picked from commit 4e1e68461d201bce2a7eab636c67918ba9cc754f)
    (cherry picked from commit c6b2970ab8ec15ac6d1233b8ff6bde90bffb1cda)

Harrissou Sant-anna <delazj@gmail.com>	2020-03-04

    Add details to project expression and fix example

    (cherry picked from commit ae45af58d67ec65156702ce7041c2cbc7ea2afc7)
    (cherry picked from commit 8ed98475b82611b61dd081725e2957b57654bece)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-01

    Less auto

    (cherry picked from commit 1a07654ecf9ce1ef7f8a753c9f89d1badb1c0ebf)
    (cherry picked from commit 3e05f07fb853c40b0f4f79121a11f83bc2a6c965)

Nyall Dawson <nyall.dawson@gmail.com>	2020-03-01

    [layouts] Fix layers are incorrectly shown when groups are unchecked
    for a map theme

    Followup https://github.com/qgis/QGIS/pull/33099

    Fixes #34257

    (cherry picked from commit 38a3a2d4781524306a35e10a4ec6b4ba3136cd06)
    (cherry picked from commit 5a8e131f919e96242704832595beb95d88b03f8f)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-17

    When a new project is saved, "Project Home" does not appear in the browser panel

D'Hont René-Luc <rldhont@gmail.com>	2020-03-11

    [Tests] GeoJSON stringToFields with a feature collection

    The methode `QgsJsonUtils::stringToFields` is a wrapper to `QgsOgrUtils::stringToFields`

    The `QgsOgrUtils::stringToFields` is described as
    > Attempts to retrieve the fields from a string representing a collection of features using OGR.

    The GeoJSON feature collection string was not covered by tests.

Merge: d33c390a35 2ceb1c9367
Alexander Bruy <alexander.bruy@gmail.com>	2020-03-16

    Merge pull request #35106 from alexbruy/fix-34544

    clear model before loading new attribute values (fix #34544)

Alexander Bruy <alexander.bruy@gmail.com>	2020-03-16

    clear model before loading new attribute values (fix #34544)

Merge: 835bf12e5a bbb059e520
Matthias Kuhn <matthias@opengis.ch>	2020-03-16

    Merge pull request #35086 from qgis-bot/backport-35061-to-release-3_10

    [Backport release-3_10] azure pipelines: fix link output

Jürgen E. Fischer <jef@norbit.de>	2020-03-15

    Update azure-pipelines.yml

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-15

    azure pipelines: fix link output

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-14

    fix crash when a sink parameter definition is missing in a processing alg (#35074)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-13

    fix 'fields and values' not accessible in expression editor in default values (#35058)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-03-13

    do not show empty config when loading attribute form properties (#35045)

    Co-authored-by: github-actions[bot] <github-actions[bot]@users.noreply.github.com>

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-03-12

    azure pipelines: switch to vs2017-win2016 image

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-03-12

    Drag'n'drop improvements backport to 3.10 (#34656)

    * [FEATURE] Merge pull request #34411 from 3nids/dnd_sync_selec

    improvement of the Drag'n'Drop designer

    * Merge pull request #34433 from 3nids/dnd_part2

    drad'n'drop improvents part 2

    * drag'n'drop improvements part 3 (#34479)

    * drag'n'drop improvements

    part 3

    this completely removes hidden config accessible under double click
    now a widget groupbox (by opposition to the field config) is shown on top of the right panel

    * remove assert from a left over (fix crash) (#34503)

    the assert was copied from other class and I was running with RelWithDebugInfo and not Debug.

    * Update CMakeLists.txt

    * Update CMakeLists.txt

    * move to moc headers

    * sip include

Merge: dddb30f91c 4276c66cf2
Even Rouault <even.rouault@spatialys.com>	2020-03-11

    Merge pull request #34655 from qgis-bot/backport-34501-to-release-3_10

    [Backport release-3_10] fix browsing counter not reset in feature list (attribute table)

Merge: 4e0a355981 3c942f7958
Even Rouault <even.rouault@spatialys.com>	2020-03-11

    Merge pull request #33942 from qgis-bot/backport-33922-to-release-3_10

    [Backport release-3_10] Fix recent expressions in select by exp dlg

Merge: 4ed2c48383 f8cf04084c
Even Rouault <even.rouault@spatialys.com>	2020-03-11

    Merge pull request #33976 from troopa81/backport_fix_from_33629_to_release_310

    [Backport 3.10] Fixes for Oracle curves and surfaces support

Merge: 190390da33 fa1ff552df
Even Rouault <even.rouault@spatialys.com>	2020-03-11

    Merge pull request #34718 from elpaso/bugfix-gh34696-spatialite-nofields-3_10

    [backport] Fix spatialite editing with nofields (or def values)

Merge: 12f528387a 6dcf3927bf
Matthias Kuhn <matthias@opengis.ch>	2020-03-10

    Merge pull request #34884 from lbartoletti/backport-34797-to-release-3_10

    [Backport 3.10] Backport 34797 to release 3 10

Jürgen E. Fischer <jef@norbit.de>	2020-03-08

    debian packaging: update libpython detection also on sid (followup 4987a5621d3)

    (cherry picked from commit 722dd8ad45bedc0e693043d0bbb2c6794336aa0d)

Alessandro Pasotti <elpaso@itopen.it>	2020-03-05

    DB manager: connections refresh

    Fixes #34862

Jürgen E. Fischer <jef@norbit.de>	2020-03-06

    debian packaging: drop dependency on python-gdal for ubuntu focal (fixes #34897)

    (cherry picked from commit 27482959791b6b42bb0ee96367c62db4eab90e3e)

lbartoletti <loic.bartoletti@oslandia.com>	2020-03-05

    fix build

Matthias Kuhn <matthias@opengis.ch>	2020-03-05

    Merge pull request #34797 from lbartoletti/fix_key_conflict_for_close_editing_line

    Use a different key sequence for close editing line. Fixes #34793

Merge: a1a5ed3f6c 4dea14ce59
D'Hont René-Luc <rldhont@gmail.com>	2020-03-03

    Merge pull request #34771 from arnaud-morvan/backport-34268-to-release-3_10

    [backport 3.10] Do not replace plus by space in REQUEST_BODY

Merge: 9c284e11a5 bcffd466ff
D'Hont René-Luc <rldhont@gmail.com>	2020-03-01

    Merge pull request #34802 from rldhont/backport-34697-release-3_10

    [Backport Release-3_10][Bugfix][Server] WMS GetFeatureInfo provides bounding box when configured

D'Hont René-Luc <rldhont@gmail.com>	2020-02-26

    [Bugfix][Server] WMS GetFeatureInfo provides bounding box when configured

    Some providers always retrieve geometry even if the NoGeometry flags is used in request. So in WMS GetFeatureInfo the bounding box even if it as not been configured.

    The `WIT_GEOMETRY` parameter has been introduced to force getting the geometry. The project can contain a parameter to add wkt geometry in the WMS GetFeatureInfo response: `wmsFeatureInfoAddWktGeometry`

    To provide something more homogeneous:
    * The wkt geometry is only provided if the project has been configured to provide wkt geometry and the request contains WITH_GEOMETRY.
    * The bounding box is provided if the project has been configured to provide wkt geometry
    * The bounding box is not provided if the project has not been configured to provide wkt geometry

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-29

    Fix incorrect rowCount results in layout model

Vincent Cloarec <vcloarec@gmail.com>	2020-02-28

    [BUG] Fix On The Fly Issues with mesh layer (#34767)

    fix #29330 and fix #28827 [BUG]
    Do not create triangles for invalid vertices and fix OTF mesh layer bug

Paul Blottiere <blottiere.paul@gmail.com>	2020-02-26

    Merge pull request #34268 from arnaud-morvan/request_body_plus

    Do not replace plus by space in REQUEST_BODY

Merge: 9287a0e8a4 37da936896
Matthias Kuhn <matthias@opengis.ch>	2020-02-28

    Merge pull request #34763 from olivierdalang/backport-34726-to-release-3_10

    [Backport 3.10] Fix planimetric measurements checkbox not restored in options dialog

olivierdalang <olivier.dalang@gmail.com>	2020-02-27

    Fix planimetric measurements checkbox not restored in options dialog

    see https://github.com/opengisch/QGIS-Issues-SH/issues/12#issuecomment-591450501

Julien Cabieces <julien.cabieces@oslandia.com>	2020-02-10

    fix QCOMPARE

Julien Cabieces <julien.cabieces@oslandia.com>	2020-02-06

    Fix relation reference constraint when identifying a feature

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-28

    Fix relation reference widget test crashes under debug builds

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-28

    Update the short help description of the Random points along line algorithm

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-27

    Correct bug from postgres comment using quote or caps

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-02-24

    [labelling] Fix suboptimal logic for polygon's default around centroid placement

Blottiere Paul <blottiere.paul@gmail.com>	2020-02-27

    Add qgz project for tests

Blottiere Paul <blottiere.paul@gmail.com>	2020-02-26

    Add unit tests

Blottiere Paul <blottiere.paul@gmail.com>	2020-02-26

    Turn relative path into absolute path for reading embedded projects.

Julien Cabieces <julien.cabieces@oslandia.com>	2020-02-05

    Fixes #31626 don't crash on oracle getFeature(id) with an invalid id

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-27

    Make containsAdvancedEffects function more accurate

Alessandro Pasotti <elpaso@itopen.it>	2020-02-26

    Fix spatialite editing with nofields (or def values)

    Fixes #34696

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-25

    Fix node tool rectangular selection when layer has a different crs to canvas

    Fixes #34591

    (cherry picked from commit d0bb1d192bc5ec4d0b5e326b96879972ae4a6d05)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-25

    Accept "proj:..." prefix in QgsCoordinateReferenceSystem::createFromString
    instead of just "proj4:..."

    (cherry picked from commit f5470496ae36e5d8f7041bfdf2eae861586c113b)
    (cherry picked from commit bab188433e7d7900a307d63b0e521cd2a03e96bf)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-25

    Show formatted WKT definitions in custom projection dialog

    Because an unformatted WKT string is just a huge barely decipherable blob...

    (cherry picked from commit 489124d7d1c3b7477b54c9615bce5b97d7110546)
    (cherry picked from commit ace4eeef9057b966cd170082ed0225895c13c55f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-25

    Always default to WKT definitions for newly added custom projections

    (cherry picked from commit 64ececf36bc09d81c4620752820bad64c15bec2a)
    (cherry picked from commit db46dc9ff551f090fa96221a90f6e7a9446d13da)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-24

    Purge totally completely horribly outdated QgsRasterLayer doc

    (cherry picked from commit 183706ef0aa14722caeccbf2dee1aa3e6e6721a6)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-27

    postgres provider: re-allow adding layers from PostgreSQL 8.4

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-26

    Help text correction for format_date() function. (For milliseconds 'z' and 'zzz')

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-26

    fix crash when exporting check geometries gaps

Alessandro Pasotti <elpaso@itopen.it>	2020-02-26

    Merge pull request #34686 from elpaso/bugfix-34666-merge-feature-evaluate-defaults-on-provider-side

    Fix merge selected features when evaluate defaults

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-26

    Make "pre-set DPI not equal to painter's DPI" check less stringent

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-26

    [layouts] Fix crash when reading layouts XML after failing to add a layout

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-26

    Grass location fix

Hugo Mercier <hugo.mercier@oslandia.com>	2020-02-12

    Do not try to compute the center of a segment of null length (#34407)

    Fix #34396

    (cherry picked from commit 0e63de68375d72aa5d87447b67171bd50c4ed4c4)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-12

    Correct autodetection of vsizip based shapefiles depends on GDAL 3.1

    (cherry picked from commit 50bdd361886eb66dcf732cfa187eb1139e9362f0)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-12

    Use metadata method to retrieve Shapefile encoding on GDAL 3.1+ builds

    Avoids code duplication, correct behavior with vsi* sources

    (cherry picked from commit 54eba4a1b0b7a2312ff70a7cd2096f89fb9f7a74)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Split shapefile CPG/LDID based encoding detection to separate methods

    (cherry picked from commit 8c10e08ee5bb167c0583002ba67a7e3f8511fa69)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    QIoDevice::skip was added in Qt 5.10

    (cherry picked from commit 9bd81de50b1a5b6f37203559da8b3ed8a3c24b41)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Default to "Automatic" encoding option when adding OGR vector files
    through the Data Source Manager

    This allows the embedded (LDID/CPG based) Shapefile encoding to
    be used by default, but still offers users a way to override this.

    (cherry picked from commit 301d2baeffdc043293c320e391e01feb4d7ccc30)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Default to automatically picking encoding when adding shapefiles
    via drag and drop or browser, instead of always picking the System encoding

    (cherry picked from commit a74b259eaa0bf6e87b1c4f63f0649269f9f18f78)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Dox++

    (cherry picked from commit 5b639558f45f1e31ea62867044bf41c72b8d2b5c)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Expand tests

    (cherry picked from commit e93bacd98749005d4b383fde5873c8e0ea90367b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Don't force set new layer encoding to the UI/encoding settings value

    This was previously a band-aid fix applied in order to get shapefiles
    to load using the encoding specified in the data source manager
    encoding option.

    But the same settings key is used for lots of different things, e.g.
    saving and restoring the last used encoding when creating a new layer.

    By forcing all layers to this encoding leads to lots of nasty issues,
    e.g. shapefiles loaded through the QGIS api will get a quasi-random
    encoding assigned to them (unless the API caller manually follows up
    with a setEncoding() call...)

    It's no longer required now, in any case

    (cherry picked from commit c0581ff12e226cae2a8296b7f955f85d09fa241c)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Always disable GDAL side shapefile encoding handling

    And instead always do the decoding on QGIS' side. This unifies
    the encoding handling whether or not we are using the underlying
    shapefile declared encoding (e.g. via LDID or .cpg file) OR
    are overriding it manually by a user-set encoding.

    Why?

    - if we DON'T disable GDAL side encoding support, then there's NO
    way to change the encoding used when reading shapefiles. And
    unfortunately the embedded encoding (which is read by GDAL) is
    sometimes wrong (because shapefiles!), so we need to expose support
    for users to be able to change and correct this

    - we can't change this setting on-the-fly. If we don't set it
    upfront, we can't reverse this decision later when a user does
    want/need to manually specify the encoding

    This also removes a lot of confusing code logic in the provider!

    Fixes #21264, user frustration on mailing lists e.g.

    http://osgeo-org.1560.x6.nabble.com/Shapefile-with-file-cpg-codepage-td5275106.html
    http://osgeo-org.1560.x6.nabble.com/QGIS-ignore-the-cpg-files-when-loading-shapefiles-td5348021.html
    (cherry picked from commit f36bd8f76cf3153909f9d739b8bc94c1f97605f9)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-10

    Add helper method to read encoding from shapefile .cpg or LDID information

    Ported from the GDAL logic, which unfortunately is not available
    for re-use directly from GDAL.

    (cherry picked from commit bb71b713ec98bd8061692c7a05f9790720eefb0e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-21

    Don't try to use a fallback transform when we've already established
    that only a single transform is possible between a CRS pair

    (since we've already tried that transform, it's pointless to re-try
    it and expect different results)

    Avoids superious "fallback transform used" warnings when only one
    operation is possible between a CRS pair

    (cherry picked from commit 1c8aacf867f3487b7bddce1bfab42a96374810ae)

Jürgen E. Fischer <jef@norbit.de>	2020-02-21

    Fix FindProj.cmake (followup 38e57db0ed387e32)

    (cherry picked from commit 342e6db8285a127a2593ab9bf6c816c5503d4af7)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-20

    Disable a test which relies on proj 4 behavior

    (cherry picked from commit 4ab9f17ee7b2b906300043c0ef9c3e1975bc4748)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-20

    Update test for proj 6

    (cherry picked from commit 6a0266cced3bdc35b81b9b4041db077285e4aa27)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-20

    Update another test for proj 7

    (cherry picked from commit efeadcf6697c559a862ec4ce2b86e9dfe3cdeb44)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-20

    Update more test results for proj 7

    (cherry picked from commit 97486eeeb2da82e828b15dd45333f998e8e03d6e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-20

    Update test results for proj 7

    (cherry picked from commit 9ba4fb9a434f7be708e7510405d66ca4cb7621b5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-18

    Hard block compilation on proj 6.3.0

    Require 6.3.1 for critical fixes

    (cherry picked from commit 38e57db0ed387e32a125437f2d4735deaa06140d)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-18

    Remove code paths for proj >= 6.0 < 6.3

    We no longer support building with these versions

    (cherry picked from commit b2f37bb04334251b90589230fb884f8c985a5709)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Fix build

    (cherry picked from commit e0556cf4afa5fb4d1e7869259ae9401751f3e93b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Fix doxygen warning

    (cherry picked from commit a5b6290361816a98d335c1ff7f20b151976d74ed)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Less noisy transform failure errors

    - Don't spew a whole lot of "rethrowing expection" log messages on the
    default log level
    - Don't output tons of duplicate transform error messages - instead
    only output the message if its different to the last error encountered
    (avoids flooding the console when transform failures occur during
    raster projection, resulting in quasi-hangs)

    (cherry picked from commit f749ba5887826ddb071a59e79e34cde47c019e34)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Fix interaction of QgsCoordinateTransform::setBallparkTransformsAreAppropriate
    and setAllowFallbackTransforms and improve dox

    setBallparkTransformsAreAppropriate overrules the setAllowFallbackTransforms
    setting

    (cherry picked from commit d4d6f79b4f595be381c39c81757993a6016485ea)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Fix allow fallback determination for reversed operations

    (cherry picked from commit 69950aee79920cf6fe6100227d3ceeadb55155bd)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Add API to QgsCoordinateTransform to control fallback availability
    on a transform-by-transform basis, populate correctly from context

    (cherry picked from commit e3b1649fd35190a4bb991d78fcc937668f1330ae)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-17

    Add API to QgsCoordinateTransformContext to prevent use of fallback
    ballpark transforms for a source/dest CRS pair

    (cherry picked from commit 61e6ab0ea823148f3a11603bd657b3e35a9184eb)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Crappy US spelling

    (cherry picked from commit 62e6e9e7a1f8173bb87962524b22cdc6373e1aa0)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Ballpark warning should be warning level, not critical

    (cherry picked from commit 8cfc1b4ec6acb99573d91cea2d7a8ffa65879121)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    [processing] Log use of ballpark transforms to processing log instead
    of to the main window message bar

    More processing algorithms will require this, but it's a template for
    the others to be adapted

    (cherry picked from commit ef06fb7911851411d0e30fe9edc4f7df233a80b3)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Add API for disabling fallback handler and for determining after a transform whether a fallback operation occurred

    (cherry picked from commit 0b48f0a3f2ad8db29aacd1661ee69d6f3488d9e3)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Friendlier warning message when fallback transform is used

    Hopefully giving enough clues for users to diagnose the error

    (cherry picked from commit 6637d45e8f3a9f6fe72be5474a14a503a6b564f6)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    ifdef out noisy debug code

    (cherry picked from commit 9d7355b02222a9e5fefe08e452c4ac822d8eca7f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Much much faster QgsCoordinateReferenceSystem equality operator in many cases

    (cherry picked from commit dcb9098e04b9d59fbed44fefe29729aa0488cae3)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Only warn a single time per project for fallback transform usage

    (cherry picked from commit b282f2bcd5964f2305a10d4b8343ba65d885e165)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    When using the fallback transform, we can't trust the results of proj_errno

    It's giving us incorrect error numbers (such as "failed to load datum shift file",
    which is definitely incorrect for a default proj created operation!)
    so we resort to testing values ourselves...

    (cherry picked from commit 4da584dd4a815c5486128c9d43153a508ebe4909)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Don't include proj string in QgsCsException messages

    This is too costly to calculate, and results in a lot of processing
    time when raster rendering transform errors occur (since they occur
    on a one-by-one basis and in large quantities)

    (cherry picked from commit 5a60a4cbd67eae63f26e5098d4eb802101919801)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Don't try to get the operation details for the instantiated operation,
    instead correctly use the desired operation for the handler

    (cherry picked from commit ee4774a84e85749a65c3528b11ef011f57ca9688)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Remove "used" operation from handler

    We can't populate this, because it's not a singular proj operation

    (cherry picked from commit 9883e18e21f9253b87955fe365904193fec17341)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Mark some transforms as approximate

    (cherry picked from commit 890fe57648f2df433f8a939c79bfe121c9788bbe)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    Add mechanism to disable user-visible warnings on use of fallback transforms
    for a particular QgsCoordinateTransform object

    This can be set for transforms where we definitively know that a "ballpark"
    result is acceptable, e.g. when transforming global layer extents to
    a localized area-of-use CRS

    Refs #33929

    (cherry picked from commit 8bb1c47de6b0b74383c65c62ecc8c3f22147891c)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-14

    We can't always rely on proj_errno to indicate multi-point transform
    failures, so manually scan for inf values to detect failures which
    should result in the fallback transform usage

    (cherry picked from commit fd534f690857f36c7da7444b3d254d59c8c9d111)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-05

    Show warnings on fallback transform

    (cherry picked from commit 1684ff1d67beab0a8f38ab35b5f935cac76f02dd)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-05

    When the selected coordinate operation fails to project coordinates,
    try falling back to a default PROJ-provided operation to transform the
    coordinates

    This allows **some** transformation of coordinates to occur in the situation:
    - user has selected a coordinate operation utilising a grid shift file
    - one or more points which fall OUTSIDE the grid file are transformed

    Not for merge -- likely needs some form of user-visible-warning when
    this occurs

    Refs #33929

    (cherry picked from commit ec784313102415fa4e5a6ff74c409663473a217d)

Alessandro Pasotti <elpaso@itopen.it>	2020-02-19

    Fix crash when adding child features from forms

    Fixes #34552

    probably fixes other unreported issues.

    (cherry picked from commit 1bb6a532cf0f184c5c47122348608d85aaf96402)

Alessandro Pasotti <elpaso@itopen.it>	2020-02-19

    SIP

    (cherry picked from commit f71e04e579cecc50d7a61d5e26c3d22fb0321485)

Alessandro Pasotti <elpaso@itopen.it>	2020-02-19

    Really hide actions menu from forms when empty

    because actions() does something else

    (cherry picked from commit bcf0e4838c033527d3280b193d054f290a30d65e)

Alessandro Pasotti <elpaso@itopen.it>	2020-02-20

    Fix QgsPoint ctor with invalid arguments

    Fixes #34557

    (cherry picked from commit 8cbb23cf09ba0a57acf1b6cbbbb49677f5392149)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-25

    use Q_ENUM macro in QgsFileWidget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-25

    fix browsing counter not reset in feature list (attribute table)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-25

    Fix cannot edit/delete/export project based models

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-25

    Minor projection fixes

Merge: fcf5e8bd80 92100d01f8
Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-02-25

    Merge pull request #34649 from mhugent/dxf_linebreak_backport_3_10

    [backport release-3.10] DXF export: handle line breaks in label text

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-25

    [decorations] Fix scale bar label horizontal alignment regression

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-02-25

    DXF export: handle line breaks in label text

obrix <bertrand.rix@oslandia.com>	2020-01-21

    Clear existing geometry (rubberband) when the layer has accidentally become a raster layer.

obrix <bertrand.rix@oslandia.com>	2020-01-21

    Disable ReverseLine and TrimExtendFeature tools when on a raster layer.

obrix <bertrand.rix@oslandia.com>	2020-01-20

    For all shape digitizing tools, notify the user if he accidentally switch to a raster layer while editing its shape.

obrix <bertrand.rix@oslandia.com>	2020-01-20

    Disable shape digitizing tools when the current layer is a raster layer.

obrix <bertrand.rix@oslandia.com>	2020-01-17

    Use references when iterating on point. Also more expressive variable name.

obrix <bertrand.rix@oslandia.com>	2020-01-16

    Fix crash when finishing adding a rectangle with the shape digitizing tool.
          * Avoid casting the current layer to a QgsVectorLayer pointer, this resulted to a null pointer when the current layer isn't one.
          * A similar strategy as the one used in QgsMapToolAddRegularPolygon::deactivate has been used to handle the z value.
    fix #33583

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-21

    Fix PostGIS table access without Raster metadata permissions

David Signer <david@opengis.ch>	2020-02-20

    add image ressources

    (manual copy of cb6e5827692b81f9ec1ca5b0ac90cc1095f3fe88)

Jürgen E. Fischer <jef@norbit.de>	2020-02-21

    Release of 3.10.3

Jürgen E. Fischer <jef@norbit.de>	2020-02-21

    translation update for 3.10.3 from transifex

Merge: 282bc3319b 2e939e0d45
Alessandro Pasotti <elpaso@itopen.it>	2020-02-21

    Merge pull request #34514 from elpaso/bugfix-gh34404-crash-on-apply-default-value-3_10

    [backport] Fix crash when switching "apply default value on update"

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-20

    followup 5c95c5f , use utf-8 string

Peter Petrik <zilolv@gmail.com>	2020-02-20

    update to MDAL 0.4.2, regression fix for SWW/Telemac files

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-20

    Fix srcsync "... can't be updated" warnings under proj >= 6

Jürgen E. Fischer <jef@norbit.de>	2019-11-18

    debian packaging: explicitly set python library on focal

    (cherry picked from commit 4987a5621d34e93114fdb0681fc7140a85577224)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-19

    [Processing] Fix setting band parameter from string

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-19

    Fix geometry type for "Convert geometry type" algorithm

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-19

    Fix crash when choosing categorized renderer

Sandro Santilli <strk@kbt.io>	2020-02-18

    Make pointcloud building more predictable (use a tagged version)

Sandro Santilli <strk@kbt.io>	2020-02-18

    Fix build of pointcloud

Sandro Santilli <strk@kbt.io>	2020-02-18

    Revert "Revert "Add test for pointcloud layers fetching and related permissions""

    This reverts commit 72e012a2789f1b6aa25c13b41e2b509db7d94d77.

Merge: cd85f38786 df7361340e
Paul Blottiere <blottiere.paul@gmail.com>	2020-02-19

    Merge pull request #34539 from pblottiere/3_10_loglevel

    Raise log level of server exception

Blottiere Paul <blottiere.paul@gmail.com>	2020-02-19

    Log with info level

Blottiere Paul <blottiere.paul@gmail.com>	2020-02-19

    Raise log level of server exception

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-18

    [ui] Fix diagram attribute colors missing on non-default theme in the diagram properties dialog

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-18

    [georeferencer] Fix wrong target CRS using GDAL3/PROJ6 builds

Merge: 84bb76a8b7 535195b0d4
Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-02-18

    Merge pull request #34530 from mhugent/wfs_output_formats_backport

    Backport fix for wfs capabilities output formats to 3.10

Marco Hugentobler <marco.hugentobler@sourcepole.ch>	2020-02-18

    Backport fix for wfs capabilities output formats to 3.10

Jürgen E. Fischer <jef@norbit.de>	2019-11-18

    translation string fixes

    (cherry picked from commit 74a6871d9e515b2118ee7e43f078c16ed3521745)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-17

    Fix broken setting deletion from advanced settings options

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-17

    Responsive cancelation of raster projector

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-17

    Less noisy transform failure errors

Alessandro Pasotti <elpaso@itopen.it>	2020-02-15

    Merge pull request #34460 from elpaso/bugfix-gh34435-raster-last-row-error

    GDAL: make sure we are not reading outside the raster

Alessandro Pasotti <elpaso@itopen.it>	2020-02-05

    Merge pull request #34309 from elpaso/bugfixgh-gh34259-filter-expression-with-errors

    Fix test message from query builder on errors

Alessandro Pasotti <elpaso@itopen.it>	2020-02-12

    Merge pull request #34423 from elpaso/bugfix-gh34379-spatialite-aspatial-add-features

    Fix spatialite aspatial add features

Jürgen E. Fischer <jef@norbit.de>	2020-02-17

    fix translation string

    (cherry picked from commit 9d1d20c583d1c468de99c7b907718828247b45dc)

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-02-17

    disable browsing auto pan/scale in attribute table when showing visible features only (#34502)

    Co-authored-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>

Alessandro Pasotti <elpaso@itopen.it>	2020-02-14

    Merge pull request #34428 from elpaso/bugfix-gh34404-crash-on-apply-default-value

    Fix crash when switching "apply default value on update"

Merge: 33527cf81c 608af91100
Alessandro Pasotti <elpaso@itopen.it>	2020-02-17

    Merge pull request #34291 from elpaso/bugfix-gh29560-pg-identity-pk-default-values-3_10

    backport of Bugfix gh29560 pg identity pk default values 3 10

Merge: 34023ed95e 72e012a278
Matthias Kuhn <matthias@opengis.ch>	2020-02-17

    Merge pull request #34495 from m-kuhn/disable_pointcloud_test

    Revert "Add test for pointcloud layers fetching and related permissions"

Matthias Kuhn <matthias@opengis.ch>	2020-02-14

    Revert "Add test for pointcloud layers fetching and related permissions"

    This reverts commit 30fe7484698046b588284ff5485115e70833a268.

Merge: cb29c2d1c2 6291d18203
D'Hont René-Luc <rldhont@gmail.com>	2020-02-14

    Merge pull request #34342 from rldhont/backport-34223-to-release-3_10

    [Backport Release-3_10][Bugfix] Read SLD TextSymbolizer for lines

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-02-13

    Remove one more use of deprecated vector file writer constructor

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-02-06

    [vector file writer] Add coordinate transformation context to fix KML/GPX export

Merge: 900732ba1e a65d351a51
D'Hont René-Luc <rldhont@gmail.com>	2020-02-13

    Merge pull request #34145 from qgis-bot/backport-33598-to-release-3_10

    [Backport release-3_10] wfs server: don't report unsupported DWithin/Beyond in capabilities and properly report failure to decode filters containing them

D'Hont René-Luc <rldhont@gmail.com>	2020-02-12

    [Bugfix] Read SLD TextSymbolizer PointPlacement for lines

    For lines, if labeling palcement is horizontal, the TextSymbolizer will contain PointPlacement instead of LinePlacement.

D'Hont René-Luc <rldhont@gmail.com>	2020-02-03

    [Bugfix] Read SLD TextSymbolizer for lines

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-12

    Fix spatialite crash on field added

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-12

    [Processing] Fix isEnabled check for modeler context menu actions

lbartoletti <loic.bartoletti@oslandia.com>	2020-02-10

    Fix identify menu when an expression is used as display name

José de Paula Rodrigues Neto Assis <espinafre@gmail.com>	2020-02-09

    Make Travis happy (source code formatting).

José de Paula Rodrigues Neto Assis <espinafre@gmail.com>	2020-02-09

    Fixes empty tracebacks for user Python code; fix #34370, #31235

    Moving python traceback collection to within runStringUnsafe() so other
    threads don't clear the global error status before we have a chance to
    display it to users.

Matthias Kuhn <matthias@opengis.ch>	2020-02-11

    Fix parentheses in QgsExpression::dump()

    QgsExpression('NOT (1 or 2 or 3)').dump() previously returned 'NOT 1 or 2 or 3'.

    This is especially painful since QGIS as WFS client translates 'attribute NOT IN (1, 2, 3)' to an ogc filter of the form 'NOT ( attribute = 1 or attribute = 2 or attribute = 3 )' which would be translated back to a faulty expression on the wfs server.

Jürgen E. Fischer <jef@norbit.de>	2020-02-12

    debian packaging: add ubuntu focal and drop disco and backport txt2tags
    updates

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-29

    Fix crash in server feature info due to storing incorrect reference to temporary

    Seriously, auto is just plain dangerous and makes for fragile code.
    Let's all just stop using it PLEASE?

    (cherry picked from commit b3f37fde9bc4785aebca29e6553d6c1de715f523)

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-02-03

    Avoid CRS detection via .qpj when using GDAL3/PROJ6 (fixes #34211)

    (cherry picked from commit 012ee83e85ccf1bf0c71a6cd8cea7cc2556bd6a8)

uclaros <uclaros@gmail.com>	2020-02-03

    deleted unused variables

    (cherry picked from commit ae5ffd46b2ca0836368b799b6b2db0ebbab04fe2)

uclaros <uclaros@gmail.com>	2020-02-01

    Fixed issue with vertex tool rectangular selection on a rotated map canvas

    (cherry picked from commit c77e99409083feb128241a2f3ad9b1b80ec83061)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    Don't force users to make a choice in the datum transform dialog

    It's possible to get a situation where none of the options can be
    selected, because they all require a grid which isn't available on
    the system. So always allow users to close the dialog to dismiss it
    (which has the same effect as picking the default selection from
    the dialog when possible, or giving null transforms if NO transforms
    are available at all...)

    Fixes #34234

    (cherry picked from commit 644a5525ec08a77b4c703a7066c94802bbfa1036)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    Show "Unknown CRS" entry in crs selector widget when the source CRS
    of a layer or project is unknown

    Because:
    1. It clearly indicates that the current CRS for the object is unknown
    2. It lets users see the full WKT/proj definition of the CRS, and allows
    them to copy this definition
    3. Avoids loss of CRS information when just opening and accepting the dialog

    Refs #33458

    (cherry picked from commit fac99702b4ba90db07c8235da16f31721201aec8)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    Fix awkward group box title

    (cherry picked from commit 76808f6e183ef7dd1984f84bdcec84915004f665)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    Show 'unknown CRS' in status bar instead of blank text when project
    CRS is set to an unknown CRS

    Refs #33458

    (cherry picked from commit c6319b263992c9d52646096d851cab6c674125ff)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    [needs-docs] Rename "Define layer projection" to "Define Shapefile projection"

    This algorithm ONLY works on shapefile inputs, so make that clear in the algorithm's
    display name and helper strings

    (cherry picked from commit 692a14090bcebfd253fa3e58dccf2999ad509894)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    Remove qpj files when defining shp projection from processing and Proj >= build
    is present

    These files aren't/shouldn't be used under proj 6 builds

    (cherry picked from commit dae36b343e6455c2d01cce6f05500e86ab186af5)

Nyall Dawson <nyall.dawson@gmail.com>	2020-02-04

    [processing] Define Layer Projection tool should write .prj files
    using WKT1 ESRI format, not GDAL

    Fixes #34007

    (cherry picked from commit f41dd11e9214b4d6ca5dcc31c6612a65d134ce83)

Julien Cabieces <julien.cabieces@oslandia.com>	2020-02-05

    don't let blank tile if wcs result bbox doesn't match the requested one

    (cherry picked from commit 9e540f07f5bac633ceb92cf620c197a94cd19caa)

Julien Cabieces <julien@julien-laptop.home>	2020-01-24

    Fixes #33339 : don't display "no data received" message if WCS download has been canceled

    (cherry picked from commit dfdb9cf965545a32f3d32c568ffaac500ad85627)

Harrissou Sant-anna <delazj@gmail.com>	2019-12-26

    [HIG] Remove colon from widget label  in status bar

    (cherry picked from commit 4557a31cbda4d28e74098686e9b289123afbe4d4)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsrasterlayer.h

    (cherry picked from commit 899feeec78b8388b43d2c529b9224a31515071aa)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Fix typo

    (cherry picked from commit 2429eb34f5690882da11245ba94d1dce14d3276f)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsfeedback.h

    (cherry picked from commit 74de90bde5cac897987c9f3d61b0ae71a36cd84a)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsfeedback.sip.in

    (cherry picked from commit 85b31cff1ad3613cea444b5035442cce26bdcdd6)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsmaplayerstyle.sip.in

    (cherry picked from commit 5c4bc34ffb109adec9dd8c4e0dc92ed50fc67684)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsmaplayerstyle.h

    (cherry picked from commit 803512c729cdcfa1ac4d28b8e011e2f36bc01ab7)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-20

    Update qgsrasterlayer.sip.in

    (cherry picked from commit 27da26bf170b5b53c739da5e62f0bcfb35dbefdb)

Harrissou Sant-anna <delazj@gmail.com>	2020-02-05

    Add some missing dox and reference

    (cherry picked from commit 224d6bc03fdb457dc29cbf4b94b6151c39dfa7e0)

Harrissou Sant-anna <delazj@gmail.com>	2020-01-23

    Some tweaks to the add delimited text layer dialog

    - Avoid the crs widget display when there is no geometry expected in the layer
    - Align the crs widget with other geometry related settings
    - various cleanup of the ui file and tab order

    (cherry picked from commit 307c497b71a60dec9b5703175e4eee4725338c23)

qgis-bot <58983587+qgis-bot@users.noreply.github.com>	2020-02-11

    fix ownership issues in dualview/attributetable (#34413)

    Co-authored-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>

lbartoletti <loic.bartoletti@oslandia.com>	2020-02-10

    lowercase NEWS

lbartoletti <loic.bartoletti@oslandia.com>	2020-02-10

    remove .tmp

lbartoletti <loic.bartoletti@oslandia.com>	2020-02-09

    Fix build with txt2tags >= 3.5

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-10

    [edit widgets] Fix text edit right-click menu item background when widget is disabled

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-10

    Set up an OpenGL Context to be shared between threads beforehand

Alessandro Pasotti <elpaso@itopen.it>	2020-01-31

    Disable PG flacky test case

Alessandro Pasotti <elpaso@itopen.it>	2020-01-24

    PG: fix default value for IDENTITY PKs

    Fixes #29560 - PostgreSQL identity column not recognized properly

Merge: 68ad59b228 2004d86e07
Alessandro Pasotti <elpaso@itopen.it>	2020-02-07

    Merge pull request #34293 from elpaso/bugfix-gh28643-NULL-representation-3_10

    Merge pull request #34157 from elpaso/bugfix-gh28643-NULL-representation

Merge: aca059a820 a8181074b9
Alessandro Pasotti <elpaso@itopen.it>	2020-02-07

    Merge pull request #34290 from elpaso/bugfix-gh33585-bigint-categorized-3_10

    Fix spatialite uniquevalues with bigint

Alessandro Pasotti <elpaso@itopen.it>	2020-01-22

    Fix spatialite uniquevalues with bigint

    Fixes #33585

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-06

    Fix IN/NOT IN evaluation with very number like strings

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-06

    Fix mention of compositions in dox

Alessandro Pasotti <elpaso@itopen.it>	2020-01-20

    Fix recent expressions in select by exp dlg

    Fixes #33791

Merge: 7f23012418 c1e8a93e6c
Even Rouault <even.rouault@spatialys.com>	2020-02-07

    Merge pull request #34294 from elpaso/bugfix-gh34148-wfs-case-sensitive-KVP-3_10

    WFS case insensitive KVP URL query arguments check

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-06

    Fix issue #28854 Export project to dxf symbol size

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-06

    Fix oriented minimum bounding box algorithm

Merge: 423ef5b450 8671f6fc80
Alessandro Pasotti <elpaso@itopen.it>	2020-02-06

    Merge pull request #34295 from elpaso/bugfix-gh34167-pg-views-pk-3_10

    Fix PG views PK

Alessandro Pasotti <elpaso@itopen.it>	2020-02-06

    Tests for PG views PKs ordering

Merge: b8046ded75 1e044c1bb1
Alessandro Pasotti <elpaso@itopen.it>	2020-02-06

    Merge pull request #34298 from elpaso/bugfix-gh33383-ogr-spatialite-respect-provider-defaults-3_10

    Backport of Dataprovider ogr spatialite respect provider defaults

Alessandro Pasotti <elpaso@itopen.it>	2020-01-29

    Backport from master ogr/spatialite provider defaults

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-05

    Fix row conditional formatting

Alessandro Pasotti <elpaso@itopen.it>	2020-01-21

    Makes layer prop. info text a bit smaller

    ... also makes first cell column a bit larger

    Fixes #33862 (partial fix)

Alessandro Pasotti <elpaso@itopen.it>	2020-01-24

    Toggle layer visibility in custom layer order panel

    Fixes #33854

Alessandro Pasotti <elpaso@itopen.it>	2020-01-23

    Merge pull request #33953 from elpaso/bugfix-gh33885-PG-slow-raster-scan

    Fix slow PG raster SRID identify

Alessandro Pasotti <elpaso@itopen.it>	2020-01-30

    Fix widget wrong values 0 doubles

    Fixes #34118

    Because:

    QVariant(0.0) == QVariant(QVariant.Double) -> True

    but:

    QVariant(0.0).isNull() == QVariant(QVariant.Double).isNull() -> False

Alessandro Pasotti <elpaso@itopen.it>	2020-02-03

    Do not insert 0x0 in XML

    Fixes #34218

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    add test for CircularString Radius

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    add test

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-27

    fix crash when mPoints.size() == 1

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-27

    [BUGFIX] Remove Added Vertex with Add Circular String. Fixes #29688

lbartoletti <loic.bartoletti@oslandia.com>	2020-02-03

    replace mPoints.size() < 1 by mPoints.empty() and fix logic with rubber band

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    add tests

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    While I'm here, unallow to add useless points

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    Unfocus regular polygon widget

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-28

    Fixes #25597 Allow use of Backspace key to undo vertex added

Merge: 6f82f3c99f 41f459bc03
Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-05

    Merge pull request #34308 from 3nids/backport-34266-310

    Backport Fix map layer actions rendering in attribute table (backport #34266)

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-05

    Fix case

    Co-Authored-By: Nyall Dawson <nyall.dawson@gmail.com>

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-04

    only show if the context menu is shown over a selected row

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-04

    list action with MultipleFeatures as target to be run for the layer selection

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-04

    skip map layer actions with MultipleFeatures as target in the arttribute table context menu

Alessandro Pasotti <elpaso@itopen.it>	2020-01-31

    Fix PG views PK

    Fixes #34167

Alessandro Pasotti <elpaso@itopen.it>	2020-02-02

    Remove test case on not existent view

Alessandro Pasotti <elpaso@itopen.it>	2020-01-31

    WFS case insensitive KVP URL query arguments check

    Fixes #34148

Alessandro Pasotti <elpaso@itopen.it>	2020-01-31

    Merge pull request #34157 from elpaso/bugfix-gh28643-NULL-representation

    Fix field formatter NULL representation

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-05

    Fix outdated reference to GeoAlgorithmExecutionException in dox

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-04

    Fix user projection not identified as such

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-02-03

    Fix Qt53DExtrasConfig.cmake syntax which triggers error on ubuntu 20.04 (cmake 3.13)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-03

    Show full CRS WKT for custom CRS in layer properties

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-03

    Handle unit type "m" in custom WKT strings on proj 6 builds

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-04

    Follow up 012ee83: delete .qpj file when overwriting pre-existing shapefile dataset

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-04

    Fix crash when changing raster data source

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-01-31

    Fix "Random points along line" alg

    Fixes "Random points along line" (qgis:randompointsalongline) algorithm
    Fixes #33156

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-02-03

    Fix "Random points along line" alg

    Fixes "Random points along line" (qgis:randompointsalongline) algorithm.
    See https://github.com/qgis/QGIS/issues/33156#issuecomment-581395400

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-04

    Avoid CRS detection via .qpj when using GDAL3/PROJ6 (fixes #34211)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-03

    [FreeBSD] Update FindGRASS.cmake

Denis Rouzaud <denis.rouzaud@gmail.com>	2020-02-03

    Update CMakeLists.txt

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-03

    add missing include of spatialindex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-03

    Memory layers clone: use updated source

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-02-02

    Fix "Densify by interval" processing algorithm

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-31

    Fix modeler draws lines to wrong output

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-31

    Fix Points Along Geometry handling of multipart geometries

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-30

    Fix QStringList values are not accepted as valid values

Radoslaw Guzinski <radosuav@op.pl>	2020-01-28

    [processing] Looks for script algorithm files also in subfolders.

Radoslaw Guzinski <radosuav@op.pl>	2020-01-28

    [processing] Catch AttributeError and TypeError when loading Processing script algorithms.

    Otherwise an error in decorator of one script prevents all scripts from loading.

Even Rouault <even.rouault@spatialys.com>	2020-01-30

    GUI: init combobox for Glow effect blur radius unit from object value. Fixes #34089

Even Rouault <even.rouault@spatialys.com>	2020-01-30

    QgsGlowEffect: add missing members in operator=() and make copy constructor use it

Even Rouault <even.rouault@spatialys.com>	2020-01-30

    QgsFeatureRequest::operator=(): copy mTransformContext member

Even Rouault <even.rouault@spatialys.com>	2020-01-30

    Fix cppcheck uninitMemberVar warnings in src/core/

    Found with
    ~/cppcheck/cppcheck --enable=all --inconclusive ../src/core --library=$HOME/cppcheck/cfg/qt.cfg -j 8 -DSIP_OUT 2>&1 | grep uninitMemberVar

Even Rouault <even.rouault@spatialys.com>	2020-01-29

    QgsProjUtils::searchPaths(): avoid potential bug for a future PROJ 7.1.0

    We can remove this test as PROJ >= 6.3.0 is now a requirement for the PROJ 6
    code paths.

Even Rouault <even.rouault@spatialys.com>	2020-01-29

    Install grid shift file dialog: add .tif extension for PROJ 7 compatibility

Merge: 81e2dd204d 7d4c3c1110
Matthias Kuhn <matthias@opengis.ch>	2020-01-30

    Merge pull request #34146 from pblottiere/fix_compil_3_10

    Find PyQt5 sip files on Archlinux

Blottiere Paul <blottiere.paul@gmail.com>	2020-01-30

    Find PyQt5 sip files

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-30

    wfs server: don't report unsupported DWithin/Beyond in capabilities and properly report failure to decode filters containing them

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-29

    Fix crash in render check

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-29

    Fix crash in QgsGeometryDuplicateCheck due to heap use after free

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-21

    Ensure browser model is initialized when used by QgsDataSourceSelectDialog

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-28

    Fix use after free in 3d point symbol

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-28

    Fix crashes when reading certain resampled raster files

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-28

    For oversized width in QgsLayoutItemLabel::adjustSizeToText

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-28

    Fix crash on map themes manager and null layers

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-28

    Fix leaks in geometry generator symbol layer

Even Rouault <even.rouault@spatialys.com>	2020-01-28

    [WFS provider] Remove event loop in iterator causing crashes

    Fixes #32913

Merge: caa6a1fc62 947201b510
Alessandro Pasotti <elpaso@itopen.it>	2020-01-27

    Merge pull request #34057 from roya0045/backport-release-3_10

    [Manual backport 3.10] backport of the attribute table bugfix

Alex <roya0045@users.noreply.github.com>	2020-01-15

    fix the attribute table

    Fixes #33439 Fixes #33665 and keep fixed #32933

Merge: 3b296066a7 054b86f379
Luigi Pirelli <luipir@gmail.com>	2020-01-27

    Merge pull request #34052 from obrix/backport-33989-to-release-3_10

    Memory layer (and more): Delete field and re-use its name. Fixes #33488

Luigi Pirelli <luipir@gmail.com>	2020-01-25

    Merge pull request #33989 from obrix/fix_33488

    Memory layer (and more): Delete field and re-use its name. Fixes #33488

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-27

    Typo fix in xyz tiles url tooltip

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-27

    FindGDAL/FindProj.cmake: for GDAL 3, requires 3.0.3 or higher. For PROJ 6, requires 6.3.0 or higher

Merge: d4cd3cfe5a 7b6ed7ecc5
Luigi Pirelli <luipir@gmail.com>	2020-01-26

    Merge pull request #34026 from agiudiceandrea/patch-1

    [3.10] Fix "Invalid algorithm ID for menu: qgis:creategrid"

Andrea Giudiceandrea <andreaerdna@libero.it>	2020-01-25

    Fix "Invalid algorithm ID for menu: qgis:creategrid"

    Fixes missing "Create grid" menu after algorithm port to C++ qgis/QGIS@9e9ade3903e4f078ccd86f1b9f000d88132af42f

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-22

    Update test result for proj 4

    (cherry picked from commit 68e223fe91fa9b225e2b1c6af9423e07ea4a687a)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-22

    Fix equality check for CRS objects which don't have an auth id

    (cherry picked from commit d4363b104c5027579de9c44a5b4ba93a47c0f28d)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-22

    Fix test

    (cherry picked from commit 0f91c6789c3ef12367d918701dbb3fbcfcc6a45a)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Update expected test result

    (cherry picked from commit a955b08637101b9939d3323747d2858a4d67b5f7)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Don't clone PJ when detaching QgsCoordinateReferenceSystemPrivate

    Because in all cases when we are detaching it is because the CRS is
    changing, and we will be creating a new PJ anyway

    (cherry picked from commit 4fee29ef075b4874d6391ab4361eb436e57c5f71)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Protect some internal members and require access through safe methods

    (cherry picked from commit d0e5991f843ea47f5bb34fd9538376d332bc55e8)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Avoid unnecessary duplicate detachments in QgsCoordinateReferenceSystem

    In all these code paths a detach had already just occurrred

    (cherry picked from commit 9fafde47f32abb572b2a678018f9b84674db200f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Validation hint shouldn't be shared

    (cherry picked from commit b01f0ec2d1ddd0614f0ac7032133439c979fc32e)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Ensure master PJ object is always cleaned up when the context is destroyed too

    (cherry picked from commit 78ba378e5864153e6420d689215efb0060365d87)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Use a temporary PJ_CONTEXT when destroying PJ objects, just in case the owner context has since been deleted

    (cherry picked from commit 9dcb74d05ad892b198f36aaec5a9990ef1c0b180)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Use PJ_CONTEXT* instead of void*

    (cherry picked from commit aa5ae9eb5a3270ac92e2843034f10a16d9badc28)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-21

    Fix crash in rendering on proj 6 builds

    Ensure PJ* objects are never reused across threads.

    Fixes #33902

    (cherry picked from commit 9581350beef57789eb924381f81181baa72631ef)

Julien Cabieces <julien.cabieces@oslandia.com>	2019-12-17

    fix multiline and multi surface skipping some parts

Julien Cabieces <julien.cabieces@oslandia.com>	2020-01-06

    fix multipolygons with only one polygon

Julien Cabieces <julien.cabieces@oslandia.com>	2020-01-06

    fix read for oracle curve polygon with Z coordinates

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-22

    Avoid segfaults in providerconnectionbase test

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-21

    allow pasting layers in an empty project (fix #26710)

Merge: 3e22260be9 992ad09fb1
Even Rouault <even.rouault@spatialys.com>	2020-01-21

    Merge pull request #33958 from rouault/backport_3_10_PR_33927

    [Backport 3.10] [BUGFIX] QgsExpression::referencedAttributeIndexes(): only report valid indices

Even Rouault <even.rouault@spatialys.com>	2020-01-20

    [BUGFIX] [Virtual provider] Make QgsVirtualLayerFeatureIterator() rebust to references to non existing fields in filter expression

Even Rouault <even.rouault@spatialys.com>	2020-01-20

    [BUGFIX] [Oracle] Make QgsOracleFeatureIterator() robust to references to non existing fields in filter expression and order by

Even Rouault <even.rouault@spatialys.com>	2020-01-20

    QgsExpression::referencedAttributeIndexes(): only report valid indices

    If the expression was referencing a non-existing field, -1 was returned in the
    result set, which caused later crashed in various providers, including the
    Spatialite, Postgres, etc..., due to tried to dereference mFields.at(-1)

    Discarding invalid indices is what is also done in
    QgsFeatureRequest::OrderBy::usedAttributeIndices()

    Fixes #33878

Merge: 8044448ffa 76978a3abd
Matthias Kuhn <matthias@opengis.ch>	2020-01-21

    Merge pull request #33951 from lbartoletti/backport-33642-to-release-3_10

    [Backport release-3_10] [BUGFIX] Fix ZM snapping for line/polygon on 2D vertex

lbartoletti <loic.bartoletti@oslandia.com>	2020-01-21

    manual backport Fix ZM snapping for line/polygon on 2D vertex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-21

    [BUGFIX] Fix import of 3D shapefile into spatialite

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-21

    Fix recent expressions in select by exp dlg

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-11-29

    log message when adding feature fails (#33151)

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-12-04

    do not limit the number of classes in logarithmic method (#33223)

    this was preventing from setting enough classes

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-20

    fixed wrong item order in add field dialog, causing wrong focused widget

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-19

    Fix crashes when attempting to export reprojected raster layers

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-19

    Revert "[RPM] Remove qgis-zh-Hant.qm from RPM packages"

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-19

    Update url to doc pages

Merge: 2a192ec2a9 845ec85968
Alessandro Pasotti <elpaso@itopen.it>	2020-01-17

    Merge pull request #33877 from SebastienPeillet/release-3_10

    [Backport release-3_10] BUG: scientific notation for double number between 1 and -1,

Jürgen E. Fischer <jef@norbit.de>	2020-01-17

    add 'long term release' to splash

Jürgen E. Fischer <jef@norbit.de>	2020-01-17

    Release of 3.10.2

Jürgen E. Fischer <jef@norbit.de>	2020-01-17

    translation update for 3.10.2 from transifex

Merge: 1194f6424c 8823ef7e23
D'Hont René-Luc <rldhont@gmail.com>	2020-01-17

    Merge pull request #33875 from Gustry/vendor

    Read SLD TextSymbolizer: venderOptions to get advanced settings

Peillet Sebastien <peillet.seb@protonmail.com>	2020-01-07

    apply different test depend on Qt version

Peillet Sebastien <peillet.seb@protonmail.com>	2020-01-06

    These tests have different results between azure and travis building

speillet <sebastien.peillet@oslandia.com>	2019-12-25

    BUG: fix expected value for a test, due to changes in qtcore package version between bionic and disco Ubuntu release

    BUG: fix expected value for a test, due to changes in qtcore package version between bionic and disco Ubuntu release

speillet <sebastien.peillet@oslandia.com>	2019-12-20

    add scientific notation for double type when precision is mentionned

speillet <sebastien.peillet@oslandia.com>	2019-12-19

    BUG: scientific notation for double number between 1 and -1, fix #33475

D'Hont René-Luc <rldhont@gmail.com>	2020-01-10

    [Tests] Read SLD TextSymbolizer: venderOptions to get advanced settings

D'Hont René-Luc <rldhont@gmail.com>	2020-01-10

    [BUGFIX] Read SLD TextSymbolizer: venderOptions to get advanced settings

Merge: c9dfe1b86c 5598c8da36
D'Hont René-Luc <rldhont@gmail.com>	2020-01-17

    Merge pull request #33858 from rldhont/backport-33849-to-release-3_10

    [Backport Release-3_10][Server] Add project path to bad layers message

Marco Bernasocchi <marco@opengis.ch>	2020-01-16

    fix docstring "since" for QGIS_SERVER_WMS_MAX_XXXX to 3.6.2

    This was backported in #9752

D'Hont René-Luc <rldhont@gmail.com>	2020-01-16

    [Server] Add project path to bad layers message

    The QGIS Server logs can contained the list of bad layers but the project in which these bad layers are found was not in it.

Merge: 95135f9d7d abc62ad7bb
D'Hont René-Luc <rldhont@gmail.com>	2020-01-16

    Merge pull request #33852 from Gustry/sld_pixels

    Read SLD TextSymbolizer set units to pixels

D'Hont René-Luc <rldhont@gmail.com>	2020-01-15

    [Tests] Add QgsSymbolLayerUtils::encodeSldUom test

D'Hont René-Luc <rldhont@gmail.com>	2020-01-15

    [Tests] Add QgsSymbolLayerUtils::decodeSldUom test

D'Hont René-Luc <rldhont@gmail.com>	2020-01-13

    QgsSymbolLayerUtils::decodeSldUom add decode Pixel uom

D'Hont René-Luc <rldhont@gmail.com>	2020-01-13

    Read SLD TextSymbolizer: use QgsSymbolLayerUtils::decodeSldUom

D'Hont René-Luc <rldhont@gmail.com>	2020-01-13

    [API] QgsSymbolLayerUtils::decodeSldUom, scaleFactor is not mandatory

D'Hont René-Luc <rldhont@gmail.com>	2020-01-10

    [Bugfix] Read SLD TextSymbolizer : change offset units if offset change

D'Hont René-Luc <rldhont@gmail.com>	2020-01-10

    [Tests] Read SLD TextSymbolizer set units to pixels

D'Hont René-Luc <rldhont@gmail.com>	2020-01-10

    [BUGFIX] Read SLD TextSymbolizer set units to pixels

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-01-14

    Fix out-of-sync vector layer extent after a dataChanged was emitted

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-14

    Fix QgsMapCanvas::xyCoordinates reports incorrect coordinates if a pan
    operation is in progress

    This causes the status bar coordinates widget to show nonsense coordinates
    during the pan operation. The cursor world position ISN'T changing during
    a pan operation, it stuck to a fixed location!

    (cherry picked from commit 527eca9684caf3269958a6ce98f914a274175931)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-14

    Fix dox test

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-14

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Another build fix

    (cherry picked from commit e84c2b8b72597280a9d3b9d8482e3c7abde4c1da)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Update ACCEPTABLE_MISSING_BRIEF

    (cherry picked from commit 44940bd8e6c32cd9a2b74fa76ebe7e61bc666618)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Update ACCETABLE_MISSING_ADDED_NOTE list

    (cherry picked from commit b422ad9afdd86796f0ba116f26f3b4d553e2274b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Fix deprecation warnings in doxygen parser

    (cherry picked from commit d51f5ee9b4842add43710acfb0cbd6da6f7f8fd8)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Fix build

    (cherry picked from commit 6cc5a8f2c3802c1aba412e3850a5e6a83a6d253b)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    [gps] Allow GPS serial port connection properties to be specified in QSettings

    Instead of hardcoding these values, allow them to be customised by changing
    settings in QSettings (either via the settings ini file or through the
    advanced settings editor), as some serial GPS devices require non-default
    settings for the connection to work correctly.

    (cherry picked from commit bb1c5044b248ff95e2f8508d30b66cbff2cafacf)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Some memory modernization in QgsGpsDetector

    But unfortunately the public API used here is extremely fragile and
    either crash prone or leaky -- it needs revisiting for 4.0

    (cherry picked from commit 6db33400777d67ca48193d487ebdcd7d9cd40be6)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Dox++

    (cherry picked from commit 47ce7877ca78361cba339d578cd15e4e8a0523de)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Modernize memory management

    (cherry picked from commit 08fbe21b37481b287c002a1058679e85be37c576)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    [gps] Add missing Transfer annotation

    (cherry picked from commit c0d4f38c6f9f4bdb1785056f10ec42d330b8e4cd)

Merge: 465e9e8231 a978e35f28
D'Hont René-Luc <rldhont@gmail.com>	2020-01-14

    Merge pull request #33759 from rldhont/backport-33668-to-release-3_10

    [Server] Throw exception if bad layers are not restricted

Merge: db8073b8e9 f32188ada2
Alessandro Pasotti <elpaso@itopen.it>	2020-01-14

    Merge pull request #33769 from qgis-bot/backport-33748-to-release-3_10

    [Backport release-3_10] Fix some Qt 5.13 css parsing warnings

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-14

    crssync: put profile to temporary directory (fixes #33743)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-13

    Fix some Qt 5.13 css parsing warnings

D'Hont René-Luc <rldhont@gmail.com>	2020-01-08

    [Server] Throw exception if bad layers are not restricted

    QGIS Server throw an exception if the project has bad layers, but the user can defined restricted layers which are unpublished layers.

    So restricted layers can be bad layers server side, it is not necessary an error.

    This code verified that the bad layers are not restricted. If the project contains unrestricted bad layers, the server throw an exception.

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    When changing layer data paths through the layer tree menu, ensure
    that existing subset strings are correctly applied after the layer
    path is changed

    Previously this only worked when repairing a broken layer path, but
    we should also maintain the filter when a valid layer's path is changed.

    (cherry picked from commit 7dfa84245f8283ad13b843c4da10e1552e0b8487)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-08

    Fix loss of vector layer subset strings IF a layer path was invalid
    at the time the subset string was originally applied

    (cherry picked from commit 89f015d3fe024eadc5f9464738295bf94e621074)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-13

    [bugfix] [saga] Fix saga_cmd command with multiple outputs

Matthias Kuhn <matthias@opengis.ch>	2020-01-10

    Improve error reporting

Matthias Kuhn <matthias@opengis.ch>	2020-01-10

    Add test for package layer algorithm OVERWRITE param

Matthias Kuhn <matthias@opengis.ch>	2020-01-10

    Respect OVERWRITE parameter in package layers algorithm

    Fix #33721

Mathieu Pellerin <nirvn.asia@gmail.com>	2020-01-10

    [needs-docs][ui] Better placement for the method combobox and auto open action

    (this is a follow up to PR #33643) better combobox / checkbox placement

Peter Petrik <zilolv@gmail.com>	2020-01-09

    update MDAL to 0.4.1

i-s-o <i-s-o@users.noreply.github.com>	2020-01-09

    Add unit tests

i-s-o <i-s-o@users.noreply.github.com>	2020-01-05

    Accept newline terminated string as valid input to paste as temporary scratch layer

    Fixes #33617

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-09

    Accept newline terminated string as temporary scratch layer

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-09

    [processing] use system temporary directory as default temp dir for Processing outputs

Merge: c18727152e 73578fcd8c
Alexander Bruy <alexander.bruy@gmail.com>	2020-01-09

    Merge pull request #33678 from alexbruy/backport-33643-to-release-3_10

    [GUI] fix identify panel size when long localized strings used (fix #29546)

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-07

    reduce size of combobox

    (cherry picked from commit ea71f0c4e3e638193227348bac797b68ba0a809a)

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-07

    replace checkbox with checkbox and label to enable word-wrap in
    the identify panel (fix #29546)

    (cherry picked from commit 442f61de0211af67a2aa2c2450ba36b8d422816b)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-09

    If default new project CRS is set to no CRS, ensure that the status bar crs button shows this on startup

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-08

    [MESH] Fix time formating when time is far from reference

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-08

    Fix editing of synchronized same fields in attribute form

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-05

    fix clazy and fallthrough warnings

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-08

    install pyproj deb package to avoid owslib pip install error

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-04

    Configure Oracle continuous integration

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-22

    Don't forget to rollback at the end of the tests

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-21

    close connection when deleting oracle transaction

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-22

    Don't use sdo_tune.extent_of if user doesn't ask explicitly for
    estimated metadata

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-22

    Protect oracle conn method with mutex

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-08

    [BUGFIX] Fix ESRI shapefile format listed twice in vector file selector dialog

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-07

    Avoid current rule gets reset when editing an existing conditional format rule

    (cherry picked from commit f993bc73829072e6def2ce9177a416df540529fb)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-07

    Fix conditional styling widget does not initially show rules belonging
    to first field when opening the widget

    (cherry picked from commit 2e7a3b0b5c257207d8ffa8b319c1906930664e8f)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-05

    Simplify memory management

    (cherry picked from commit ec248256c4c7aab8b1f71c9d291ca63f311ed6a4)

Nyall Dawson <nyall.dawson@gmail.com>	2020-01-05

    Fix effect preview picture not set when effect widget is opened in dialog mode

    Also fix a memory leak when opened in dialog mode

    Fixes #33600

    (cherry picked from commit 449bc4b221499f23fb0f862d7201fb05996513b8)

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    fix typo

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] add user-defined parameters to gdal_rasterize

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] fix v.net.centrality

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] cleanup tests

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] add tests for r.series and r.reclass algorithms

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] fix r.rescale and r.rescale.eq

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-06

    [processing] add proper support for range parameters (fix #29269)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-04

    Fix rule-based renderer widgets swallow copy/paste/delete shortcut keys

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-06

    Avoid temporary flashing dialog showing when a distance parameter widget is constructed

Merge: 4cee4cecd6 a25a1e80d6
D'Hont René-Luc <rldhont@gmail.com>	2020-01-05

    Merge pull request #33557 from rldhont/backport-33476-to-release-3_10

    [Backport Release-3_10] Fix inconsistent dependency to project in QgsRelation/QgsRelationManager

Merge: 4f307cf03e 9f66bf2a14
Alexander Bruy <alexander.bruy@gmail.com>	2020-01-04

    Merge pull request #33603 from alexbruy/backport-range-fix

    [processing] add "not set" support for range parameter (fix #29374)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-03

    Move down the "Remove rule" action in contextual menu

Alexander Bruy <alexander.bruy@gmail.com>	2020-01-02

    [processing] add "not set" support for range parameter (fix #29374)

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-04

    Backport Fix featureCount on postgres view when flag estimatedmetadata is set

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-02

    [RPM] fix broken -u flag in buildrmps.sh

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2020-01-02

    Fix missing flags in r.reclass.area GRASS algorithm

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-31

    Fix validity mask filename quoting in Sieve and Fillnodata algorithms

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-31

    Add unit test for #33540

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-31

    [Bugfix] North arrow / image should account for item rotation too.

David Marteau <dmarteau@3liz.com>	2019-12-21

    Add missing parameter documentation

Matthias Kuhn <matthias@opengis.ch>	2019-12-21

    Ignore test file in spell check

David Marteau <dmarteau@3liz.com>	2019-12-20

    Pass project when creating relation from Xml

        Fix dependency inconsistency to project from QgsRelationManager
        by forcing  'QgsRelation::createFromXml' to rely on project passed
        to 'QgsRelationManager' instead of using 'QgisProject::instance()'

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-28

    [UX] reduce initial height of some dialogs to make them usable

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-28

    Fix bug in SAGA Raster Buffer algorithm (GridBuffer.txt)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-28

    Fix testsqgsgdalutils on proj6

Jürgen E. Fischer <jef@norbit.de>	2019-12-26

    txt2tags 3.3: drop --css-sugar --css-inside (closes #33516)

    (cherry picked from commit 157a6700cac6dccfc28185634f1b507f0edadab8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-20

    Update test results

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-20

    Fix deprecation warning

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-20

    Build fixes

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-20

    Add some proj6 test branches

    (cherry picked from commit cdc9a841c9caf308d24448597dfa8a2aea48fac3)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Fix build, fix test on proj < 6

    (cherry picked from commit 4fd9619ebcbfc55ddcfc7bd199990ad867633089)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Round trip test CRSes via WKT

    (cherry picked from commit dc3846544e566dc84448b0825aa869bacccfe683)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Update test results to use WKT2

    (cherry picked from commit 948fccd0529aa639f34b1ad003b3a92481e5eb90)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Don't cache WKT strings inside QgsCoordinateReferenceSystem

    There's many different formats of WKT strings, so instead play it safe
    and always export in the exact specified format instead of using a cached
    value which may be a different format.

    (cherry picked from commit a9773666c1a335a911c906e4edcdac25d25248bf)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Prefer WKT2 when exporting CRS for use by GDAL

    (cherry picked from commit f77af382a03a1f8c1ad55f711ac9bd53c0fcb5d9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Fix typo in CRS code

    (cherry picked from commit ac476316567c7427cf0fedd44093258eae099ea6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-19

    Fix doxygen warning

    (cherry picked from commit 80be192d8f6333e875df404139870a8894b76ef9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Layout fixes

    (cherry picked from commit b7a440938c9c61ee63173b36f012f0ed00957468)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Fix build on proj <6

    (cherry picked from commit 6490a170b18202808d462f62fe2e3d95c862b81e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    New projection dialog proj 6 tweaks and revisions

    (cherry picked from commit fe941e68f639d2a49065eb515d2edd04d01888c1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Partial revert BoundCRS identification change

    Sync behavior with the new GDAL behavior, where a CRS defined using
    a proj string alone will be considered equivalent to the underlying
    source crs.

    (cherry picked from commit 2e3730179ed6c151532dee2ba0149f954cb49b19)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Update test results

    (cherry picked from commit ac1ff9b291e971b5ce646bd0e5871b6ede8e0f56)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Revert "Don't automatically create boundcrs proj string representations of CRSes"

    Following discussion with GDAL maintainers, it's been agreed that the consistent logic
    to use across projects should be:

    1. Proj strings: export as bound CRS, and treat a boundcrs match to a known CRS as equivalent
    to the underlying source CRS

    2. WKT strings: export without change, not as bound CRS, and DON'T treat boundcrs matches
    as equivalent to the underlying source CRS

    (cherry picked from commit 4b5056c6f5d157370375fc0bfbe8e6870d42f1a5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Update test results to reflect newer GDAL behavior

    (cherry picked from commit 93fdb05e1a4796dd3f4cb51a734dddb14c29b5ec)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Fix build, tests on proj < 6

    (cherry picked from commit b9a44b69185046a9645e797b041c4a8d14a8fd93)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Replace deprecated members

    (cherry picked from commit c09c43547869169843a37fa88ff63fde7b30dd29)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Spelling

    (cherry picked from commit 35781eff6f099e0301622585635210043b4e29ca)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Fix matching of CRS by WKT to user CRSes defined by WKT, including
    parameter-order independant matches

    (cherry picked from commit 0a9cb0e278c502b0182c74d00ba23daeac89a100)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Ensure that proj strings in different parameter order are matched
    to user CRS on proj 6 builds

    (cherry picked from commit 3f0af6e72ab8c6972df85183b51e78bbf4943d50)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Remove more proj4 related hacks from proj6 builds

    (cherry picked from commit a2c6bb9780415df003bce11eb72b2abccc2e9077)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Don't automatically create boundcrs proj string representations of CRSes

    Just let proj decide when and if these are needed

    (cherry picked from commit efc1a1b54250a12efa277599d66e0f12253a6121)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Fix projection mismatch when reading very old projects on proj 6 builds

    We should always prioritise an exact auth:id means of constructing
    CRSes whenever it's available, instead of just starting with a proj string.

    (cherry picked from commit 71364060479c2eb4ecc16ad7bdd3e0598ff58b7e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Remove a downstream hack

    (cherry picked from commit 4edab2b61d860ad04dd076590f318cd593f9feb9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Fix incorrectly ellipsoid acronym returned when creating a CRS from a custom non-standard proj string on proj 6+ builds

    (cherry picked from commit 1c34ae9c3b2247ee74b5f2647d95b327a50e091a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Don't incorrectly flag unknown CRS created from proj strings as invalid
    on proj 6+ builds

    (cherry picked from commit 5cfa6627b47cacc92fc4b6d46539f8cbab5061f6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Don't equate a BoundCRS with an identified SourceCRS as the SourceCRS when identifying
    CRSes

    May result in some CRSes which were previously identified as known standard CRSes
    now being shown as User CRSes, but they aren't the same to we can't equate them.

    If previously identified CRSes are showing as User CRSes now, then we should
    investigate these upstream in the proj or gdal libraries, and get all fixes
    in place upstream rather then trying to do this in QGIS code (which is
    inevitably going to end up with an unmaintainable mess)

    (cherry picked from commit c8d5c434020e825b9a941167dc98971e4e8d8b2c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Don't use a boundCRS definition as the WKT definition of EPSG:4326
    on proj 6 builds

    See https://github.com/OSGeo/PROJ/issues/1804

    (cherry picked from commit 550dede70e233b2f6a036e6402f0081c98e603c5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Update tests

    (cherry picked from commit 77804eb7510c6eafde8dae2ca8f3334a8ee75d88)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    More user of userFriendlyIdentifier

    (cherry picked from commit 403e79e4219de3936c5b42c6c763d3bc486d12bc)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Add a method for retrieving a user friendly descriptive string for
    a CRS

    And use this wherever we show CRS values to users

    (cherry picked from commit fdf211a8a393a4663a12de1ce9c5846fbf65f0bb)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Cleanup handling of recent CRS list, add tests

    (cherry picked from commit e152685d972b05a3d05d7fdb5bfc6a03c453673a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Never auto-save unknown CRSes encountered in the wild

    Previously whenever an unknown CRS (i.e. something which couldn't
    be matched a standard or user crs) was encountered then it would
    automatically be saved to the user's custom CRS database.

    This meant that over time, the custom CRS database would fill
    with dozens of random entries. Even a clean QGIS install would
    pollute the custom projection list with a bunch of automatically
    created random CRS definitions!

    Instead, never auto save CRSes to the custom projection database.
    Only projections which users have manually created via the custom
    projection dialog should ever be available as User CRSes.

    (cherry picked from commit 908684c00b9d0a770ead0ecc3ff1249a6777a31d)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Deprecate most methods which construct CRSes from internal CRS ids

    These should NOT be used, and auth:code or WKT definitions used instead.

    Unfortunately some use of these methods are very heavily entangled around
    other code, so we can't deprecate all of them until 4.0

    (cherry picked from commit cbc1ee56cc33e1dd26400d2e9834651f26ae09b2)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Deprecate methods for constructing CRS from Postgis srids

    Constructing CRS using Postgis srids is highly discouraged,
    and instead CRSes should always be constructed using auth:id
    codes or WKT strings.

    QGIS 4.0: The logic should be isolated into the postgres
    provider alone, and not exposed to stable API

    (cherry picked from commit c76813c434c842226a079fe2a9b4b89633b28e28)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Rip off a band aid, and deprecate all "proj4" calls from the API

    Alias these across to new "proj" methods, which don't include the
    version number.

    (cherry picked from commit b37dd0984e5da067a23baee3aaca97cb3f03bd3c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Proj < 6 updates

    (cherry picked from commit e64a6acd3856f9ddadbf911bd646f6a44c2bb8e7)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    [FEATURE] Allow custom projections to be defined using WKT strings
    instead of just proj strings

    WKT strings are lossless and allow definition of a much wider range
    of projections than are possible using proj strings.

    A new combo box in the Custom Projections dialog allows users to
    choose whether the new projection is defined using a WKT or PROJ string.
    If possible, the current projection definition is automatically converted
    when the combo box is changed by the user.

    Also fixes #25918 in the process

    (cherry picked from commit 59a2cf142430a49c5b9ac2d2c8a3edd34d400167)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Expose control over whether custom projections are stored using proj or WKT strings

    (cherry picked from commit 8bfca7f2c8467d17d64cea8d8b961f4002461d7f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-18

    Update test to reflect changes in proj library

    (cherry picked from commit 67f25fed0e7eea7da60bf28f1d24a730156d9491)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Make custom projection validation button work on proj < 6

    (cherry picked from commit 30b2919c8125ddfbcad460d5e7b3fdd6b04f7410)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Fix build on proj < 6

    (cherry picked from commit 84af6935577c2b8446a8f172449f7573410b018e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Fix sqlite errors when trying to save an updated custom projection through the custom projection dialog

    (cherry picked from commit 759ba8d7c326b4b6d4943d975834aef7e86bc7c8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Fix test calculations in custom projection dialog under proj 6

    Refs #33038

    (cherry picked from commit aa864dcff86dcfb767e286b0439eec59a83035e5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    When the custom projection dialog is blocked from closing due to an invalid projection, automatically
    select that projection in the list for the user

    (cherry picked from commit c24f79da26fb017e51edb3f5101793fdf5d877df)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    [needs-docs] Add a "Validate" button to custom projection dialog
    to allow users to validate the currently edited CRS definition
    without having to accept the whole dialog

    If the validation fails, the proj error messages are shown
    to help the user determine why the string is invalid

    (cherry picked from commit aa0b9b05470d710b2c40b6ac5270b1a1e54f8534)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Better messagebox titles

    (cherry picked from commit c2b55ebb1fd8908212077909ec483a178f0b77f2)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Use correct message box icons in custom projection alerts

    (cherry picked from commit 4991a27ddb2f5ee6e35f8dc3be2bcfb79bd55209)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Allow deleting multiple custom projections at once

    (cherry picked from commit 308eae9a33982b1b662b8e83015573d0ec9af52e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-17

    Update a test result for proj 6

    (cherry picked from commit 10e09105573f71677b715834fb6d00765dc9c815)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Add test results for proj < 6

    (cherry picked from commit 3efae69f10ad3b739adf0a7bca1bfbbfe6fbedbe)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Refine logic relating to syncing project ellipsoid choice to CRS selections
    in project properties dialog

    Keep the existing logic which dictates that we should never overwrite
    a user-set "NO ellipsoid" setting when the project CRS is changed, BUT
    add a condition that if the project goes from NO CRS to A CRS, we
    DO sync the ellipsoid choice for that first change only and overwrite
    the default NO ellipsoid which is forced for projects with no crs.

    Add unit tests to protect this logic, and hopefully see the last of
    this crappy fragile dialog handling...

    Fixes #33358

    (cherry picked from commit 4275e7d12fa412d71904dec7e7ba8e7bf3be2629)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Fix loss of crs set for QgsProjectionSelectionWidget if widget is never
    shown, fix missing signals and duplicate signals

    (cherry picked from commit 5375fdf58ce60d40b3a5afdf199e09f7238a6d93)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Remove some unused/empty code

    (cherry picked from commit 1dde86a70e63dc9ed94a5579c61ebb7d7d887a33)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Ensure output of QgsCoordinateReferenceSystem::ellipsoidAcronym() matches
    the acronyms and format user in QgsEllipsoidUtils

    Refs #33358

    (cherry picked from commit c2441caa9b3b8c26b9ab3d4b6416c569e8fbb7f5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    remove_temporary_files should also remove .temp files

    (cherry picked from commit c7ee6e93a6b76c71e16d05999c9737ed13cc6ece)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Update test results to reflect proj master

    (cherry picked from commit 296f78f3b837515dd817aa4f2ef5e22448e12e0a)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Update test result for proj 6

    (cherry picked from commit a0280f7cb52142866ad42fb574ddd111b8be2cf2)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-14

    Add unit tests that project ellipsoid survives the trip through the project properties dialog

    (test needs adapting for proj 6)

    (cherry picked from commit 24d773c8e00321b797f5fb4c756d4acb85499091)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix initial selection in project ellipsoid list is reset whenever the dialog
    is reopened

    Refs #33358

    (cherry picked from commit 2cc64f9cc79ea543ed8e4ab84cd1df90e8b35377)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-18

    appstream: include oars metadata in appstream

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-14

    Add some references hashes seen on azure builds

    (cherry picked from commit db2ac240decf8a5f590e814512d57bd304021d90)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Don't highlight whole polygon in red when using map label tools

    For polygons, we don't want to fill the whole polygon itself with
    the rubber band as that obscures too much of the map and prevents
    users from getting a good view of the underlying map.

    Instead, just use the boundary of the polygon for the rubber band.
    That's enough to give a visual indicator of the feature associated
    with the label without getting in the way.

    (cherry picked from commit 235fee19ec6ad8a4f1b2132754bb2e5f09abca17)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-10

    [processing] Add another hash to grass imagery tests

    This one seems to come up occasionally on Travis

    (cherry picked from commit 7381a2574ef43e07df2fad443f2ee9251629769d)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-18

    Fix features right on the edges of geographic layers can disappear when reprojected

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-18

    Add a bit of context to errors in QgsRelationReferenceFieldFormatter

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-17

    use QActionGroup to group style actions and make them radiobuttons (fix #32624)

github-actions[bot] <github-actions[bot]@users.noreply.github.com>	2019-12-17

    [processing] url-encode path to tiles in XYZ algorithm (fix #32589)

Borys Jurgiel <info@borysjurgiel.pl>	2019-12-13

    [DB Manager] Fix broken geometry type of GeoPackage based SQL Layers. Fixes #33232

Matthias Kuhn <matthias@opengis.ch>	2019-12-16

    Fix crash with invalid layer

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-16

    Fix build

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix another test under proj6

    (cherry picked from commit cf95f1452e238efb7c88e677974da6b173545878)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix another test under proj 6

    (cherry picked from commit da92b3fe8d1c73f69ca62dd79868613bbf1835ba)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix a test under proj 6

    (cherry picked from commit 526963efb2e5565b6b7881ae46e7b5bfc0ff07a4)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix transform differences vs proj < 6 when using custom CRS via proj definition

    By being more selective about when we force convert to a single crs

    Fixes #32928

    (cherry picked from commit 05eaa65737580606e9e46800731b82b71ddea8b2)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix build

    (cherry picked from commit 9be6b333d00fe9035a554bb487fa463e9e50a3b0)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Fix incorrect reverse coordinate transforms are created when using a
    PROJ 6+ build and a project has manual coordinate operation pathways
    set

    Refs #33121

    (cherry picked from commit 51046d98f6332d7823d86c66fe9f26efd049b326)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Add a method to determine if the coordinate operation string returned
    by QgsCoordinateTransformContext.calculateCoordinateOperation corresponds
    to the reverse of what's actually required.

    Gross API, but it's the best we can do until proj has a method to
    invert a coordinate operation so that we can return the proper
    inverse operation proj string from calculateCoordinateOperation
    (without resorting to fragile proj string parsing/mangling)

    (cherry picked from commit a1ac77877f748e16ecaad519c38bf2d7f0984db8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Add method to retrieve the details of the coordinate operation which is
    actually being used by a QgsCoordinateTransform object

    (cherry picked from commit ef197979976a735a23c5bea85f00aba0c3863acc)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Don't try to normalize proj coordinate operations constructed directly
    from the proj string via the transform context

    This isn't possible -- only proj coordinate operations constructed
    from a src/dest CRS pair can be normalized, not those constructed
    from a proj string.

    It was redundant in any case, since we always normalize the available
    operations before giving users a choice of them.

    So just add some big bold warnings to the dox in case anyone is
    manually manipulating and adding custom operations, that these
    also MUST be pre-normalized

    Refs #33121, conversation in https://github.com/OSGeo/PROJ/issues/1794

    (cherry picked from commit 82a84ffd0d9ef33353c939bdb33f8c498d9a6cf8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    Update test results for proj < 6

    (cherry picked from commit 8994a4b994f07e4a09284637c85eb3fa2c933109)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-13

    When saving and restoring CRS definitions to XML, save wkt
    definition too, and prefer rebuilding the CRS from the WKT
    definition whenever it's available

    Proj strings are lossy, so prefer WKT

    (cherry picked from commit 8de83c5133dcd46062de93e3a8608e2825ea3a0f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-12

    Fix warning

    (cherry picked from commit 66fefdc66825abe6c13ce1b54d519e05f40553c0)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-12

    Fix infinite recursion on proj < 6 builds

    (cherry picked from commit bc41f145e1b8bb3ff35f2d79bbafa516a2916417)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Fix travis build

    (cherry picked from commit b6e46325d3d7ce92885c7658881480057b6eb420)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Fix deadlock

    (cherry picked from commit de109b67d2928b6037ffdef30bfcbb62218cbb7b)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    When saving a user crs, if a WKT representation of the CRS is available,
    then store and save that

    Proj string representations of CRSes are lossy, so we should always prefer
    WKT when it's available

    (cherry picked from commit 187b8f3325f61a65399f21c45659b3e2b7913270)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Add a WKT column to tbl_srs

    proj string definitions of CRSes are lossy, so we need to gradually
    transition to WKT definitions instead

    (cherry picked from commit 4e4cd313bd0d363ef9e5ea772523aad86211e728)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Don't flag CRSes created from a WKT which doesn't correspond to any
    known authorities as invalid

    If proj is happy to accept the WKT string, then it's valid

    (cherry picked from commit 3d4b5fb09a449c8e0538075890ab5239eea93713)

Even Rouault <even.rouault@spatialys.com>	2019-10-14

    [BUGFIX] QgsCoordinateReferenceSystem::createFromOgcWmsCrs(): fix importing http://www.opengis.net/def/crs/OGC/1.3/CRS84

    (cherry picked from commit d25759525e952fa2644d23c8508e88dbbfb736f0)
    (cherry picked from commit a90e6b95cad4ce383698f69fcc6a69974b0d3139)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-06

    [processing][saga] Allow saga algorithms to be run under SAGA 7.3,
    but show a huge obnoxious "NOT OFFICIALLY SUPPORTED" warning

    SAGA 7.3 is the new SAGA LTR, so we eventually need to move towards this.

    But adding full support is going to be a painstaking tedious process. So
    allow users to use this combination, but totally at their own risk.

    TODO: Make SAGA provider a 3rd party plugin only and save QGIS core dev sanity ;)
    (cherry picked from commit d969e41799fc2176d612a6572d2bf4890ac0edb6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-06

    [processing] Add api to allow providers to report warnings which should
    be shown to users when using that provider

    This can be used to return a translated warning message which should be
    shown to users of this provider. It's intended for use in cases such as
    a provider which relies on a 3rd-party backend, where the version of the
    backend software is not officially supported, or for alerting users to
    providers in a "beta" or "untrustworthy" state.

    (cherry picked from commit 61454c67cd4d93cabb951a811afe3219b49d61d2)

Martin Schitter <ms+git@mur.at>	2019-11-08

    Fix single threaded use of MBTiles generator

    (cherry picked from commit cfbe66473e94ae5f35a2c65da1a6aa7f50937472)

mash-graz <mash-graz@users.noreply.github.com>	2019-10-30

    successive ThreadPoolExecutors for all zoom levels

    instead of using only one ThreadPoolExecutor for all MetaTiles, its now handled in a loop and new ThreadPools for the next zoom level will be started when all work for the previous one is already done. i guess, this will fix the issues and interferences described in #32471 and shouldn't be much slower.

    (cherry picked from commit 89f1640419d5958ac683d4e3834bfc136b58eeee)

Hugo Mercier <hugo.mercier@oslandia.com>	2019-12-09

    [postgres] Speed up array parsing (fixes #33226) (#33227)

    (cherry picked from commit ac958dec899a18bd56bcfdf41e422176966ca151)

Markus Neteler <neteler@gmail.com>	2019-12-09

    v.to.rast: fix va -> val

    (cherry picked from commit f497cf4f41f4027cf7b8348c33c26f018e0a8599)

Samweli <smwltwesa6@gmail.com>	2019-12-10

    Deselecting tables after addition in Data Source Manager

    (cherry picked from commit e61ca0434091ea44eccffd96173e878abe6f56c6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Fix ellipsis characters in button text show incorrectly on windows

    Fixes #33209

    (cherry picked from commit e2e1bd35dea4bf9521a02d1887cf6c7a39c8394d)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-11

    Fix escape and enter don't work to close color or symbol selector dialogs

    Fixes #27602

    (cherry picked from commit 2e25151786d39c5d444d0973595f715129cf23bf)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-12

    Fix another unicode string on windows

    (cherry picked from commit c847e004ddbd6c1a8dd060bc20a1ddfe06c9a08f)

Håvard Tveite <havard.tveite@nmbu.no>	2019-12-13

    Fix the label of the output parameter of the TPI algorithm

    (cherry picked from commit 512eb4d2b8e197071376589e05e58cde64fa5b66)

Alessandro Pasotti <elpaso@itopen.it>	2019-12-13

    Don't crash on QgsHtmlWidgetWrapper

    Fixes #33390

    (cherry picked from commit 0f70637e36ce8743e7ae4f647c0160dbf16f3739)

Merge: 1009c623d1 578cfc40e2
Alessandro Pasotti <elpaso@itopen.it>	2019-12-14

    Merge pull request #33389 from elpaso/bugfix-gh32740-ascii-user-agent-3_10

    Urlencode non ascii chars in User-Agent

Alessandro Pasotti <elpaso@itopen.it>	2019-11-11

    Urlencode non ascii chars in User-Agent

    backport from master b490f86495.

Merge: a783bd26eb f9b00ebed5
Matthias Kuhn <matthias@opengis.ch>	2019-12-13

    Merge pull request #33387 from havatv/patch-6

    Backport to 3.10 of #33378 (Fix the label of the output parameter of the TPI algorithm)

Håvard Tveite <havard.tveite@nmbu.no>	2019-12-13

    Backport to 3.4 of #33378 (Fix the label of the output parameter of the TPI algorithm)

Daniele Viganò <daniele@vigano.me>	2019-12-11

    [RPM] Remove qgis-zh-Hant.qm from RPM packages

Alexander Bruy <alexander.bruy@gmail.com>	2019-12-10

    use setValue() instead of setLayer() to handle different value types
    (strings, variants, layers)

    (cherry picked from commit 243cd6ce8b29a949ba00ad67ea57bf353eb1ba70)

Alexander Bruy <alexander.bruy@gmail.com>	2019-12-09

    use active layer only if there is no default value

    (cherry picked from commit dcdcb334efc275a1fb5b4c2b649114733e6ae08d)

Alexander Bruy <alexander.bruy@gmail.com>	2019-12-09

    [processing] use active layer in the widget wrapper only for
    non-optional parameters otherwise use default value

    (cherry picked from commit f37a75923fbeabd9be1004ff0189df8f667bcd7d)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-12-10

    Also insure that a tbl_projection is always present

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-12-10

    Insure that a tbl_srs is always present(most likely fixes #32866)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-12-10

    Use mkpath when creating a profile directory(prevents problems when root directory isn't present to begin with)

D'Hont René-Luc <rldhont@gmail.com>	2019-12-10

    Use debug message level in labeling from SLD

D'Hont René-Luc <rldhont@gmail.com>	2019-12-10

    [Bugfix] Segfault in rule based labeling from SLD

    The settings for QgsRuleBasedLabeling::Rule has to be cloned with new QgsPalLayerSettings.

Merge: ffe31ee08d eac999ca7e
signedav <david@opengis.ch>	2019-12-10

    Merge pull request #33126 from signedav/rulelabelfix_bp

    Display Rulelabel when requested in GetLegendGraphics

Merge: ef24c526da 5cd8b0a67a
Matthias Kuhn <matthias@opengis.ch>	2019-12-09

    Merge pull request #33292 from m-kuhn/legend_marker_symbol_field_dependent_3_10

    [backport release-3_10] When DD rotation fails to evaluate, fallback to static value

Matthias Kuhn <matthias@opengis.ch>	2019-12-08

    Add test for preview rotation fallback

Matthias Kuhn <matthias@opengis.ch>	2019-12-08

    Fix data defined rotation detection

Jürgen E. Fischer <jef@norbit.de>	2019-12-06

    don't pull in parallel from transifex (occasionally looses files)

Jürgen E. Fischer <jef@norbit.de>	2019-12-06

    Release of 3.10.1

Jürgen E. Fischer <jef@norbit.de>	2019-12-06

    translation update for 3.10.1 from transifex

Sam Gillingham <gillingham.sam@gmail.com>	2019-11-27

    Send Accept: header with WMTS tile requests

    (cherry picked from commit f601272226908404678387ce20020741285c292e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-04

    iface.newProject() should return False if a new project could not
    be created (e.g. if the user opts to cancel when prompted to save the
    current project)

    (cherry picked from commit b4bc7cbffda18fdea1242ca6440fd252e44f43e0)

Martin Dobias <wonder.sk@gmail.com>	2019-12-04

    Actually also don't evaluate right-hand side

    (cherry picked from commit b5dd082ac3f722737c22d4068546c49ee2a5d80d)

Martin Dobias <wonder.sk@gmail.com>	2019-12-03

    Skip right-hand side of AND/OR expression if we already know result

    (cherry picked from commit 11d527596c5749d6d512851f8d6dadb352862f23)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    Make wms provider less debug noisy

    (cherry picked from commit ee33fa5a38bb063785c8abf4714d4287b34696ff)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    Followup 89de7579, fix broken authentication/username/password
    support in WMS and other providers

    These providers rely on the QgsDataSourceUri param methods for storing and retrieving
    authentication details, so the change made to use the dedicated username/password/auth
    setters in 89de7579 broke all auth support for these providers.

    Ensure that the param system is fully compatible and aliased to the dedicated
    username/password/authcfg getters and setters

    (cherry picked from commit 0b1c0fdbf25ae15db52f7a3c95b3809e9e1ba199)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Correctly set initial value of hoz/vert accuracy and direction as not available

    (cherry picked from commit d182cf2d768455457b9573a317b98fdf0a450331)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    Don't overwrite good gps headings (e.g. from a GPHDT message) with n/a values from another message

    (cherry picked from commit 6a7293908d82e4a0438ab69ad8fdd2f3c61e9947)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Don't treat n/a values as '0'

    Avoids reporting things like an unavailable heading as a real "0" heading

    (cherry picked from commit 382098e1883db9111b1ab0eb979638672b94a1e7)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Add support for GPHDT heading from true north messages

    (cherry picked from commit 6b5f983ad66b6b9d124397ad9d56978fb4a6e53c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Support GNGSV messages

    (cherry picked from commit 07915f7af7fa54336757ebadfa33d908d17c3306)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Support GNGSA messages

    (cherry picked from commit 2234d92be6ba96a7f320c6bf488f2143cfeae556)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-05

    [gps] Support GNGGA nmea messages

    (cherry picked from commit 299c61292b58602c4d6f59628b3bafd6125abd19)

Alvaro Huarte <ahuarte47@yahoo.es>	2019-12-05

    Extra simple fast check of types in equality methods of geometry

    (cherry picked from commit 3dadc2235da3a502e124bf156d7eebd872fc38b3)

Peillet Sebastien <peillet.seb@protonmail.com>	2019-12-05

    Visible status for embedded layers in embedded group

    - For project : check visible state for embedded layers inside an unchecked group, instead of putting all layers in embedded-invisible-layers
    - For theme : Add an 'checked-group-node' to save group visible state independently to layers in it.
    Fixes #33097

    (cherry picked from commit 35eea1c083a4beb3de1b5dc1a72617948c8b7790)

Sandro Santilli <strk@kbt.io>	2019-11-28

    PointCloud is unavailable when you can't read its metadata

    Fixes #32972

Sandro Santilli <strk@kbt.io>	2019-11-28

    Add test for pointcloud layers fetching and related permissions

    This commit is expected to fail, lacking an actual fix

    See #32972

Sandro Santilli <strk@kbt.io>	2019-11-28

    Add pcpoint as a supported spatial type

Sandro Santilli <strk@kbt.io>	2019-11-28

    Do not use pcpatch type name when not available

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Tests] Update QgsVectorLayer readSld to test read label

D'Hont René-Luc <rldhont@gmail.com>	2019-11-07

    [Bugfix] QgsVectorLayer: Read SLD Labeling

    The error was:
    * QgsRenderer did not exclude SLD TextSymbolzer as a rendering configuration.
    * QgsVectorLayer did not well detect SLD Text Symbolizer
    * QgsVectorLayer did not well read SLD Labeling produced by QgsVectorLayer

    The QgsOgcUtils and QgsSymbolLayerUtils classes have to be enhanced for a better homogenized capabilities.

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-29

    [processing] Fix exceptions when reporting errors during batch execution

    Fixes #33105

    (cherry picked from commit 6ef3746bfb28460288a75d9d33c4b64dd14736ca)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-29

    Alternative approach to fixing #32819

    Partially reverts 5d27d7c, fixes #33133

    (cherry picked from commit 85095a70ffff1091c569794a3e023040567c4140)

Matthias Kuhn <matthias@opengis.ch>	2019-12-01

    Remove empty file

    (cherry picked from commit 0eee45aa16191956536980df43028e59622fb7cc)

Matthias Kuhn <matthias@opengis.ch>	2019-12-01

    [db_manager] Allow opening .sql files

    and not only .SQL files
    also allow any file extension

    Fix #33173

    (cherry picked from commit 574e0ebaa1cbf44a6a72423293ff4bba7b7a7659)

Nyall Dawson <nyall.dawson@gmail.com>	2019-12-04

    Huge speedup when labels are set to "boundary" obstacle mode

    Because GEOS prepared predicates are "stubbed out" for many relation types,
    such as overlaps and touches, we can get a HUGE speedup by reworking
    the obstacle boundary check to utilise an intersects and within check instead
    (with the same results)

    (cherry picked from commit b736bf9a4447cbfafe3c2b5cf79a87bdbfab1766)

Merge: 366c879417 5683249443
D'Hont René-Luc <rldhont@gmail.com>	2019-11-29

    Merge pull request #33145 from rldhont/backport-33128-to-release-3_10

    [Backport release-3_10][Tests][Server] Add WMS GetFeatureInfo GML tests

D'Hont René-Luc <rldhont@gmail.com>	2019-11-28

    [Tests][Server] Add WMS GetFeatureInfo GML tests

Harrissou Sant-anna <delazj@gmail.com>	2019-11-28

    [backport] Move the vertical spacer at the bottom of the raster marker symbol dialog

    and fix tabulation order

    (cherry-picked ce0363a7)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-29

    On proj6 builds, never apply a lossy conversion from WKT to proj strings
    when attempting to identify a CRS specified via WKT

    Because:
    1. Proj string conversion is lossy, so we will end up with misleading results
    2. If proj can't identify the CRS based on the WKT alone, then any CRS it
    identifies from a lossy proj conversion will be incorrect
    3. Proj is smarter than QGIS, we should trust it and not rely on downstream hacks

    (4. I want to implement creation of user CRS via WKT instead of only proj, and
    having this hack in place will break things)

    (cherry picked from commit 207627051746be85313db2fdd4c87d4b2c25bfae)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-28

    Avoid trailing ; warning thrown by QGSCOMPARENEAR macro

    (cherry picked from commit 849f3152dae5e1293b12ac8326291f0324a12625)

David Signer <david@opengis.ch>	2019-11-28

    changing temp location in the settings an recalculate the temp file path

    (cherry picked from commit e4651685398192fda691151ff4b315ae9ab42eef)

David Signer <david@opengis.ch>	2019-11-26

    check if TEMP_PATH in the settings changed

    (cherry picked from commit ef8e251cf8c7c8beeb13fcf1dae10cce364e34b4)

David Signer <david@opengis.ch>	2019-11-26

    temp path for processing output configurable

    (cherry picked from commit 8274566b6202ca77461d8c799db3ae343920234f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-28

    Fix identification of TAB file in GDA2020 CRS

    Fixes #33007 (also requires GDAL master)

    (cherry picked from commit 3f94d55384dec0af7e0da7d59bed09c93e2d49df)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-27

    When exporting CRS information from GDAL >= 3.0, use WKT2 format
    to avoid loss of CRS information

    (cherry picked from commit f3eab35cdeb1fcb7fd54c2c02c210285693e0909)

David Signer <david@opengis.ch>	2019-11-06

    set RULELABEL to false to have the expected behavior

    (cherry-picked from a74035cd4e06d5dd05d2f0571e59045e4d725114)

David Signer <david@opengis.ch>	2019-10-24

    Tests with RULELABEL and LAYERTITLE
    And fix related tests

    (cherry-picked from 71581a40468f882fad7815e241c8a16b1cde5ce2)

David Signer <david@opengis.ch>	2019-10-24

    avoid to unembed rules, if it's the layer itself
    because otherwise it's not possible to deactivate LAYERTITLE but keep RULELABEL

    (cherry-picked from 74a79311bb23a7dbe4102cf38ba8bc2b9754bf1b)

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-11-28

    [field calc] do not propose to update field for read-only layers (#33101) (#33116)

Merge: 6377ed4f34 0c666b41e0
Matthias Kuhn <matthias@opengis.ch>	2019-11-28

    Merge pull request #33095 from m-kuhn/value_map_ordered_import_backport-3_10

    Keep order of value map items when importing CSV

Matthias Kuhn <matthias@opengis.ch>	2019-11-27

    Update src/gui/editorwidgets/qgsvaluemapconfigdlg.cpp

Matthias Kuhn <matthias@opengis.ch>	2019-10-29

    Keep order of value map items when importing CSV

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    Don't report success when a calculation error occurred

    (cherry picked from commit ab6239b7537514992fd7f54a63d8593932ea44a4)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    Avoid qt containing detachment, remove some auto use

    (cherry picked from commit f086d4e6bdab339a004c8cb026ed8201eeba20f1)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    Avoid altering std::map while iterating over it (potentially unsafe)

    And avoid some double-lookups

    (cherry picked from commit bc6c3e57ff1c7b97f2bbf3a39a8472c5b8d74ff8)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    Fix crash in raster calculator on Windows builds

    It's not safe to take the data from a vector like this, it will be
    deleted as soon as the vector itself is

    Fixes #32855

    (cherry picked from commit e3d2dcdbe31d1f1b5db1022a3d38a85a6be7849c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    [layouts] Ensure overview frames are correctly exporting during layer
    based exports when the stacking position is set not set to above labels

    Fixes #32763

    (cherry picked from commit 078f8451e09b59eac94bdcee2bc639c363cdd27c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Attempt to fix crash when adding fields to existing table

    Refs #32819

    (cherry picked from commit 5d27d7cfdf1f1c7fb7c5a82db725e748e7482ff3)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-26

    [ui] Fix out-of-sync show help button enabled state for the expression builder

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-26

    Fix SVG artifact outside of viewbox in poi_place_city.svg file

    Fixes #33061

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-26

    [diagrams] Harmonize the diagram type combobox looks

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-26

    [needs-docs][layouts] Shuffle legend item widget tool buttons
    to reduce visual cumbersomeness

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-26

    [layouts] Make legend's filter by map extent widget a check box

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Add missing documentation for geom_to_wkt precision argument

    (cherry picked from commit 8b968cf2f5475da3010e384d427c6ddd01584e6f)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Fix function help for project function

    Fixes #33035

    (cherry picked from commit 37f2d2d8ae7efd4bc953422f7740447c15b9919c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Fix grid file installation fails if path does not already exist

    Fixes #32936

    (cherry picked from commit 97fd59a99a3815b18ee3ee41650be941477d3fd7)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Hide coordinate operations which utilise a LAS/LOS grid shift file,
    which are unsupported by proj 6

    E.g. some candidate operations between EPSG:3035 and EPSG:5514

    Since these can NEVER (as of now) be instantiated by proj, even if
    the grid shift files are present, it's misleading to present them
    as options to users.

    Refs #30569

    (cherry picked from commit b8dcbcd1175788e037f4efc65fd10e18e393f965)

Alessandro Pasotti <elpaso@itopen.it>	2019-11-22

    Fix time (and date) fields editing in forms

    Fixes #33000

    (cherry picked from commit 17a700b34be68fcba49cf8e43e6994ea31a2aff5)

Jorge Gustavo Rocha <jgr@di.uminho.pt>	2019-11-23

    MetaSearch plugin: update CSW catalog url from the portuguese mapping agency

    (cherry picked from commit 23fc25b04600865c71421462e9f304cca4c6731e)

Jorge Gustavo Rocha <jgr@di.uminho.pt>	2019-11-23

    Fix WMTS Capabilities document and related tests

    (cherry picked from commit 529aea6f4e21ccdb15152eba6298f93d430f6888)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Move QgsDebugCall to level 2 debug level

    (cherry picked from commit 69e1b84b4c405a6b9fa7cfd2a72cf4c49a85f929)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-25

    Rework QgsDebugMsgLevel to avoid construction of strings which
    won't be logged at the current debug level

    Instead of always constructing debug strings, and then potentially
    ignoring them if they fall outside the current debug level, we instead
    rework the QgsDebugMsgLevel macro so that strings are only ever
    constructed when they WILL be logged.

    This avoids the (often very expensive) string construction for
    debug messages whenever the results won't be used. It allows low
    level (i.e. level 3 or 4) debug messages to be safely used without
    incurring huge slowdowns in debug builds.

    TODO: ensure we only ever use QgsDebugMsg() for ERROR reporting,
    and move all other debugging calls to QgsDebugMsgLevel instead.

    Credit for original idea goes to @wonder-sk!

    (cherry picked from commit 65ad06d1fd65b6ae73e1bdba0452a33a5f09fe7d)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-23

    Fix QGIS crashing when loading a recent project after saving dirty project

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-23

    [diagrams] When an unknown diagram type is encountered, don't crash, but instead fallback to known type

    Avoids projects from a new qgis using a new diagram type crashing when opened in earlier
    qgis versions

    (cherry picked from commit 190d990d7c31a07046285f59decf91a776662273)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-23

    [diagrams] Fix bars drawn outside of registered diagram extent for some orientations

    (cherry picked from commit 993d90a456ccc72ab2114368656ab75e3a6ccc1e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-23

    [diagrams] Better default size for diagrams

    (cherry picked from commit b78784be4f60342dfb96ec1f9b344a6678eaba16)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-23

    [diagrams] Diagram size widget should allow non-integer values

    There's no reason we should limit diagram sizes to round number of
    mm, so adapt widget to follow same behavior as other symbol size widgets.

    (cherry picked from commit b2b545006ed43d633321cd243e08c1195811e7e5)

Even Rouault <even.rouault@spatialys.com>	2019-11-23

    QgsCoordinateTransform::transformCoords(): with PROJ 6, do no raise on partial failure of multiple point transformation

    Fixes #32973 or at least improve it significantly

    Currently with PROJ 6 transformCoords() will raise an exception as soon
    as a single point fails to transform. With PROJ < 6, this (generally)
    did not occur. Exceptions were raised only (mostly) on failures on
    single point.
    Imitate that

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-22

    [canvas] Fix zoom to selection for single point selection when layer is reprojected

Even Rouault <even.rouault@spatialys.com>	2019-11-22

    QgsVectorFileWriter: fix axis order issue with GDAL 3 (fixes #33014)

Merge: 588a0961e1 df1b273402
Even Rouault <even.rouault@spatialys.com>	2019-11-22

    Merge pull request #33018 from troopa81/backport-32811-to-release-3_10

    backport fix wfs cache request

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-22

    backport fix wfs cache request

Merge: 5d924cf7c3 ac846d360c
D'Hont René-Luc <rldhont@gmail.com>	2019-11-22

    Merge pull request #33002 from rldhont/backport-32800-to-release-3_10

    [Backport release-3_10][Bugfix][Server] Correctly round extent coordinates in services capabilities

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-20

    Fix broken QMap<QVariantList,...> finding, which causes case-insensitive
    comparisons to be made when resolving primary keys in the Oracle and
    Postgres providers

    qt's built in qMapLessThanKey for QVariantList is broken and does a
    case-insensitive operation, so we replace it with a working version instead...

    (cherry picked from commit 701ea057b1908d74666a8e842445706947fe3e56)

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Test WCS Access Control: update comment

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WMS GetProjectSettings tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WMS Dimension tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WCS tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WMS tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WFS tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] Update WMTS tests for round extent in GetCapabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-20

    [Server] tests: Add masks

D'Hont René-Luc <rldhont@gmail.com>	2019-11-15

    [Bugfix][Server] Use floor and ceil for round extent coordinates in services capabilities

D'Hont René-Luc <rldhont@gmail.com>	2019-11-11

    [Bugfix][Server] Correctly round extent coordinates in services capabilities

    QString::number does not correctly round double. It can truncate double so the extent display explains in services capabilities could be clipped.

    To fix it, QGIS provides qgsDoubleToString.

Jürgen E. Fischer <jef@norbit.de>	2019-11-21

    fix build

    (cherry picked from commit c42789d71b304828dbb2fb160a58dff9d1d62615)

javicasnov <46538106+javicasnov@users.noreply.github.com>	2019-11-18

    Tiles XYZ fixed scale-dependant styles

    (cherry picked from commit 742c7b95d7817c9e3d881e5b3cec12fbccf544df)

javicasnov <46538106+javicasnov@users.noreply.github.com>	2019-11-14

    Update TilesXYZ.py

    Solve issue #30524. Now tiles are drawn correctly if there are layers with scale-dependant styles

    (cherry picked from commit 20736b9ac109b8038b835856b0c547a263e321f9)

Felis Pimeja <felispimeja+github.com@gmail.com>	2019-11-17

    Fix alg description

    PostGIS DB -> PostgreSQL DB

    (cherry picked from commit d28da131c4b6acfa53d63c7af7cc1fe6e2b372e0)

Felis Pimeja <felispimeja+github.com@gmail.com>	2019-11-17

    Fix alg description

    PostGIS DB - PostgreSQL DB

    (cherry picked from commit 60ed888277a83bcd2ff40d91f626dd09f5c6161c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-18

    Resolve cpu spikes when options dialog is shown

    Disable auto-update of the advanced settings tree widget. This is causing
    CPU spikes every 2 seconds while the dialog is open. It's useless for QGIS,
    because this dialog is modal and blocking, and changes to settings aren't
    saved until the dialog is dismissed. So basically nothing should be updating
    these settings while the dialog is opened anyway...

    Fixes #32892

    (cherry picked from commit 3b29dbafa6dd60c21860b6f80a0cde6d95619e30)

Peter Petrik <zilolv@gmail.com>	2019-11-18

    fix crash when gps source is not available (e.g. missing QT plugins)

    (cherry picked from commit 90cbcc92b110144a0eb9498248c12fb82af8a60f)

Alessandro Pasotti <elpaso@itopen.it>	2019-11-18

    Fix fid regenerate on GPKG vector layer exported

    Fixes #32927

    (cherry picked from commit f9f00d3388ea5df0001ec967e5cbf4daf3903e24)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-19

    Optimise some trivial point/rectangle intersection tests

    (cherry picked from commit 19d0b118a59f8456cdf9a89f61fafe547973db85)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-18

    [labeling] Fix evalution of letter/word spacing when font size is map units

    Fixes #32825

    (cherry picked from commit 0d6599a7b6dfeff1a4113ea1922820d6c7c894d3)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-20

    Lower precision of grass centrality test

    Refs #32562

    (cherry picked from commit 2b9921ac2cebbe2362af3ebc08769bd325c359ed)

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-19

    Add unit test for qgslayerdefinition

    (cherry picked from commit 0aea46bb2808c56fd455c095684c65e7ced0d022)

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-19

    Add unit tests for qgsproject

    (cherry picked from commit 0770ca9121698b286bff018b7b8fa15c21c97147)

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-06

    Load embedded group from qgz project

    (cherry picked from commit 35c2a9a6f3e28c4a2e37c0576524e464b60cf2fb)

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-06

    Fix reloading project with embedded layers from qgz

    (cherry picked from commit 9a9778af418f2a5783cbda7217823b150db883b7)

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-06

    Read qgz project when embedding layers. Fixes #28280

    (cherry picked from commit e5eb23e30ce7ead00ffa8cc3fedf2637ecbbd61b)

Borys Jurgiel <info@borysjurgiel.pl>	2019-11-20

    Revert 5c1cc4a40d84. I wasn't aware dashes in plugin directory names have been authorized at some point and we have a number of affected plugins now (please note personally I am opposed to putting dashes to Python package names). Fixes #32968.

    (cherry picked from commit ffb38e8a320082791c3251ee386e9a899d0a5d33)

Matthias Kuhn <matthias@opengis.ch>	2019-11-20

    Disable flaky test

    See https://travis-ci.org/qgis/QGIS/jobs/606030466#L6726

    (cherry picked from commit 39741e549e525a11e07ffc3594e8b4a8beac61dc)

Alessandro Pasotti <elpaso@itopen.it>	2019-11-20

    Attribute table pass fid on ctx menu signals

    instead of passing an index that could belong to
    one of the (three) models that live in the dual
    view.

    This hopefully makes the code a bit less error
    prone and readable.

    Fixes #32952

    (cherry picked from commit bcdbc3a85d704946f441c7e99ca86f65522b28ce)

Alessandro Pasotti <elpaso@itopen.it>	2019-11-19

    Attribute table: please don't delete randomly!

    Fixes #32933

    Pretty big fat bug isn't it ?

    (cherry picked from commit ea38fcec06c5fbaa832a2ae7b229a5fc7a727df7)

lbartoletti <loic.bartoletti@oslandia.com>	2019-10-29

    Add topological points on background layers for qgsmaptooladdfeature

    (cherry picked from commit 47bc117795579ea0b27b016a68c3e6cc6f071a91)

Antonio Rotundo <anto.rotundo@gmail.com>	2019-11-20

    Update connections-default.xml

    (cherry picked from commit 69ba08eae9ef8d7af3035ef813dddb1c87719dfe)

Björn Harrtell <bjorn@wololo.org>	2019-11-20

    Add FlatGeobuf as known input format

    (cherry picked from commit 150709cb5f661001c1271fc67e96ed2f98554136)

Björn Harrtell <bjorn@wololo.org>	2019-11-20

    Add GDAL 3.1.0 version ifdef

    (cherry picked from commit a875befb0c2ffb308c42cccb7afb655873dba845)

Björn Harrtell <bjornharrtell@users.noreply.github.com>	2019-11-19

    Remove sort order tweaks

    (cherry picked from commit 8159783afed47061e18e62c17b678d10135e47b1)

Björn Harrtell <bjorn@wololo.org>	2019-11-19

    Add FlatGeobuf as an exportable format

    (cherry picked from commit 315c9bbea633f09824875aef51a5129a5f974b27)

Sandro Santilli <strk@kbt.io>	2019-11-14

    mhkun style

Sandro Santilli <strk@kbt.io>	2019-11-14

    Make capabilities methods const, drop unused ones

    Uses mutable members to retain the lazy capability queries

Sandro Santilli <strk@kbt.io>	2019-11-14

    Improve debug messages about geos/topology support

Sandro Santilli <strk@kbt.io>	2019-11-14

    Unify list of supported spatial types

Sandro Santilli <strk@kbt.io>	2019-11-14

    Simplify calls to has_*_privilege to avoid name resolution

    ... when oid is already known...

Sandro Santilli <strk@kbt.io>	2019-11-13

    Add test for TopoGeometry layers visibility with and w/out permissions

    Adds a "qgis_test_user" database users with the db setup script,
    using an hard-coded password for connection.

    This was the simplest way to make things work because the alternative
    of using 'options' member in the URI is not supported by QGIS
    at the moment, see https://github.com/qgis/QGIS/issues/32832

Sandro Santilli <strk@kbt.io>	2019-11-13

    Topology is unavailable when user cannot read topology tables

    Fixes determination of tables from metadata when user has no
    privileges on topology. The bug was introduced by
    commit bbdbca418c0eeb5a349fc257ad033adad7b4fc47

    References #32002

    Closes #32726

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-19

    [processing] Fix wrong label description for the centroid alg's all parts parameter
    (fixes #32940)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-19

    [processing] Fix missing icon for polygon to lines algoritghm
    The icon went missing when porting the algorithm from
    python to a native

Jürgen E. Fischer <jef@norbit.de>	2019-11-19

    debian packaging: python-gdal still needed for gdal python scripts

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-17

    [expression] Language support for format_date() and to_{date,datetime,time}()

    By default, those expression use the application's locale. The addition of an optional
    language parameter allows handling of dates that wouldn't match that default
    locale (say for e.g. an English system running QGIS trying to transform a
    French-formatted string into a date object).

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-17

    Also lazy load numpy

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-17

    Remove unused code

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-17

    [processing] Only load plotly library on demand (i.e. at time of algorithm
    execution)

    Because:
    1. It's nicer to show all algorithms on all installs, and give a descriptive
    error message to users when they try to run algorithms which depend on Plotly
    if the library is missing. Otherwise on some installs these algorithms are
    just missing for no apparent reason.

    2. The plotly library takes a long time to load on windows (3-4 seconds),
    so by moving this load to an on-demand load at time of algorithm execution
    we can shave a few seconds off the QGIS startup time for ALL users.

Jürgen E. Fischer <jef@norbit.de>	2019-11-15

    database style manager: translatable & title case

    (cherry picked from commit 9b32c0be3b4c0d1c98d2e86fb6e66c13c363eea4)

Jürgen E. Fischer <jef@norbit.de>	2019-11-15

    custom widgets: fix designer crash (fixes #32860)

    (cherry picked from commit 7fdac2fc6b902a4d4e621fde55abb91e277deccf)

Jürgen E. Fischer <jef@norbit.de>	2019-11-13

    debian packaging: drop python-gdal dependency (closes #32835)
    [ci skip]

    (cherry picked from commit f67369cc2639f513c77ef3e3c606f96294d9fa47)

Jürgen E. Fischer <jef@norbit.de>	2019-11-07

    qgsfunction: replace deprecated inspect.getargspec() to inspect.getfullargspec()

    (cherry picked from commit b830a4a448d31c51ea5e5a4e73d0b3a4ad518fb0)

Jürgen E. Fischer <jef@norbit.de>	2019-11-07

    oracle provider: log when ROWID is used for a missing primary key (closes #32648)

    (cherry picked from commit 3cf70589dcbbfe234a118a9b5f38352666bbd926)

Jürgen E. Fischer <jef@norbit.de>	2019-11-05

    also track newer CIFS

    (cherry picked from commit 375b3907376c54b42728d1e69ef2ad70a22143a2)

Jürgen E. Fischer <jef@norbit.de>	2019-11-03

    translation string fix

    (cherry picked from commit 002d3986d505b58e1d3152df038dbff90938e118)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    [processing] Warn when we know for certain that no spatial index
    exists on a source used for the Join by Location algorithm

    Advise users that performance will be severely degraded as a result.

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    If we know for certain a spatial index already exists on a vector layer,
    adjust the "Create Spatial Index" button in the vector layer properties
    dialog to reflect this.

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Add API to QgsFeatureSource to determine whether a spatial index
    exists on the source (or not, or unknown presence)

Merge: 1ffa829539 b4d9c1c802
D'Hont René-Luc <rldhont@gmail.com>	2019-11-16

    Merge pull request #32659 from qgis/backport-32645-to-release-3_10

    [Backport release-3_10] Server OAPIF fix limits/offset links

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-15

    Fix crash when resetting a project-less snapping config

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Minor optimisation to QgsFields::allAttributesList()

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Also account for oversampling along tile edges

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-08

    Fix rendering artifacts on the edges of resampled raster tiles

    We now buffer the request for the input to a resample filter by
    a variable number of pixels (depending on the resampling type)
    in order to fetch the neighbouring pixels to the edges of individual
    raster blocks. This allows the resampling to utilise these
    neighbouring pixels when resampling the edges of tiles, avoiding
    discrepancies and rendering artifacts over the borders of
    raster tiles.

    Fixes #30152

Alex <roya0045@users.noreply.github.com>	2019-11-14

    Allow using spatialite function on geopackge in dbmanager

    Enables Spatialite's amphibious mode for Geopackages, allowing the use of geospatial functions on geopackages in the DB manager.

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-06

    [ogr] When calculating min/max value for date/datetime fields, we have
    to use the older string conversion methods as OGR will always return
    a string value for these aggregate queries, regardless of the original
    data type

    (cherry picked from commit 3744f1f327243278be239b0eefca916239464123)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-06

    Add a bit of tolerance to graduated symbol range resolving

    If a value doesn't fall exactly within a range, then try to see
    if it falls just outside of any ranges (within double precision
    tolerance), to correctly handle double precision values coming
    from different sources.

    Fixes #27420

    (cherry picked from commit e9d51e541c6e779a4182f6a1bcf0e9c51c579c05)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-06

    Use real field type instead of a forced conversion through string
    for OGR provider minimum/maximum/unique value retrieval

    Avoids precision loss due to this string conversion, notably resulting
    in graduated ranges which don't quite encompass the full range of
    values present in a layer.

    Fixes #32667, #27420

    (cherry picked from commit d65f21885e1d74fbdb48a6b1ff74c502d86451e6)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-06

    Cleanup duplicate code and add tests for graduated range resolving

    (cherry picked from commit 63cd570e4f229400ad7a0a4e382baf5be13f35b7)

David Marteau <david@innophi.com>	2019-11-14

    Fix default defaultValue in algfactory

        According to doc: https://qgis.org/pyqgis/3.10/core/QgsProcessingParameterDefinition.html?highlight=qgsprocessingparameterdefinition#module-QgsProcessingParameterDefinition

Alessandro Pasotti <elpaso@itopen.it>	2019-11-14

    Fix DB manager PG rename table

    Fixes #32808

Merge: 9ee929a229 12e2491d4b
Matthias Kuhn <matthias@opengis.ch>	2019-11-14

    Merge pull request #32802 from qgis/backport-32784-to-release-3_10

    [Backport release-3_10] Do not assume tests are run from under source tree

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Fix tiny sizes of icons in layout legend settings widget on hi-dpi displays

    Fixes #32845

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-14

    Add missing file

Håvard Tveite <havard.tveite@nmbu.no>	2019-11-13

    Update python/plugins/processing/algs/qgis/Rasterize.py

    Don't know how the A ended up here - sorry.

Håvard Tveite <havard.tveite@nmbu.no>	2019-11-13

    The "Convert map to raster" algorithm does not handle extent CRS correctly

    Fixes: #32829

Håvard Tveite <havard.tveite@nmbu.no>	2019-11-13

    Update CreateConstantRaster.py

    Cast cols (and rows) to int to fix the error.
    Fixes: #32827

Matthias Kuhn <matthias@opengis.ch>	2019-11-13

    Add missing dep

    Fix #32764

Merge: e61d98590b ff342fd290
Alessandro Pasotti <elpaso@itopen.it>	2019-11-12

    Merge pull request #32596 from elpaso/server-oapif-fix-items-crs-3_10

    Fix server OAPIF crs transformation on items

Sandro Santilli <strk@kbt.io>	2019-11-11

    Use $() instead of backticks

Sandro Santilli <strk@kbt.io>	2019-11-11

    Do not assume tests are run from under source tree

    Fixes #32783

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-11

    [processing] Support grass version 7.8

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-08

    [processing] Refine behavior of "Use filename as layer name" option to
    always avoid using temporary file names, and then set this option as
    enabled by default.

    Also change the setting key so that existing users will also get the new
    default value.

    Fixes #32591

    (cherry picked from commit 6b829177151d9d674456448516e40f83fdda3df9)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-08

    Extend temporary layer warning to include layers stored inside
    a user's temporary folder, e.g. the "/tmp" folder on Linux

    This can lead to irretrievable data loss.

    Fixes #32582

    (cherry picked from commit cc80bb4af6f6eac9f7e127e41e57da5ff713c31c)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-08

    Add QgsMapLayer::isTemporary to test whether a map layer is temporary

    These include memory layer provider layers, or layers physically
    stored inside a user's temporary folder (e.g. /tmp)

    (cherry picked from commit 377848e2ad473896bca7db5e830e0dfc0aac8df0)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-11

    Update sip, fix use of old style enum

Alessandro Pasotti <elpaso@itopen.it>	2019-11-11

    Update credentials button text

Alessandro Pasotti <elpaso@itopen.it>	2019-10-31

    Capitalize actions

Alessandro Pasotti <elpaso@itopen.it>	2019-10-31

    Option to ignore the connection temporarily of for the session

Alessandro Pasotti <elpaso@itopen.it>	2019-10-31

    Ignore connections: from 5 seconds to 60

Alessandro Pasotti <elpaso@itopen.it>	2019-10-31

    Move connections ignore cache to credentials dialog

    this way it is available for all providers

Alessandro Pasotti <elpaso@itopen.it>	2019-10-30

    PG: Skip broken connections (for a while)

myarjunar <myarjunar@gmail.com>	2019-10-22

    address review and performance improvement

myarjunar <myarjunar@gmail.com>	2019-10-20

    [geonode] a generic way to consume geonode api. fixes #31376

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-28

    set current view mode to attribute editor

Matthias Kuhn <matthias@opengis.ch>	2019-11-09

    Apparently sip doesn't like double QObject inheritance

    If a list of objects (QList<QgsMapCanvasItem *>) is converted to a list of python objects, sip fails if items inherit from QObject.
    Fix #32700

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-10-30

    [ui] Fix horizontal margin not cleared to 0 for center aligned decoration

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-06

    fix zoom/pan to current feature when in relation editor widget

Sandro Santilli <strk@kbt.io>	2019-11-08

    Add test for extracting candidate primary keys from geometryless view

Sandro Santilli <strk@kbt.io>	2019-11-01

    Fix loading of PostgreSQL geometry-less views

    Closes #32523

    Bug was introduced with commit bbdbca4

    Thanks @elpaso for finding the root cause of it

Alessandro Pasotti <elpaso@itopen.it>	2019-11-08

    Fix PG 12 constraints check (provider side)

    Fixes #32716 in PG provider

Merge: 8577e110c3 060d19953f
Alessandro Pasotti <elpaso@itopen.it>	2019-11-09

    Merge pull request #32741 from rldhont/fix-server-wfs-add-primary-keys-to-request-for-fid-310

    [Backport release-3_10][Bugfix][Server] WFS: Add primary keys to request to build Server Feature Id

Alessandro Pasotti <elpaso@itopen.it>	2019-11-06

    Fix postgis 12 adscr -> adbin consrc -> conbin

D'Hont René-Luc <rldhont@gmail.com>	2019-11-08

    Fix const

D'Hont René-Luc <rldhont@gmail.com>	2019-11-08

    [Bugfix][Server] WFS: Add primary keys to request to build Server Feature Id

Matthias Kuhn <matthias@opengis.ch>	2019-11-07

    Add point pattern fill 0 space test

Matthias Kuhn <matthias@opengis.ch>	2019-11-07

    Fix freeze when loading point pattern fill with distance 0

    This results in a QImage with 0 extension which in turn is not acceptable
    for the painter which in turn results in plenty of QPainter inactive messages
    being thrown around.

Alessandro Pasotti <elpaso@itopen.it>	2019-11-05

    Server OAPIF fix items link in html

    Fixes #32641

Sandro Santilli <strk@kbt.io>	2019-09-17

    Improve use of qgis_editor_widget_styles and layer_style tables

    This is a 3.10 backport of https://github.com/qgis/QGIS/pull/31858

    * Use CREATE IF NOT EXISTS for layer_styles

      The syntax is supported since PostgreSQL 9.1 and we already use
      9.1-only syntax (regclass).

    * Use EXISTS to tell if a table exists, rather than count(*)

      Avoids a full sequencial scan (see #26186)

    * query pg_class directly

    * Reduce number of queries to qgis_editor_widget_styles table

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-11-07

    Fix crash when deactivating vertex editor (fixes #32685)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-05

    Fix potential lockup in layout map grid generation

    (cherry picked from commit 0e34bd421a10c9422350ece0d0c95f206e5454c5)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-05

    Fix lockup when using rotate feature tool

    And add unit tests

    Fixes #32123

    (cherry picked from commit 4af494a32a5c0d181a34d579286baf9ecfe2c77e)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-05

    Fix memory leaks, inconsistent transferral of ownership

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-06

    Fix crash if a vector layer is removed while the property assistant panel
    is opened

Alessandro Pasotti <elpaso@itopen.it>	2019-11-06

    Use the new backported API for exporter

    Use exporter.setTransformGeometries( false )

Alessandro Pasotti <elpaso@itopen.it>	2019-11-03

    Trick the json exporter to not transform geoms

    This is required because of a missing API
    that was added with

    https://github.com/qgis/QGIS/pull/32386

Alessandro Pasotti <elpaso@itopen.it>	2019-11-02

    Fix server OAPIF crs transformation on items

    fixes an unreported issue when serving items not in
    4326.

    Cherry-picked from master 7d2000bc30.

Merge: 1bb38f1115 e1cacc4162
Alessandro Pasotti <elpaso@itopen.it>	2019-11-06

    Merge pull request #32660 from pblottiere/fix_crs_json_3_10

    [backport] Use CRS in WMS GetFeatureInfo when info_format is in json Fixes #32326

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-05

    fix default output type for GRASS algorithms (fix #32560)

    (cherry picked from commit 75bc01bf58469c05d459d457fdfa220801c0ee60)

Matthias Kuhn <matthias@opengis.ch>	2019-11-05

    Do not delete a symbol we don't own

    Fix #32661

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-06

    Add test project

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-06

    Sipify

Merge: 18656756c8 942913131e
Matthias Kuhn <matthias@opengis.ch>	2019-11-05

    Merge pull request #32658 from m-kuhn/clazy_unique_connection_backport

    Fix Qt::UniqueConnection with lambda

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-05

    Add tests

Blottiere Paul <blottiere.paul@gmail.com>	2019-11-05

    Do not transform geometries when exporting in json

Matthias Kuhn <matthias@opengis.ch>	2019-11-05

    Fix Qt::UniqueConnection with lambda

Alessandro Pasotti <elpaso@itopen.it>	2019-11-05

    Server OAPIF fix limits/offset links

    See PR #32639

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-05

    [processing] Raise an exception when interpolation break/structure lines
    are set without an attribute source set

    Refs #27048

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-05

    Fix handling of interpolation layers with differing input coordinate reference systems

    Fixes #27048

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-01

    [processing] Allow enum input values to be used in expressions for model
    inputs

    Fixes #32452

    (cherry picked from commit c8255a99ea49cce7c3d497e430934e8bf981f221)

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-04

    ensure that input raster is set

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    tests for rasterize_over_fixed

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    tests for rasterize_over

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    add missed outputs to algorithms

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-20

    better strings

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-20

    split the tool

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-02

    add 'burn' parameter

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-02

    implement few suggested changes

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-01

    revive the GDAL 'rasterize over' tool that was available in the old ltr and for some reason not activated/added in QGIS 3

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-04

    Improved lambda capture

    Even if the collection item is deleted before the action is triggered,
    we can still safely show the creation dialog and act on it (we just
    can't trigger the item refresh automatically)

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-04

    Another connect without context

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Remove unused define

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Sipify

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Minor fixes

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Dox++

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-29

    Heavily optimise GDAL based image resampling

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-28

    Add method to resample a QImage using gdal library resampling, and
    use this instead of the inbuilt QGIS resampling

    The QGIS methods are slooooow, unoptimized, and buggy. And gdal exposes MANY
    more resampling methods we could potentially expose now!

    Also fixes rendering issues with cubic resampler and nodata pixels

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-28

    Add method to resample QImage using gdal resample to a gdal memory dataset

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-28

    Add method to convert a QImage to a gdal memory dataset

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-28

    Add method to create multi-band gdal memory dataset

Alex <roya0045@users.noreply.github.com>	2019-10-31

    optional fids counting

Julien Cabieces <julien.cabieces@oslandia.com>	2019-11-03

    Fixes #32545 Revert qgstaskmanager waitforfinished fix

Nyall Dawson <nyall.dawson@gmail.com>	2019-11-04

    Fix some lambda connects without context arguments (these cause crashes--STOP doing THIS!)

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    remove unused variable
    fix tests

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-29

    fix gdal calc compression options

Merge: 3dd2e84e59 d8ae2b9d56
Alessandro Pasotti <elpaso@itopen.it>	2019-11-03

    Merge pull request #32571 from qgis/backport-32527-to-release-3_10

    [Backport release-3_10] Fix copy items from value map configuration

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    add test for exporting model with advanced parameter

Alexander Bruy <alexander.bruy@gmail.com>	2019-11-02

    [processing] correctly handle advanced parameters when exporting model
    to Python (fix #32579)

Jürgen E. Fischer <jef@norbit.de>	2019-11-02

    osgeo4w: detect grass78

Merge: 4e75a1e1d6 43a8fff49f
Matthias Kuhn <matthias@opengis.ch>	2019-11-01

    Merge pull request #32577 from qgis/backport-32574-to-release-3_10

    [Backport release-3_10] [travis] Fix link to OTB binaries

Matthias Kuhn <matthias@opengis.ch>	2019-11-01

    Fix link to OTB binaries

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Fix copy items from value map configuration

    QAbstractItemView internally uses the KeyPress signal, so in order to
    make sure our code takes precedence we need to react to the same signal.
    Apparently it's not enough to trust Qt that the KeyReleased is always
    triggered after a KeyPress.

    Fix #32256

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Test for no nan in dxf

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    [dxf export] initialize PointZ with 0

    DXF does not know the concept of NaN

Daniele Viganò <daniele@vigano.me>	2019-10-30

    [RPM] Update sip references in spec file

Matthias Kuhn <matthias@opengis.ch>	2019-10-31

    Test fixes

Matthias Kuhn <matthias@opengis.ch>	2019-10-31

    Since 3.10.1

Matthias Kuhn <matthias@opengis.ch>	2019-10-31

    Avoid type conversion for QCOMPARE

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Typo

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Use class enum

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Typo

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    [dxf export] Bail out if extent could not be determined

    E.g. because no layers are given

Hugo Mercier <hugo.mercier@oslandia.com>	2019-10-15

    [oracle] Fix date insertion

    Values are not converted anymore to strings before binding, so that
    QDate values are written as dates.

    Fixes #27087

Hugo Mercier <hugo.mercier@oslandia.com>	2019-10-15

    Allow the execution of Oracle tests on an arbitrary DB

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Copyright

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Dox++

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-30

    When reading a project, fallback to default view extent if canvas
    extents are not set

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-30

    Add API to allow setting the default view extent for a new project

    Allows a QgsProject created using QGIS api only (i.e., not via the desktop
    application) to specify the default extent which should be visible when
    that project is opened.

    Straight from the dox:

    Sets the default view extent, which should be used as the initial map extent
    when this project is opened.

    \warning When a project is opened in the QGIS desktop application and saved, individual
    map canvases will store their own previous view extent as custom project properties. Reloading
    this saved version of the project will trigger the canvases to restore their individual last view
    extents. Accordingly, in the QGIS desktop application, this setting only forms a default, initial
    view used when the project is opened for the very first time.

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-30

    Move QgsProject map scales settings to a new class, QgsProjectViewSettings
    attached to QgsProject

    And deprecate old getters/setters

    The goal here is to create a place for project view related settings (e.g.
    map scales, default extent, possibly future things like a fixed project
    maximum area of interest, etc). Currently these are all handled in an
    ad-hoc way, e.g. sometimes in project custom keys, sometimes inside
    xml saved and restored by map canvases. But both these approaches break
    important use case for plugins, e.g. creating a project from scratch
    which will zoom to a desired extent on load. That's totally impossible
    in the current API, unless you resort to extremely fragile manual
    xml crafting...

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-31

    Doxy

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-30

    Deprecate old QgsRasterResampler interface, and add a new interface
    which doesn't require pre-allocation of a temporary QImage

    The existing interface is very inefficient for the bilinear resampler,
    because it requires allocation of a temporary QImage just to pass
    the desired height and width to the resampler...

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Fix crash with invalid postgres provider

    Crash is triggered by opening the postgres vector layer properties with a not-yet-known CRS.

Matthias Kuhn <matthias@opengis.ch>	2019-10-30

    Test attribute table "selected on top"

Matthias Kuhn <matthias@opengis.ch>	2019-09-23

    Fix move selected to top

    Fix #28914

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-29

    [processing] Fix model to python when model has no input parameters

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-29

    [processing] Fix string escaping when converting models to python code
    with expression parameters

    Fixes #32451

Alessandro Pasotti <elpaso@itopen.it>	2019-10-29

    Fix raster calc OpenCL < operator

    Fixes #32477

    also:
    - catch build exceptions
    - remove parenthesis after casting numbers
    - add cast to raster ref (for fabs overload)

    with tests

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-29

    Fix QgsAttributeEditorContext copy constructor

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-29

    [layouts] Alternate fix for #29821

    The previous fix resulted in #32465

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-29

    [layouts] Fix crash when deleting layouts from designer window

    Fixes #32465

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-29

    Flip not started and not finished mutex unlock

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-25

    fix waitforfinished layout legend test

Julien Cabieces <julien.cabieces@oslandia.com>	2019-10-21

    Fix qgstaskmanager waitforfinished so it waits that the task was
    actually started

Alessandro Pasotti <elpaso@itopen.it>	2019-10-29

    Autopep8

Alessandro Pasotti <elpaso@itopen.it>	2019-10-29

    Fix server WMS access control security issue

    Fixes #32475

Merge: f2fd430fc6 997f136a20
Matthias Kuhn <matthias@opengis.ch>	2019-10-29

    Merge pull request #32473 from qgis/backport-32176-to-release-3_10

    [Backport release-3_10] prevent clearing selection in QgsFeatureListView

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-28

    Fix memory leak

Denis Rouzaud <denis.rouzaud@gmail.com>	2019-10-09

    prevent clearing selection in QgsFeatureListView

    this removes warning in debug mode about invalid model

    currently, the unselection is not used in the dual view and the signal (currentEditSelectionChanged) is only emitted when the selection count is 1 (so never emitted when clearing the selection)

    it might makes sense to implement a clear selection in the feature list view but it has to emit proper signals and the dual view must be adapted to clear the form on the right

Jürgen E. Fischer <jef@norbit.de>	2019-10-28

    fix qgis release name

    (cherry picked from commit bd1b27087d94095318fbe8c9f17720b599007a42)

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-10-28

    Fix map renderer world file not taking into account complete base name

Alexander Bruy <alexander.bruy@gmail.com>	2019-10-28

    [processing] allow to select files without suffix in the Processing
    options dialog

Harrissou Sant-anna <delazj@gmail.com>	2019-10-13

    Hide useless widgets for text brackground with marker symbol

    avoiding people trying desperately to enable these settings while they can't.

Jürgen E. Fischer <jef@norbit.de>	2019-10-27

    fix python constructor for QgsPoint (does not accept QgsPointXY &  QPointF anymore)

    fixes #32443

    (cherry picked from commit 03baeea083bfc038c28aa6e5d47788ad0f5c2dd6)

Merge: 28848517c3 ba8eaba7ce
D'Hont René-Luc <rldhont@gmail.com>	2019-10-28

    Merge pull request #32433 from qgis/backport-32342-to-release-3_10

    [Backport release-3_10] [Server] WMS: Use QGIS Style instead of SLD to restore layer style

Merge: 71189199bf c2053ee22d
D'Hont René-Luc <rldhont@gmail.com>	2019-10-28

    Merge pull request #32432 from qgis/backport-32340-to-release-3_10

    [Backport release-3_10] [Server] Add TextSymbolizer to SLD provided by WMS GetStyles request

Merge: 672bfda1a8 fb44a93f9b
D'Hont René-Luc <rldhont@gmail.com>	2019-10-28

    Merge pull request #32431 from qgis/backport-32216-to-release-3_10

    [Backport release-3_10] [Server] WFS Service: force Geometry to Multi in GML to be compliant with XML schema provided by DescribeFeatureType

Harrissou Sant-anna <delazj@gmail.com>	2019-10-13

    Show more DD buttons when setting background of text format

    Currently they are only shown in labels settings dialog

Harrissou Sant-anna <delazj@gmail.com>	2019-10-05

    Disable label shadow frame by default

Jorge Gustavo Rocha <jgr@di.uminho.pt>	2019-10-06

    use CURRENT_USER in insert and updates queries, to support older layer_styles tables

Jorge Gustavo Rocha <jgr@di.uminho.pt>	2019-10-06

    fill username from current_user on the server side for Postgresql

Borys Jurgiel <info@borysjurgiel.pl>	2019-10-10

    Fix recent project menu showing projects from custom storages as unavailable. Fixes #32193

Even Rouault <even.rouault@spatialys.com>	2019-10-13

    [BUGFIX] QgsOwsConnection: use dedicated QgsDataSourceUri setters for credentials, so that userName(), etc. work without serializing/deserialing. Neeed with OAPIF source select GUI

Even Rouault <even.rouault@spatialys.com>	2019-10-13

    [WFS provider] Do not expand authentication config to username/password when adding layers from source select or browser

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-18

    fix typo

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-18

    change v.voronoi description

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-18

    fixes again GRASS7 v.voronoi

Sebastian Niklasch <sNiklasch@users.noreply.github.com>	2019-10-15

    prevent AttributeError

    If os.path.isfile(sqlite_cache_file) is False, the Attribute cache_connection was not assigned and so an Attribute Error occured in the following lines.

D'Hont René-Luc <rldhont@gmail.com>	2019-10-24

    [Server][Tests] Add WMS GetStyles test with TextSymbolizer output

D'Hont René-Luc <rldhont@gmail.com>	2019-10-21

    [Bugfix][Server] Add TextSymbolizer to SLD provided by WMS GetStyles request

D'Hont René-Luc <rldhont@gmail.com>	2019-10-25

    [Server] Layer restorer: log read/write error message

D'Hont René-Luc <rldhont@gmail.com>	2019-10-24

    [Server][Test] WMS: evaluate the labeling restoration after SLD application

    QGIS Server has to restore all the style. This test is not done to evaluate the SLD application but the style restoration and specifically the labeling.

D'Hont René-Luc <rldhont@gmail.com>	2019-10-22

    [Bugfix][Server] WMS: Use QGIS Style instead of SLD to restore layer style

D'Hont René-Luc <rldhont@gmail.com>	2019-10-11

    [Server] WFS Service: force Geometry to Multi in GML to be compliant with XML schema provided by DescribeFeatureType

D'Hont René-Luc <rldhont@gmail.com>	2019-10-11

    [Server] WFS Service: force Geometry to Multi in GML to be compliant with XML schema provided by DescribeFeatureType

Stefan Pascal <stefan.pascal@gmail.com>	2019-09-15

    Fixed include; checked identation using astyle.sh

Stefan Pascal <13947175+stefan-pascal@users.noreply.github.com>	2019-09-13

    Fix QT font database initializing (FCGI with IIS)

    When using FCGI with IIS, environment variables (QT_QPA_FONTDIR in this case) are lost after fcgi_accept().

Martin Dobias <wonder.sk@gmail.com>	2019-10-11

    [mssql] Speed up loading of larger views (fixes #27618)

    The extent estimation was taking a long time for views because we can't use
    spatial index statistics - the code was doing full scan of the view. Now we
    try to scan just 1% of the rows to get a good estimate. If that fails
    (e.g. when the table is not very big) we fall back to the full scan.

    Test results: a view with 90k rows was taking 2.5s to estimate extents during load - now it's <0.1s

Martin Dobias <wonder.sk@gmail.com>	2019-10-10

    [mssql] Fix removal of views

    It was impossible to drop views as we were always using 'drop table' command.
    QGIS would even tell user that it was correctly removed even though nothing happened.

    There's some code duplication for ms sql layer info fetching, so I added
    "is view" detection to both places (gui widget, data items) even though it's currently
    only used in data items.

Alessandro Pasotti <elpaso@itopen.it>	2019-10-18

    Drop const and fix duplicated "Source"

Alessandro Pasotti <elpaso@itopen.it>	2019-10-18

    Update src/core/qgsapplication.h

    Co-Authored-By: Nyall Dawson <nyall.dawson@gmail.com>

Alessandro Pasotti <elpaso@itopen.it>	2019-10-17

    Add styleSheetType to application reportStyleSheet

Alessandro Pasotti <elpaso@itopen.it>	2019-10-17

    Remove leftover

Alessandro Pasotti <elpaso@itopen.it>	2019-10-16

    Remove QWebFrame include

Alessandro Pasotti <elpaso@itopen.it>	2019-10-16

    Raster info: delegate all links (tiff issue)

    ... or it will try to show a geotiff in-browser and fail.

Alessandro Pasotti <elpaso@itopen.it>	2019-10-16

    Revert modeless dialog (used for web inspector)

Alessandro Pasotti <elpaso@itopen.it>	2019-10-16

    Fix anchor hyperlinks in raster layer info

Alessandro Pasotti <elpaso@itopen.it>	2019-10-16

    Optimize WMS raster information

    Fixes #32213

Antoine Belvire <antoine.belvire@opensuse.org>	2019-10-12

    Sort translations in desktop file

    Desktop file generation is non-deterministic - translation positions may vary
    across builds. This makes the build non-reproducible.

    The cause is the use of glob() which collects qm file paths in a random order,
    depending on the filesystem. To ensure the translations are written in a fixed
    order the list returned by glob() must be sorted.

Sandro Santilli <strk@kbt.io>	2019-10-22

    Do not hard-code default estimatedMetadata default in wrong place

    Re-uses existing static function in QgsPostgresConn class

Sandro Santilli <strk@kbt.io>	2019-10-22

    Honour useEstimatedMetadata connection configuration from Browser

    Closes #32277

Sandro Santilli <strk@kbt.io>	2019-10-17

    When requesting a specific type/srid don't try to detect its validity

    Avoids double-checking from browser and data selector

    See #32276

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-25

    [processing] Improve docs for Join by Nearest, raise warning in log
    when multiple features with same search distance are found

    Fixes #32317

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-24

    Restore project variables early in the project read cycle

    This ensure project level variables are correctly in place before
    trying to read other components which may depend on these variables,
    e.g. layouts

    Fixes #32382

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-25

    Catch some reprojection exceptions during raster rendering

    Fixes #32301

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-22

    Completely disable debug code in QgsRasterProjector

    Even if it's only used on debug builds, this is still TOOOO slow
    and overly noisy

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-22

    Fix potential overflow in raster renderer

myarjunar <myarjunar@gmail.com>	2019-10-18

    [geonode] fix data item context menu

Blottiere Paul <blottiere.paul@gmail.com>	2019-10-24

    Fixes invalid renderer type after loading qml style

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-20

    fix wronng paste

Giovanni Manghi <giovanni.manghi@naturalgis.pt>	2019-10-18

    fix SAGA Slope, Aspect, Curvature

Etienne Trimaille <gustrimaille@yahoo.fr>	2019-10-15

    add missing QgsExpression import when exporting model as Python script

Mathieu Pellerin <nirvn.asia@gmail.com>	2019-10-17

    [maptip] Fix illegible map tips with dark themes (fixes #32288)

Alessandro Pasotti <elpaso@itopen.it>	2019-10-24

    Fix some QStringLiterals

Alessandro Pasotti <elpaso@itopen.it>	2019-10-23

    Fix merge feature attrs: use the correct formatter for data

    and use actual data for calculations and to return values

    Fixes #32208

Peter Petrik <zilolv@gmail.com>	2019-10-14

    update MDAL 0.4.0

Jürgen E. Fischer <jef@norbit.de>	2019-10-22

    dwg/dxf import:
    * fix orientation of TEXT entities
    * also clean TEXT strings
    * support non-origin-based blocks
    * support extrusion

    (cherry picked from commit 94fa3c44e08ff3e8e0cabfb528d3cbba109959f7)

Jürgen E. Fischer <jef@norbit.de>	2019-10-25

    Release of 3.10 (A Coruña)

Jürgen E. Fischer <jef@norbit.de>	2019-10-25

    changelog and news update for 3.10

Jürgen E. Fischer <jef@norbit.de>	2019-10-25

    translation update for 3.10.0 from transifex

Jürgen E. Fischer <jef@norbit.de>	2019-10-25

    visual changelog url changed again

Nyall Dawson <nyall.dawson@gmail.com>	2019-10-25

    [labeling] Fix broken numeric formatting settings, add tests

    Fixes #32393

Alessandro Pasotti <elpaso@itopen.it>	2019-10-24

    Fix unreported crash with "fill ring" tool

    unitialized smart ptr

Merge: 1d6a2dedd9 188cbcb8fe
Blottiere Paul <blottiere.paul@gmail.com>	2019-10-24

    Merge pull request #32352 from pblottiere/fix_schema_location

    Server: fix schemaLocation in WMS GetCapabilities document

Merge: 51d95c619c 2d5027b1ae
Alessandro Pasotti <elpaso@itopen.it>	2019-10-24

    Merge pull request #32370 from elpaso/bugfix-gh32362-dd-browser-multi-geom

    Fix browser DD on GPKG/PG with multi geom

Merge: 4d72fc4181 c32caf8ab7
Alessandro Pasotti <elpaso@itopen.it>	2019-10-24

    Merge pull request #32361 from elpaso/bugfix-gh32354-wms-casesensitive-request

    Server WMS fix case sensistive REQUEST

Alessandro Pasotti <elpaso@itopen.it>	2019-10-23

    Server WMS fix case sensistive REQUEST

    Fixes #32354

Alessandro Pasotti <elpaso@itopen.it>	2019-10-23

    Fix browser DD on GPKG/PG with multi geom

    Fixes #32362

Merge: 3119209334 312ac93b58
Alessandro Pasotti <elpaso@itopen.it>	2019-10-23

    Merge pull request #32336 from elpaso/bugfix-gh32257-pg-source-select-multiline-comments

    PG source select dlg: show multiline comments in tooltips

Alessandro Pasotti <elpaso@itopen.it>	2019-10-23

    PG source select: remove initial newlines from table comments

Blottiere Paul <blottiere.paul@gmail.com>	2019-10-23

    Fixes more tests

sklencar <vsklencar@gmail.com>	2019-10-23

    [quick] Fixes to photo widget (#32175)

    * [QgsQuick]
    Added a back button to photopanel

    * Split camera output and preview.
    Visible only one of them at the same time

    * Fix of mixing features external resource value
    If a feature's value has been changed, it affects also another feature

    * [QgsQuick] Reverted back photo panel opacity
    The value is set to default value, keep it for adjustment anyway

    * Udpated icon
    Used material design
    removed circular background

    * Resized back icon

    * Refactoring
    Renamed cancel event to more descriptive name (PhotoPanel)
